mythtv (2:33.0+fixes.20230210.026e506-0mx23+1) mx; urgency=medium

  * Added a status argument for the mythtv-backend sysv init script
  * Modified mythtv-setup.sh & fixed a small error in dialog_functions.sh
  * to make mythtv-setup work properly with sysvinit as well as systemd.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 14 Dec 2023 10:51:51 -0500

mythtv (2:33.0+fixes.20230210.026e506-0mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 02 Nov 2023 14:45:35 -0400

mythtv (2:33.0+fixes.20230210.026e506-0ubuntu0) lunar; urgency=medium

  * Scripted Build from fixes git packaging [026e506]
  * [8e89bc0] bump the version to 33
  * [f22e9c2] bump the version to 33
  * [5b61960] update default_theme.patch for current master
  * [e214bfa] stop using deprecated rsyslog '~' action
  * New upstream checkout (026e506)

 -- Mario Limonciello <superm1@gmail.com>  Fri, 10 Feb 2023 10:41:40 -0600

mythtv (2:33.0+fixes) lunar; urgency=medium

  * Dummy entry to bump version to 33

 -- Paul Harrison <mythtv@mythqml.net>  Wed, 02 Feb 2022 10:46:00 +0000

mythtv (2:32.0~master) focal; urgency=medium

  * Dummy entry to bump version to 32

 -- Paul Harrison <mythtv@mythqml.net>  Sat, 08 Feb 2020 14:35:39 -0700

mythtv (2:31.0~master) bionic; urgency=medium

  * Dummy entry 

 -- Thomas Mashos <thomas@mashos.com>  Fri, 16 Nov 2018 12:33:39 -0700

mythtv (2:29.0~master-manualbuildubuntu1) zesty; urgency=medium

  * Dummy entry to bump version to 29.0 from 0.29

 -- Thomas Mashos <thomas@mashos.com>  Sun, 11 Jun 2017 12:33:39 -0700

mythtv (2:0.29.0~dummychangelogentry-manualbuild) jessie; urgency=low

  * Dummy changelog entry to bump version to 0.27.5 as
    this changelog.in in packaging is not automatically updated
    at present.  This entry allows build-{dsc/debs}.sh to pick
    up "0.27.5" version at present.

 -- Simon Iremonger <debian@iremonger.me.uk>  Fri, 21 Aug 2015 15:39:00 +0100

mythtv (2:0.27.0~master.20130828.b2b7022-0ubuntu1) saucy; urgency=low

  * New upstream checkout (b2b7022)
  * Scripted Build from master git packaging [18ab870]
  * Packaging changes between 20120505 and 20130828:
  * [18ab870] build packaging changes into debian/changelog upon release
  * [39d4449] switch to 0.27 builds for master
  * [efe0e0c] fix instances of test-virtualbox in SQL file (LP: #1215440)
  * [223a44c] rename 0.26 to 0.27 sql
  * [b02a69d] remove debian/control - it's generated every time on build
  * [ac72833] actually make mythtv-dbg recommends rather than suggests
    so it will be installed by default
  * [06e718d] add missing dependency on libhttp-date-perl
  * [7e395a1] daemonize mythbackend to avoid logging to upstart console.
    expect an extra fork in the upstart job
  * [7bd8396] don't log to upstart log that mysql is alive, only errors
  * [5ae84f0] add a message on why we are using sudo for installing
    build-deps
  * [08101bc] set SIGKILL timeout on upstart job to 30 seconds
  * [72cf6a0] remove versioned dependency on libiec61883-dev
  * [364850c] use mk-build-deps to resolve binary build dependencies
  * [7bfd285] don't allow the scripts to run without a debian/ directory
  * [6a8e25f] ignore warnings when loading time zones into mysql
  * [1809a5d] toggle public_bind setting in debconf database based on
    what's in flat files (LP: #1159992)
  * [7568a9c] depends on libdate-calc-perl for mythweather
  * [9a84893] recommends on m2vrequantiser for mytharchive (LP: #1131506)
  * [9a351c7] add FreeSansBold.ttf to the symlinks (LP: #1131280)
  * [d585530] set the kill timeout on the upstart job to 10 seconds to
    be safer on shutdown.
  * [aa67a49] let upstart handle the backend process correctly
  * [41a8fb2] add the new mythscreenwizard binary to the frontend
    packaging
  * [c5afd80] add conflict to older library versions
  * [623b954] rename 0.25 stuff to 0.26
  * [00027cc] drop support for mysql.txt, using only config.xml going
    forward
  * [b2acc53] mythtv-common depends on libxml-xpath-perl for config.xml
    parsing
  * [a7d0a63] load timezones into mysql during mythtv-database postinst
    (LP: #1010491)
  * [5bb2c43] enable sdl so that mythffplay will work (see fb90f73)
  * [a634b5b] install README's for fonts in mythtv-doc
  * [9587925] switch libtiff5-dev and libtiff4-dev order to fix FTBFS on
    quantal
  * [37abce8] let libtiff5-dev resolve build dependencies too.
  * [c4b25d5] Remove extra dpkg-parsechangelog call that was mistakenly
    added.
  * [b071647] missed mythfrontend, add that in logging too.
  * [3dfd8f9] update rsyslog for 0.26.
  * [5240276] Install MythTV specific sysctl.conf file
  * [d861262] install libmythzmq pkgconfig pc file to libmyth-dev
    package
  * [928bfb4] install pkgconfig and static library for libmythzmq into
    the -dev package. the libtool library still needs an override (it
    probably shouldn't be installed anywhere)
  * [b8545e8] zmq/nzmq/QJson include paths were moved to
    usr/include/mythtv.  remove override
  * [c1e4604] explicitly ignore libmythzmq.la as wildcards don't appear
    to work properly with dh_install
  * [28553da] fix wildcard matching for ignoring zmq files
  * [d29ecda] add zeromq_install_paths.patch to fix FTBFS.
  * [b42d0e4] drop recommends on adept-notifier
  * [9d06c29] update source_mythtv apport hook to python3 compatible
  * [e81f08d] install copy of zeromq libaries
  * [144e1d2] ignore libmythqjson.prl
  * [89f5e74] Don't install QJson libararies or headers.
  * [6fd1730] install mythlogserver
  * [f1298b5] Install otf fonts too
  * [c63df57] add support for droid fonts
  * [ae0095e] Add purisa font support
  * [d055b85] mythtv-common dependencies-> move to 1 for each line (more
    readable)
  * [9020a36] Pass INSTALL_ROOT during the build process of mythtv as
    well so that it gets applied to the zeromq ./configure run as well

  [ Mario Limonciello ]
  * Switch to 0.27 branch for master builds.
  * Cleanup lintian errors:
    - debian/control.in: description-synopsis-starts-with-article
    - debian/mythweb.config: maintainer-script-ignores-errors
  * Add build dependency for uuid-dev.
  * Add a workaround for FTBFS w/ linking when using binutils 2.21
    - See http://goo.gl/KDK9o for more information.
  * Drop recommends on adept-notifier.
  * fix get-orig-source rule's broken tarball fetch from archive.
  * Enable libcec support (LP: #982272)
  * Add missingok to additional mythtv-backend logs. (LP: #982162)
  * Pull an updated snapshot of Mythbuntu theme, to avoid theme
    downloader telling the user there is an updated theme on first
    boot.
  * Test for an empty key on public mysql. (LP: #989371)

  [ Andres Mejia ]
  * Bump to Standards-Version 3.9.3.
  * Build 'release' type builds instead of 'profile'.
  * Support parallel builds.

  [ Thomas Mashos ]
  * Fix wanting to install mythweb to html dir on older releases (LP: #1309813)
  * Enable CGI module on apache2 for mythweb (LP: #1316409)

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 28 Aug 2013 22:06:14 -0500

mythtv (2:0.25.0+fixes.20120410.1f5962a-0ubuntu1) precise; urgency=low

  * Add a fallback to master for non-existant fixes branches.
  * Update to 0.25 gold release.
  * New upstream checkout (1f5962a)
  * >>Upstream changes since last upload (041ecad):
  * [1f5962a] RingBuffer: Make a few more attempts to read when
    oldfile=true.
  * [cffed2b] Merge branch 'master' of github.com:MythTV/mythtv
  * [4f16846] Update the Danish translation of mythfrontend and all
    plugins.
  * [31fa9dd] Revert "Fix popup windows from disappearing in MythCenter-
    wide when using the"
  * [d824ea2] Fix issues with 805453a6 and df8548e7.
  * [4b28a57] Remove the MythArchive date/time formats from the Hong
    Kong Chinese locale file.
  * [df8548e] Add a null pointer check on 'screen'
  * [805453a] Don't trigger hide/show animations if the screens should
    still be visible because the foreground screen isn't fullscreen.
  * [d1b081e] Updated Czech MythFrontend translation
  * [e6c4aa0] Updated Polish MythFrontend and alll plugins translation
    from Warpme
  * [39695b2] Revert "Fixes #10490. Don't return from safe_read() early
    on stopreads if we haven't read any bytes, this looks like an eof to
    higher levels of code."
  * [28db6ca] Merge branch 'master' of github.com:MythTV/mythtv
  * [e6d3ecb] Updated French MythFrontend, MythMusic, MythNetvision and
    MythNews translation from the French Language Translation Team
  * [6473241] Update the Danish translation of mythfrontend.
  * [c52a7cf] Updated Czech MythFrontend and MythMusic translation
  * [8c6c8cd] Updated German MythFrontend and MythZoneMinder translation
    from Florian Bittner
  * [aa2762f] Fix popup windows from disappearing in MythCenter-wide
    when using the virtual keyboard.
  * [393295c] Fixes #10490. Don't return from safe_read() early on
    stopreads if we haven't read any bytes, this looks like an eof to
    higher levels of code.
  * [81e72c8] Clear the UI object stores when deleting MythThemeBase,
    fixes themes using the wrong base window and fonts after displaying
    the locale/database prompts. This was already done implicitly when
    shutting down and explicitly when reloading themes but not in the
    third case, where we construct a temporary main window and
    MythMainWindow is torn down instead of being re-initialised.
  * [a970d72] Fixes #10545.  Populate the Switch Input menu with all
    available cards.
  * [d80e54b] Fix #10558
  * [14ca636] Bump binary version
  * [00bd9eb] Fix compilation following previous commit
  * [e84a9a8] Fix compilation following previous commit
  * [4c5b039] Initialise locale if it's not been done already by the
    time we call GetQLocale()
  * [9c73366] Translate dates/times in the DateFormat settings
  * [a0ae652] Move Setup Wizard at the top of settings menu (part #2)
  * [02216ca] Fix video setup wizard if audio test wasn't stopped in the
    previous screen
  * [13652d7] Fix audio setup and add handling of extra cases.
  * [b36827e] Better handling of unmounted volumes. Refs #10450.
  * [83671d5] Revert "Better handling of unmounted volumes. Refs #10450"
  * [58e8506] Better handling of unmounted volumes. Refs #10450
  * [71a024d] Fix LoadFromOldRecorded query in ProgList.
  * [957917c] Replicate the spelling change I had done in
    3740d7dda16b2a082f8d833f4459294202cb2687
  * [8df36ec] Translate missed string.
  * [82f9818] Improve audio setup

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 10 Apr 2012 02:48:16 -0500

mythtv (2:0.25.0~master.20120406.041ecad-0ubuntu1) precise; urgency=low

  * Remove extra reference to libmysqlclient-16-dev.
  * Add b-d on libmysqlclient-dev (LP: #894377).
  * Drop dependency on ttf-freefont.
  * New upstream checkout (041ecad)
  * >>Upstream changes since last upload (c85fc55):
  * [041ecad] increases the maximal number of queued video packets to
    220.
  * [5824030] Bump API version following addition of plist decoding
  * [91a2209] Add a binary property list parser.
  * [1b24a76] Make RAOP server properly handle any size of decoded audio
    packets.
  * [2d365d6] Tweak Smolt handling of digital tuners.
  * [65d89b5] Fix dates and time strings not being translated to the
    user-selected language. We were always using the system language and
    not respecting the language/country chosen in mythfrontend.
  * [640b0cd] Refs #10490. Switch ringbuffers a little earlier in
    LiveTV.
  * [c49b780] Fix translation of <template> in <clock> markup.
  * [fe354d9] Update the filename in the Playback Data OSD screen after
    LiveTV program transitions.
  * [ae63bc2] Fix translation of mapped text strings. Thanks to Nicolas
    Riendeau for pointing it out.
  * [0840578] Fix AAC decoding audio corruption
  * [85969eb] Bah.  Fix tab -> spaces
  * [86f5fd8] Fixed RAOP audio decoding to use all frames in a packet
  * [a2cf165] Fix ostream commandline help typo
  * [1af1b13] Fix unimportant typo in configure
  * [58e2527] Move speaker configuration setup down
  * [29f8994] Allow more room for simplified dates in MythCenter-wide.
  * [8cad830] Move Setup Wizard at the top of settings menu
  * [825975c] Rewrite Audio Setup Wizard
  * [c0bc088] Do not activate 5.1 audio if only DTS is active
  * [dbc978f] Minor cleanup
  * [711386d] Fix cut and paste error discovered by Gary Buhrmaster.
  * [a6136f9] Fix clang report
  * [20ec299] Remove unnecessary logging.
  * [98f0a52] DVR Service: Fix recording deletion API.
  * [f81f712] Fixes #9830. Refs #10519. Fixes channel change on PVR350.
  * [79d7af9] Fixes #10453. Fix deadlock in DVBStreamHandler.
  * [98c855e] Refs #10490. Fix for LiveTV abort on empty recordings.
  * [4de48af] Updated German MythFrontend, MythArchive, MythBrowser,
    MythGallery, MythGame, MythMusic, MythNetvision, MythWeather
    translation from Florian Bittner.
  * [faf0745] Fix a translatation lookup so that it retrieves the
    translated string correctly.
  * [8a3ab52] Make Service API conform to new deletion behavior.
  * [a38f191] Rec types from string need a kNotRecording too.
  * [59be832] Fix overlap in string to rec type method.
  * [8bbf302] Fix segfault in AddRecordSchedule API.
  * [bbd0880] Fixes #10534.  Reenable the DB settings cache after the
    schema check.
  * [78948da] Fix false precision in backend status upcoming recordings.
  * [c7a1e81] Fixes segfault on mythfrontend exit & related problems.
  * [c3eaf78] Refs #10490. At least a partial LiveTV startup fix.
  * [d0df4ce] Refs #10490. Debugging fixes. Makes it easier to track
    which recordings are being started and stopped.
  * [5439b8b] Services: Make frontend status date string conform to
    required naming.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 06 Apr 2012 01:21:31 -0500

mythtv (2:0.25.0~master.20120329.c85fc55-0ubuntu1) precise; urgency=low

  [ Mario Limonciello ]
  * refresh default_directories patch for changes upstream.
  * Capture all logs from /var/log/mythtv for apport reports.
  * New upstream checkout - post RC but pre-release (c85fc55)
  * >>Upstream changes since last upload (53761e2):
  * [c85fc55] Correct command line option interdependencies for --
    queuejob.
  * [f73dbda] Ceton bug fix for handling failed tunings
  * [5320353] Updated Hong Kong Chinese MythFrontend and MythArchive
    translation from Walter Cheuk
  * [ce22520] Updated French language MythFrontend and all plugins
    translations from the French Language Translation Team.
  * [c40f582] Rollup DB changes to 1299 for initial database.
  * [1317eed] Merge commit '4663490f8fa99dd5869aff595f56873175e47826'
  * [4663490] Split cache engines into own files. Add msvcrt locking for
    file engine.
  * [07b570b] Correct newline escape.
  * [faa9f39] Updated Greek MythFrontend, MythArchive, MythBrowser,
    MythGallery, MythGame, MythMusic, MythNetvision, MythWeather and
    MythZoneMinder translation from Yianni Vidalis.
  * [651d67a] Only attempt language fallthrough if polling function is
    supplied.
  * [9e53c8d] Extend the overrides fix in [973df175] to
    GetSettingOnHost() and GetSettings().
  * [5639e05] Fixes #10518. Fix CetonStreamHandler deadlock.
  * [142489b] Refs #10518. Fix CetonStreamHandler error logging.
  * [55cd239] Refs #9830. Fix some debugging output problems observed in
    logs on ticket.
  * [f8d32cb] Fix unhandled keypresses causing the mythmusic volume
    display timer to stay on screen for longer than it normally would.
    If something has changed then we do want to keep it on-screen, but
    if the user was trying to control something on the screen beneath
    the popup we shouldn't keep swallowing keypresses.
  * [e967e30] Fixes #10501. Adapt to new return ioctl return value in
    Linux 3.1.
  * [b51e845] MPEGRecorder: _error is a QString not a bool, set it
    appropriately.
  * [401f846] MPEGRecorder: Close chanfd if we fail to initialize
    device. One of the cases wasn't handled.
  * [142b981] Move some database logging left over from the DB
    connections re-write to VB_DATABASE. This makes for less log clutter
    to wade through when debugging issues or reviewing logs with the new
    log viewer.
  * [973df17] Fix settings overrides. I accidentally broke these when
    changing the DB connection code.
  * [22cb74b] Fixes #10519. Adds workaround for cx8800 driver.
  * [8bf3888] Re-fix HLS for AC3.  Argh. :)
  * [713762d] Allow AudioReencodeBuffer to work DTS-sourced audio too
  * [885ca53] Adds final attempt at internal name resolution in
    MythSocket.
  * [f3d65a5] Add Movie classmethods to readme.
  * [a7f03a6] Clean up trailer handling.
  * [dfab0a24] Some cleanup, gitignore, and a readme
  * [292ac93] Updated Canadian English MythWeather translation.
  * [40917b8] Move tmdb3 library for proper installation. Correct bugs
    in tmdb3.py.
  * [f404b65] Merge branch 'master' of github.com:MythTV/mythtv
  * [36cdbfd] Updated MythFrontend, MythArchive, MythBrowser,
    MythGallery, MythGame, MythMusic, MythNetvision, MythWeather,
    MythZoneMinder translation from Marko Punnar.
  * [12823e7] Merge commit 'd7d68c2f584ee9c7bc9b52567038cb14fa8b0ed0'
  * [d7d68c2] Add Movie.fromIMDB method.
  * [be6e6d7] Add exception type for unknown language or country.
  * [5291ff0] Delete missed line causing syntax error.
  * [094608c] Finish up locale and fallthough.
  * [484d12d] Implement locale support in searches and data queries.
  * [74d4a29] Updated US English MythFrontend and all plugins
    translation from the US English Translation Team.
  * [84cc01d] Update Canadian English qms
  * [e85c523] Updated Canadian English MythFrontend and all plugins
    translation
  * [d5d5cba] Initial changes for improved locale support.
  * [b4c922b] New Hong Kong Chinese locale file from Walter Cheuk
  * [b3e3b03] Remove MythTV grabber script.  Script is now located in
    the MythTV repo.
  * [1caa3a3] Move tmdb3.py script into location used by metadata
    libraries.
  * [d3c219a] Merge commit '1e4b690a2d6a5854eca6038a7c67ded2df973ce6'
  * [1e4b690] Correct import method to use installed package.
  * [f0307c3] Correct missed variable name change.
  * [61fad36] Generalize caching and allow post configuration.
  * [78ad8be] Oops.  Fix const char * vs char *
  * [fe8c8bf] Make the logging change more clear
  * [4c93463] Fix a stupid brain-o
  * [ba2ccfb] Updated Russian MythFrontend translation
  * [dfadcda] Fix a memory corruption when logging strings with a '%'
    character.
  * [3b5ac82] Updated Spanish / Spain MythFrontend, MythArchive,
    MythBrowser, MythGallery, MythGame, MythMusic, MythNetvision,
    MythWeather, MythZoneMinder translation from the Spanish Language
    Translation Team
  * [76a5ca3] Updated Norwegian Bokmal MythFrontend, MythArchive,
    MythBrowser, MythGallery, MythGame, MythMusic, MythNetvision and
    MythZoneminder translation from Rune Evjen.
  * [4f9cbeb] Convert strings using toUtf8() instead of toLocal8Bit()
    before using ELF Hashing, fixes duplicate matching breaking where
    the environment isn't 8bit and toLocal8Bit() will fail. There's a
    small chance this will break duplicate matching for a few users who
    are using an 8-bit character encoding which isn't UTF8 compatible
    but it will fix it for far more users who might be running
    mythfilldatabase from a cronjob with no proper locale or similar.
    Refs #10449
  * [83759ac] Fix initialization of histograms
  * [778d811] Fixes #10054. Fixes handling of segmented SDT and PAT
    tables.
  * [19df7fb] Revert "Add a setting to enable/disable the UI effects."
  * [797211c] Mythuitheme XSD, there is no limit on <stop> elements in a
    <gradient>
  * [608d7fe] Mythuitheme XSD, fix error, in this instance position is a
    percentage value not coordinates.
  * [6bd7ab7] Update mythui XSD to include recent additions such as
    <animation>. Also added support for themeinfo.xml
  * [af4c184] Fix duplicate <buttonarea> in the wrong place in default
    theme. Found through validating against XSD
  * [bcebfdc] Fix typo in Terra which caused a warning when validating
    the theme.
  * [d6f038c] Refs #10067. Fix event dequeing logic issue
  * [cf0d7b0] Fix some theme validation issues in MythCenter-wide
  * [aa59013] Properly initialize variables in Channel data contract.
  * [15a7daf] Tabs to spaces and remove a commented line
  * [cbf999d] Add a setting to enable/disable the UI effects.
  * [8facdb7] Fix typo in Terra introduced in 5d81a9d0
  * [ec1a8d2] Fix LF vs CRLF in file (formatting only)
  * [0c567e1] Make Guide/GetProgramGuide's NumChannels parameter similar
    to other methods.
  * [4dbca61] Bump version.
  * [ed46c2b] Move MythTV grabber script into scripts directory.
  * [ae288e2] Setup Wizard: Fix the blank screens when moving back in
    the wizard.
  * [09eca8f] Updated British English MythFrontend, MythArchive,
    MythGallery, MythGame, MythMusic and MythZoneminder translation from
    Nick Morrott
  * [aad0ac5] Fixes #10443. Update end time of recorded entries in
    LiveTV.
  * [7fa5023] Fix HLS transcoding audio with non-MP3 input
  * [5c07d22] Add nowplaying(), mostpopular(), and toprated() methods
    for Movie class.
  * [af5dba1] Rework search result paging with a more generic base
    class.
  * [495ef16] Merge branch 'master' of github.com:MythTV/mythtv
  * [dfbb6d3] Update the Russian translation of mythfrontend,
    mytharchive, mythbrowser, mythgallery, mythgame, mythmusic,
    mythnetvision, mythnews, mythweather and mythzoneminder.
  * [414159d] Keep an unsigned counter from going negative
  * [fd42b59] Update the themestrings with a few minor corrections.
  * [4ec5bab] Default themes: In the audiowizard window, change "My
    speaker" to "My audio subsystem"
  * [c4f0f67] Another static definition fix.
  * [6c00548] Merge branch 'master' of github.com:MythTV/mythtv
  * [da7d2aa] Correct jobqueue job type definitions in python bindings.
  * [2d1d6d5] Fix typo in 2451dc574..."Steppes-narrow", not "Stepped-
    narrow".
  * [7f8dda1] Limit the uPnP recording description length to 128
    characters for compatibility. When a recording doesn't have a
    subtitle, we currently insert the full description of the recording
    into the title/subtitle. As this breaks some uPnP clients, let's
    truncate the description at 128 characters for compatibility.
  * [9bd93b2] Merge branch 'master' of github.com:MythTV/mythtv
  * [a83aba6] Fix QStringList -> Stringlist in a few more backend
    service API users
  * [2451dc5] Add Steppes-narrow to the list of translatable themes. The
    strings seems identical to Steppes at the moment, but let's include
    it just to be on the safe side.
  * [21da03d] Update the themestrings for the frontend due to a UTF-8
    encoding error. Hopefully the very last update for 0.25?
  * [fb448d6] Silence warning about testing a uint for less than zero
    (detected by clang). Closes #10476
  * [10a8dba] Correct initialization of pointer to be NULL, not false
    (detected by clang). Closes #10475
  * [db33108] Properly detect video files that have moved hosts.
  * [f30ffd4] Fixes #10423. Refs #8744. Fixes A->B,B->A locking issue
    introduced in [146ee7692]
  * [64f9423] Fix UTF-8 encoded output in the themestringstool.
  * [aefc7ce] Remove extraneous ; in MetadataFactory.
  * [efdba7e] Fix type on return value in HTTPLiveStream::StopStream()
  * [0ba4567] Redirect strings from music-base.xml to the mythmusic
    translation files rather than the mythfrontend translation files.
  * [118c9e0] Update the themestrings following the release of RC1.
  * [b309cf1] Make comparison more explicit
  * [425e1d7] Fixes #10474. Logic error discovered by Gary Buhrmaster.
  * [ebf828d] =Add files missing from 5d81a9d000.
  * [92f7d1f] Another small indent fix...
  * [926d837] Line length/indent correction of commit ddc1e1e18
  * [fe97637] Change directory for folder in MythArchive when it is used
    to describe a place to store documents.
  * [584f049] Fix some typos...
  * [ddc1e1e] Add Chinese date and time formats to the list of date/time
    formats.
  * [95ad33f] Fix Theme Chooser downloads on remote frontends for 0.25
  * [80e6e87] Make MythArchive theme descriptions translatable.
  * [2005a52] Make additional text strings translatable.
  * [8a5977d] Display the entire XMLTV grabber name.
  * [6c526f0] MythCenter-wide: bump the version to better reflect the
    progress made
  * [0f7c765] default-wide: Change an edit to a multi-line edit
  * [4b99fcc] MythCenter-wide: Change an edit to a multi-line edit
  * [ddb8f54] MythMusic: Fix a problem when the resume mode is set to
    Off
  * [4951a25] Merge branch 'master' of github.com:MythTV/mythtv
  * [0ee3022] MythMusic: Re-enable the playlist buttonlist search after
    f57253536
  * [f6113fb] Update the Swedish translation.
  * [a1d573c] Refs #10472. Initialize pointer in ctor.
  * [585ec0c] Update Polish MythFrontend and all plugins translation
    from Warpme.
  * [bf10d8d] MythArchiveHelper: Fix bad filenames when creating a
    native archive directory
  * [899ef48] MythMusic: Fix having to load the music library before
    running a file scan
  * [47e4a67] Prevent an infinite loop in MythUIButtonList when using
    the itemVisible signal
  * [29b66a1] Revert "Speed up initial loading of Watch Recordings
    screen."
  * [5d81a9d] Some fixes for Terra
  * [0430596] Updated Norwegian Bokmal MythFrontend, MythMusic and
    MythWeather translation from Rune Evjen
  * [f572535] MythMusic: Speed up the creation of the playlist button
    items
  * [de4f093] Fix the missing handling of rsTuning in a few places.
  * [3dbd1bd] Speed up initial loading of Watch Recordings screen.
  * [759fea8] MythPlayer: add back code to handle seamless LiveTV
    program transitions
  * [43b55c9] Only create playback profiles when they are usable
  * [972371e] MythMusic: reload the settings in the player when exiting
    the setting pages
  * [e1bf100] Only restart the idle timer if it was active to begin
    with. This was broken by ad7ee3fd. Fixes #10467
  * [b172de1] Updated Russian MythFrontend translation.
  * [85ac156] Don't use the PLAYBACK_START/PLAYBACK_END events to pause
    the idle timer, the problem is that MythMusic unpauses the timer
    when it recieves the PLAYBACK_START event because it's just stopped
    music playback. There's no simple way around this if we continue to
    use the events, so just call PauseIdleTimer() directly instead. Refs
    #10467
  * [72d3fb5] Add debugging to PauseIdleTimer() to help diagnose any
    problems with this code during the 0.25 release
  * [22400f1] Call ItemVisible() signal earlier to reduce flickering in
    mythmusic.
  * [2c08a7d] Fix VDA playback for some videos.
  * [111f0ed] Make sure we don't deref a NULL pointer to a
    PreviewGenerator.
  * [6cfb930] Make sure the previewWaitCondition.wakeAll() is heard by
    using the proper lock.
  * [3a6cb4a] Fix ordering of deletes in commandlineparser destructor.
  * [01177a3] Performance/bug fix in media monitor ScanMediaType().
  * [19fa996] Pause the frontend idle timer when mythbrowser or
    mythflash is being used.
  * [f6f8e73] Don't toggle the enteringStandby state unless we're using
    the 'Standby Mode' jumppoint. It's only relevant when the standby
    screen is being used.
  * [df400e6] Pause the frontend idle timer when music is being played.
    Fixes #10464
  * [cc062d3] Fix Mac OS X media monitor error.
  * [bfa84c5] Add __init__

  [ John Baab ]
  * Fixed issue where an existing mythweb apache config would be 
    re-used and incorrect paths were not updated. (LP: #806221, #923785) 
  * Removed mythweb_paths.patch, no longer needed.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 29 Mar 2012 16:25:18 -0500

mythtv (2:0.25.0~master.20120316.53761e2-0ubuntu1) precise; urgency=low

  [ Thomas Mashos ]
  * Updated DB schema for standard plugins (LP: #944128)

  [ Mario Limonciello ]
  * Remove references to mythmessage.
  * Fix permissions on all existing log files on upgrade.
  * New upstream checkout (53761e2)
  * >>Upstream changes since last upload (6519666):
  * [53761e2] Use toLocal8Bit() for loading mysql.txt.
  * [c3b022a] Don't display frontend status box log viewer button
  * [8284bb7] Mention the detected character encoding
  * [fa639a7] Make users have to figure out if their video works
  * [5fb541e] Update Youtube player API to v3.
  * [2ce3690] Identify DVD commentary tracks in the Audio track
    selection dialog.
  * [cbd9703] Prevent showing 0x0 artwork when a recording doesn't have
    Seas/Ep.
  * [9c4e7fd] Slight mod on [be81782c0] (function names).
  * [187e37d] Close DB connections before running jobs.
  * [be81782] Make sure we cleanup DB connections before thread exit
    (non-MThread).
  * [201c153] Missed a change from 1a651934c
  * [9b6cdba] Rename 'file browse mode' to try and discourage it's use.
    Browsing the database is now 'Browse Library (recommended) and what
    was called file browse is now 'Browse Filesystem (slow)'
  * [9e80861] Rename 'Enable/Disable Flat view' in the video browser to
    'Show/Hide Directory Structure' to try and reduce the confusion this
    mode currently causes.
  * [1a65193] Only display the standby screen if the master backend is
    configured to shut down when idle. We can assume that if the user
    hasn't configured their backend to shut down then they don't care to
    know that the frontends are idle.
  * [15a85ec] Call DestoyMythMainWindow() before exit, even on error
    exits.
  * [d3b4762] Subtitles: Try to reenable the previously selected caption
    type.
  * [20a5628] Don't increment the number of channels returned by
    libdvdnav. This was causing 5.1 audio to be wrongly identified as 7
    channel, and stereo as 3 channel.
  * [c61bb1e] Add debugging for the DVD audio language extension code
    which may prove useful in the future.
  * [f8d2de0] Fully clear the audio ringbuffer when using AC3 re-encoder
  * [f6a8650] Partially revert 5dccbd5f6b3019a67ecc69213ee405bba4b30994
  * [cc2ad7f] Revert "Fix potential leak"
  * [3e26728] Merge branch 'master' of github.com:MythTV/mythtv
  * [684272a] Fix the naming of some jumppoints.
  * [8acfc87] Fix mac compilation using Qt 4.8.0
  * [6ed2587] Allow more room for double-digit cardids in the
    MythCenter[-wide] and default[-wide] themes.
  * [f31d9a7] Fix potential leak
  * [fd36db9] Ignore DVD commentary and AD tracks when auto-selecting
    the audio track.
  * [3e4ec54] Merge branch 'master' of github.com:MythTV/mythtv
  * [5c1f50d] MythCenter-wide: Tidy up a few screen titles
  * [9b6e4e1] Remove MythMessage binary.
  * [1b29d50] MythCenter-wide: Tidy up the 'Custom Record Rules' screen
  * [f56bdfc] MythCenter-wide: Make the multi-line edit resizeable
  * [2b908b4] Squash a pesky compiler warning.
  * [c050aca] Remove unused "oldJar".
  * [ad7ee3f] Fix the frontend entering 'manual' standby mode instead of
    'automatic' standby mode. The net effect of which being that you can
    only exit standby by pressing escape when any input should have
    exited.
  * [7ccf016] MythCenter-wide: Add the MythArchive ui files and animate
    a popup
  * [706d0ed] MythArchive: Use the default popup background image for
    both default themes
  * [0df6e17] MythZoneminder: Use the default popup background image for
    both default themes
  * [499f86a] MythCenter-wide: Animate the MythZoneminder functionpopup
  * [b80d1e2] MythCenter-wide: Add the popup keyboard so it can be
    animated
  * [898a01a] MythCenter-wide: Add the MythMusic theme files and animate
    a few popups
  * [3a09730] MythCenter-wide: Add the MythTimeInputDialog popup so it
    can be animated
  * [659bf60] MythCenter-wide: Animate some of the popups
  * [a145733] Frontend Service: Fix Playback of recordings. The Setting
    of the time spec was breaking playback.
  * [5d1e0c3] Merge branch 'master' of github.com:MythTV/mythtv
  * [658a4ec] MythMusic: Preserve the play state when switching views.
    Fixes #10412.
  * [de9b19d] XML plist serializer: Fix dictionary in array
    serialization.
  * [4fee6b1] XML plist serializer: Do not output invalid date/null
    bytearrays.
  * [e42b2db] Fix plist serializer.
  * [86d4de8] Make XML plist serializer dates work with Apple plist
    parser.
  * [c25fb44] MythMusic: Tidy up the display of the play/paused/stopped
    player state
  * [36d87af] Update description of decoder field.
  * [16ff44e] Add description for vda decoder
  * [72497f6] Add default OpenGL playback profiles
  * [cfd1ce2] Add default VDA playback profiles
  * [2ab6d31] Merge branch 'master' of github.com:MythTV/mythtv
  * [3cb4b6a] Ensure mount is available before
    MythMediaDevice::ScanMediaType(). Refs #10450
  * [a4d48df] MythMusic: Don't resume playback when switching views and
    the playlist is empty
  * [c09b076] MythMusic: change a couple of <dynamic_cast>  to
    <static_cast>
  * [47c9ac2] Various Ceton recorder fixes.
  * [f261f8e] Add a couple more FreeSat transports to the EIT fixup
    list. This helps keep Freeview and FreeSat guide data consistent
  * [1399a9c] Make mythuiwebbrowser and mythdownloadmanager share
    cookies
  * [78a637c] NUV playback: Use a more accurate bitrate estimation if
    available.
  * [0f7651e] Do not disable LPCM if 16 bits audio isn't available
  * [083fe59] Fix RingBuffer starvation when playing .nuv files.
  * [c419275] Fix DB locking issue on MySQL 5.5
  * [ff73126] Fix a PreviewGenerator dtor race.
  * [0542a10] Refs #10414. Lower HDHomeRun recorder CPU usage a tiny bit
    more.
  * [1578678] Fixes #10420 - Invalid data type in VideoLookup XSD
  * [6a0e4a2] Fixes #10441 - Invalid data types in Frontend web service
    XSDs
  * [2f6c4ee] Refs #10414. Lower DTVRecorder CPU use.
  * [cc55c12] Add some sanity checking to manual cutlist input.
  * [33fc9c4] Updated Russian Mythfrontend, MythBrowser, MythGallery,
    MythGame, MythMusic and MythZoneMinder translation.
  * [eac7f47] Subtitles: Improve layout of zoomed CEA-608 captions.
  * [f51f5ea] Updated Greek MythFrontend, MythArchive, MythBrowser,
    MythGallery, MythGame, MythMusic, MytWeather, MythZonMinder
    translation from Yianni Visalis.
  * [d2f4ae0] Fix a segfault when trying to search a buttonlist with no
    items
  * [836d501] Updated German MythFrontend, MythArchive, MythBrowser,
    Mythgame, MythMusic and MythZoneminder translation from Florian
    Bittner.
  * [7862c79] Remove some unintended debugging print statements.
  * [e1d3ac8] Add some intelligent behavior to help printout.
  * [ebe802f] Make child options visible in help when an invalid option
    is used.
  * [46f6c4a] Tweak --help description in commandlineparser.
  * [544094c] Correct handling of old --refresh-day option.
  * [495e662] Change delete dialog text to read 'permanently delete'.
    Just to avoid any doubt.
  * [e05d654] Revert de7acc4ef now that we no longer focus 'OK' but
    default in the delete confirmation dialog.
  * [d353525] Always default to focusing the 'Cancel' button in
    confirmation dialogs, confirmation dialogs are used when we want to
    prevent the user making a mistake which is still too easy to do if
    'OK' is selected by default.
  * [3d2f68a] Add more detail to syslog logging
  * [37cacb6] Fix RTP IPTV with multiple IPTV interfaces. 1ed419ad
    applied a fix for udp IPTV where more than one interface was
    available, it didn't apply the fix for rtp which uses the same
    socket code. Fixes #8767, Refs #3873
  * [1c2ce6a] Correct --inversecut handling in mythtranscode.
  * [d62595d] Update python installer to properly remove installed
    scripts.
  * [f6f2fbb] Fix a couple of incorrect dtors
  * [c114dd5] If the downloadable themes cache dir doesn't exist, force
    redownload.
  * [5201fb9] Remove unnecessary comment.
  * [7d76de7] Add log messages missing from a couple of DB upgrades
  * [4753c7a] Require a reasonably current DB version on upgrade
  * [0bc768e] Fix some DB locking issues on MySQL 5.5
  * [9fb1c3e] MythMusic: Add the nodetype statetype to the default 4:3
    playlist tree
  * [7d42720] Revert "Revert to using Any address."
  * [bbfda96] Fix sub-folder node not displaying artwork of the first
    child in the tree view. This was working in all the other views but
    not in the tree view.
  * [23f3e6f] Revert to using Any address.
  * [177fdbb] Use MythDownloadManger for downloading icons in
    mythfilldatabase. HttpComms doesn't support SSL.
  * [1558b6e] Prompt on exit if configuration is ambiguous.
  * [e022c2c] Remove limit from 1256 DB update.
  * [3474fc2] Add explicit warning for removed -l and --logfile command
    line options.
  * [5ddc5aa] Prevent segfaults in mythuicheckbox if the theme xml is
    missing required components.
  * [e78a9ff] Add missing JOB_REBUILD flag for queuing seektable
    rebuilds.
  * [7a5db2b] Prevent segfault in mythuibuttontree with malformed theme
    xml.
  * [fa6fb44] Add NULL initializer to m_udpSend in ServerPool class.
  * [48ba349] Fix new piano visualiser.
  * [b522d60] Fix missing headers when compiling under mac 10.5
  * [d65a742] Fix compilation when using 10.5 SDK.
  * [814e880] MythUI: Optimize MythUIText::DrawSelf to quit if there is
    nothing to draw.
  * [c24c55a] Terra: Fix the defined area of the filebrowser and large
    menu popup so that mouse click don't go to the window behind the
    popup. Should also prevent redraw issues, especially with the QT
    painter.
  * [498f9f6] MythMusic: Add a nodetype statetype to the playlist tree
  * [1ceab85] Add link to disable xslt translation of xsd in browsers
    (also cleaned up display of array types).
  * [293175a] Use a dedicated, unbound QUdpSocket for writeDatagram in
    ServerPool.
  * [63555a6] Add 'removed' options to assorted applications.
  * [ddb9514] Fix getSetting method in javascript.
  * [07abfa6] Add mechanism for marking command line options as removed.
    ABI bump.
  * [2be3dd9] Fixes #10414. Ensure sufficient buffering and sleep longer
    when there is no data.
  * [d8053e4] Refs #10414. Fix HDHomeRun makefile so it can compile
    firmware update tool.
  * [a8131eb] MythMusic: Remove some code left over from the old UI.
    Fixes #10415.
  * [e9e021a] MythNews: Fix some text that was causing
    GetImageFromTextLayout() to complain
  * [b65c43f] Allow rating changes even if no rating statetype is
    defined in the body of the screen. The logic of not changing the
    rating if the user cannot see the changes made is sound, however
    making it so that we check if the buttonlist is displaying the
    rating is not trivial and cannot be done in a feature freeze. It's
    better than that THMBUP/THMBDOWN work than having them silently
    fail.
  * [1d8fcde] Fix OS X default for ejectOpticalDisc(), improve verbose
    output. Refs #10370
  * [67c86db] Verbose output - shorten a line to prevent wrap in 80col.
  * [fef4aa4] setSpeed() - eliminate spurious -v media log line if Media
    Monitor disabled.
  * [ede2706] OS X setSpeed() - use correct drive path. Refs #10370
  * [fd1800a] Remove --logfile and -l parameters
  * [a9bf1d3] Rename vdpaubuffersize option to vdpaubuffercount.
  * [9e62067] Fixes #7923. Listen for CAT changes.
  * [f00264f] Change the idletimer from single shot so that we don't get
    stuck in standby mode under certain conditions.
  * [7433393] When the idle timer fires display the standby screen.
  * [d8f180f] Add a jumppoint to enter standby mode manually.
  * [a4ca569] Add a setting to configure how long the frontend remains
    idle before we enter standby mode. Defaults to 90 minutes. A value
    of zero will disable the timer. Video playback suspends the timer,
    but currently listening to music does not.
  * [d2edb8b] Add gitignore for smolt files.
  * [3a51b83] Fixes #10400. Avoid getting stuck on mux in EPG channel
    changes.
  * [031d488] Fixes #10416. Really pause decoder thread when we are
    changing the decoder for JumpToProgram.
  * [f1937ea] 'Default Playlist' sounds better than 'Unnamed Playlist'
  * [1d9ebef] Use QLocale::toString() to format some numerical strings
    correctly
  * [069c177] Remove dead code from musiccommon
  * [c6c32d1] Use the host name from the request instead of localhost.
  * [31a6a77] Set default playlist name to 'Unnamed Playlist' since
    users will see it.
  * [b907e36] Fix playlist mapped text not being available to use in the
    UI
  * [3e0d4c6] Include the playlist name in the mapped text.
  * [bf67594] Fix images in buttonlists not being Reset() when passed an
    empty filename string.
  * [c5e5236] Don't hardcode the image shown when no albumart is
    available. This allows the themer to not show any image instead or
    to show their own image with a different path.
  * [3430222] Fix a crash when executing a jump point during a playlist.
  * [cf9ee65] Fix showing warnings on invalid schema versions
  * [3758090] Mute address selection warning if using defaults.
  * [79603b1] Add '!' missed during move in f5aa5e835b74.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 16 Mar 2012 00:52:42 -0500

mythtv (2:0.25.0~master.20120305.6519666-0ubuntu1) precise; urgency=low

  * Drop mythtv-themes metapackage and childish theme.  Should be installed
    exclusively through theme chooser now.
  * Update Mythbuntu theme git links to still create that theme package.
  * Update configure without install patch.
  * Tweak default max_connections for mysql to be 100 per requests from
    mythtv mailing lists.
  * Update to a checkout post mythtv 0.25 beta release.
  * New upstream checkout (6519666)
  * >>Upstream changes since last upload (532cee8):
  * [6519666] Use deleteLater() when deleting server sockets in
    ServerPool.
  * [b08b41b] Silence unused variable warning
  * [5112e25] Silence unused variable warning
  * [40c69e1] AvFormatDecoder: add FORCE_DTS_TIMESTAMPS environment
    variable
  * [dbb5ffb] Merge branches 'master' and 'master' of
    github.com:MythTV/mythtv
  * [57687c8] Subtitles: Initialize the SRT error count to avoid bogus
    diagnostics.
  * [6c3a799] Increase kMaxUIWaitTime to 10 seconds. The theory is that
    this timeout was to prevent a very delayed response to an
    availability check causing playlists to resume playing long after
    the user had moved on. The present timeout was very short though and
    didn't account for delays caused by disks needing to be spun up or
    just the latency of checking multiple storage groups for a file.
    Almost certainly fixes #8316
  * [dd9a92a] Subtitles: Fix a null pointer dereference when splitting
    long lines.
  * [5f98ce1] Fixes #10367. Adds new Motorolla DCX-3200 vendor and
    device id.
  * [7347bf5] Fix for WSDL generation.
  * [a454b79] Allow the processing of uncompressed data from Schedules
    Direct.
  * [f19c9c2] Minor changes to allow compilation using VS2010
  * [0607b58] Fix build after [6a200130eff4]
  * [6a20013] Handle more ISO-639 codes
  * [d1a6cc8] Fix universal package build with new osx-builder
  * [20f2c45] Fix UPnP for Sony BluRay players
  * [638192e] mythtranscode: --fifoinfo reports aspect ratio of first
    uncut frame
  * [18fdd67] Look in more than one location for libdvdcss on mac.
  * [871a1cd] Giving up on Qt, doing it with an external command.
  * [4392c16] Delay first call to QTextCodec until after main
    QApplication has been created
  * [da7626e] Do not disable mythmusic dependencies when using --
    disable-all
  * [ca996e0] Updated Norwegian Bokmal MythFrontend and all plugins
    translation from Rune Evjen.
  * [18ab21a] Rearrange code in AddRangeList to defeat compile warnings
  * [2422b6f] Miscellaneous string fixes
  * [5e898a1] Fix HLS AddVideoLiveStream with files in subdirectories.
  * [f834940] MythArchive: Remove the Cancel options from the menus
  * [366d96d] Correct issue passing python library name for dependency
    checking.
  * [c09418f] MythBrowser: Remove the Cancel options from the menus
  * [002d7c5] MythMusic: Remove the Cancel options from the menus
  * [bb3d1a8] MythMusic: Add some context menus on the playlist editor
    screen
  * [bf4ff78] Per 2075458f5 Remove deprecated attribute from
    dispatchNow(), we know it's deprecated but it's not going away any
    time soon
  * [12bbcf0] Fix a warning about an unused variable in httpconfig.cpp
  * [43dcfce] Fix a warning about an unused variable in videolist.cpp
  * [4edcda6] Move the Recording Profiles editor into mythtv-setup where
    it belongs. This constantly gets overlooked because it's not in the
    right place, especially by users who chose to use a third party
    frontend.
  * [d7c8dfb] Better default device (when MediaMonitor disabled) on OS
    X. Refs #10370
  * [7b526c4] Rework AudioReencodeBuffer further to fix HLS audio
    buffering
  * [a130e74] Bump ABI version.
  * [5e976b4] Rename util.h into mythmiscutil.h
  * [efe385c] Fix dcraw detection on FreeBSD (old sh, not bash)
  * [f5aa5e8] Use QNetworkAddressEntry to get proper broadcast address
    for udplistener
  * [b6f9e1d] Revert "Rename util.h into mythutil.h"
  * [84275f1] Revert "util.h rename itself didn't get committed"
  * [8ef8c0b] Merge branch 'master' of github.com:MythTV/mythtv
  * [0fe6e14] Totally rework the AudioReencodeBuffer part in transcode
  * [fb8004a] util.h rename itself didn't get committed
  * [ef771da] Rename util.h into mythutil.h
  * [ba9b5d3] Rewrite configure for mythplugins
  * [a5557a3] Fix MythZoneMinder on mac; the proper way..
  * [30ed8f0] DeleteMap tracker: Fix an error in 94d27c67f.
  * [6ae9f66] Rewrite configure for mythplugins
  * [0fc9853] Fix MythZoneMinder on mac; the proper way..
  * [79f5133] Updated US English MythFrontend and all plugins
    translation from the US English Language Translation Team.
  * [6952dc4] Miscellaneous typo and case fixes.
  * [b85f5bb] MythArchive: various minor mythburn.py script improvements
  * [7e9cd56] Missed a change from cda7871f - I forgot to make install
    when testing and missed the breakage.
  * [9d83307] Remove an errant <value> tag from the mythgallery default
    theme. This was causing some confusion for translators.
  * [cda7871] Fix the channel icon not loading in the OSD on remote
    frontends by switching to using the channel icon storage group. This
    bug has been around for years so it's nice to finally have a fix.
  * [e0e321f] Additional case and spacing fixes.
  * [47c7c48] Add a few missing spaces...
  * [736524b] Various case and punctuation fixes.
  * [eba28f4] MythMusic: Only abort ripping upon confirmation
  * [81acf24] Tweak the space available for the channel number so that
    it remains hidden behind the poster.
  * [fbba2ae] Show coverart in the Terra OSD, falling back to channel
    icon if the artwork isn't available and channel number if the
    channel icon isn't available.
  * [ff4d601] DVD navigation: Reenable skipping past the last chapter of
    a title, and skipping previous to the first chapter of a title.  The
    limitation may have been left over from an older version of
    libdvdnav.
  * [8ea557a] Fix 'depends'. I'm surprised I didn't notice this earlier,
    perhaps because I was using <group> a lot I missed that depends
    behaviour didn't work for immediate children of <window>.
  * [eb87f9e] Fix 'depends' for inherited and copied screens.
  * [38221b8] Only show poster in the default-wide OSD when we're not
    displaying the channum/icon/callsign. Also center the poster better
    in the available space.
  * [69cae58] Merge commit 'e965387441ff189bb2c096f8ed5bdbf2b2a473e6'
  * [e965387] Add setup script and readme
  * [905e8e5] Split 'mythtv/bindings/python/MythTV/tmdb3/' into commit
    '565041dddf9d4937c31c0d57475c548e56882e89'
  * [565041d] Enable search paging for TMDB v3 API.
  * [367b05d] Enable search paging for TMDB v3 API.
  * [6113151] Add proper language support to TMDB v3 API.
  * [6410395] Add proper language support to TMDB v3 API.
  * [c65d8eb] Remove TMDB API key from request.py
  * [6c4c60a] Remove TMDB API key from request.py
  * [b38f901] Fix some null strings in SQL inserts on NOT NULL columns.
  * [55fd3bf] MythUI: Make ascent/descent/bearing adjustment a little
    easier to follow, by using moveTop/moveLeft instead of setX/setY
  * [d16575c] MythUI: fix a typo in MythUIText::DrawSelf that could
    result in an incorrect canvas size.
  * [64383c5] Fix a compiler warning.
  * [ecea05d] Added ENO to an error log in avformatdecoder
  * [03e2387] Services API: Fix cut and paste error.
  * [99abdfe] Update xml schema declaration for 0.25
  * [6e2f231] Fix typo
  * [05e5cf7] Updated Spanish/Spain MythFrontend, MythArchive,
    MythBrowser, MythGallery, MythGame, MythMusic, MythNetvision,
    MythNews, MythWeather transation from the Spanish Language
    Translation Team
  * [2f895cb] Fix mythzoneminder on mac part #3
  * [e34c8d7] Fix universal architecture compilation of myth on mac.
  * [a513779] Fix MythZoneMinder part #2
  * [700a58d] Remove stray include, same as <Qt>
  * [d84d5c9] Add basic dead key support to mythuitextedit. Implemented
    from scratch because I couldn't see a way of getting QT to handle
    it. 
  * [c3544ed] Fix mac compilation
  * [6bfda0c] Fix mythoneminder compilation when using mysql universal
    libraries.
  * [21ad34b] Add --firewire-sdk configuration switch to configure
  * [3196c2c] Fix FireWire compilation on mac when compiling in 64 bits
    mode.
  * [5dccbd5] Fix mac compilation when Qt Frameworks are in use.
  * [20d6852] Fix libcec configure to work with v1.5
  * [f16048b] Finish the db upgrade to 1299 (perl bindings)
  * [d486b8a] Make artwork edit UI elements optional on video metadata
    edit screen.
  * [38dfa89] Updated British English MythFrontend, MythArchive,
    MythGame and MythMusic translation from Nick Morrott
  * [7e4740e] Refs #8941. Make sure we set the channum when switching to
    a new card with either a specific chanid or inputid.
  * [05bc5e1] plugins configure: Remove some debugging left by mistake
  * [ff593fa] Clean up the mappings for network control jump points.
  * [146ee76] Fixes #8744. Fixes crash in DVB-x channel scanning.
  * [6f24f3b] Subtitles: Rename the OSDSubFont setting to
    DefaultSubtitleFont.
  * [6202c0d] Revert "Subtitles: Remove the OSDSubFont setting."
  * [4a2420e] MythZoneMinder: Add support for the deep filesystem
    hierarchy for events.
  * [a6b1e3a] Program editor: don't seek too far when stepping to the
    next keyframe.
  * [97da8c8] Fix a doxygen comment
  * [144c8bb] MythMusic: Do a full reload of the tracks and playlists
    after doing a scan
  * [f78f999] Change delete behaviour so that we always use the deleted
    recording group allowing all recordings to be undeleted. By default
    we will only keep recordings for a minimum of 5 minutes (max ~20m)
    after their deletion, enough time to recover from a mistake but
    still free up space quickly. As before the user can specify to keep
    deleted recordings for a fixed number of days or until the space is
    needed for a new recording instead. Post 0.25 this change will allow
    us to strip out the old deletion code and simplify configuration
    process, the functional change is being made now to fix a couple of
    bugs caused by external processes such as MythPreviewGen blocking
    deletes from the UI. Fixes #9536
  * [cfd3fc0] MythMusic: Fix the sending of the MUSIC_SETTINGS_CHANGED
    event
  * [5932419] Merge branch 'compartist'
  * [5206271] Subtitles: Apply OSDCC708TextZoom to CEA-608 captions as
    well.
  * [99512fb] Refs #10386.  Don't sent EXIT_TO_MAIN event to Live TV
    jump point.
  * [dfd909f] Fix crash on mac when no audio device exists.
  * [bd68156] MythMusic: Fix the BLANKSCR keybinding not working
  * [9016890] MythMusic: Check for some additional cdio headers
  * [3570a99] MythMusic: Fix a memory leak in the playlist editor
  * [7e6f5fa] Fixes #10386. Segfault fix. Check for null.
  * [510da69] As noted in SHA1:9551bce2, MainServer doesn't know the
    actual recording status because it defaults to rsRecorded when the
    recordinginfo is initialized from the recorded table.  MainServer
    doesn't account for this and tries to make any needed state change
    which always ends up staying rsRecorded.  MainServer then passes
    this bad status to the scheduler.  If the recording had already
    failed, the rsFailed status gets overwritten.
  * [3740d7d] Spelling consistency fixes
  * [47d7c77] Fixes #9233. Refs #7408. Re-enables WindowResized().
  * [a5447f1] MythMusic: Add a Compilations branch to the playlist
    editor
  * [1824969] Fixes #10153. Guess at DVB-S vs DVB-S2 when not explicitly
    set.
  * [21784ce] Fixes #10377. Prevent getting "stuck on a mux".
  * [593d24b] Refs #10377. Some logging fixes. (VB_PLAYBACK-
    >VB_CHANNEL).
  * [14ec737] Change the rsTuning UI state equivalent from 'tuning' to
    'running'. The UI states for the 'status' statetype are limited to 5
    generic values (normal, running, warning, error, disabled) to allow
    some portability to scenarios other than recording. (This was
    supposed to save themers some time and effort although it also binds
    their hands and doesn't allow as much creativity with how various
    recording states are represented. For this reason it may be re-
    visited post-0.25)
  * [4d68d5e] Updated Russian MythFrontend, MythArchive, MythBrowser,
    MythGallery, MythGame, MythMusic, MythNews, MythWeather and
    MythZoneminder.
  * [34c8767] Subtitles: fix an incorrect CEA-708 font mapping.
  * [b967448] Fix the faulty exit code 139 issue in Ubuntu systems
  * [723d798] Subtitles: improve vertical alignment for CEA-608
    captions.
  * [1af1aec] Fixes display of position in the Program Lister.
    MythUIButtonList is zero indexed, to get a position for display we
    must add one.
  * [967208b] Fix the last, hopefully, remaining places where
    livetvorder isn't honored.
  * [0a301c0] Fix the scheduler to not write incorrect oldrecorded
    entries.
  * [5d5aef3] Subtitles: improve the layout.
  * [878d5eb] String consistency updated
  * [456bb42] Updated Estonian MythFrontend and all plugins translation
    from Marko Punnar
  * [e719d54] Replace tabs with spaces in Terra's schedule filter editor
    window xml
  * [a3d9891] Use proper capitalization for some common words and
    prefixes.
  * [5b19c4d] Populate the infomap from both RecordingRule and
    RecordingInfo if available. This fixes recording rule specific
    information not being available in the sub screens of the schedule
    editor.
  * [f77d001] Fix minor problems editing in-progress recordings.
  * [006ded1] Fix recording status strings being set to 'Not scheduled'
    when the reason for that is they were in the past and should have
    been marked as Recorded/Aborted/Failed/Cancelled/etc instead
  * [6bedf81] Correct handling of unrelated argument after arg-less
    keyword.
  * [7adbd54] Delay String processing until after QApplication has been
    initialized.
  * [f613a43] Fix LiveTV switching by videosource to honor livetvorder.
  * [9b5b7b5] Exit cutlist edit mode cleanly when executing a jump
    point.
  * [c2a0b85] Updated British English translation MythFrontend
    translation from Nick Morrott.
  * [307dac8] Make jump points work during playback when the OSD is
    present.
  * [d59f4f4] Change dynamic cast to static. This is troubling because
    we rely on dynamic casts in so many places but for at least one
    person this cast was failing and causing popup menus in MythMusic to
    no longer have any effect. Maybe a buggy version of gcc?
  * [3de87c3] Subtitles: Fix a logic error.
  * [23d5167] Make host checks in Video Library scanner case
    insensitive.
  * [5d7c01d] Cutlist editor: Update the edit bar for in-progress
    recordings.
  * [1ce3d21] Cutlist editor: Adjust "Cut to End" behavior for an in-
    progress recording.
  * [4a8546d] Merge branch 'master' of github.com:MythTV/mythtv
  * [1d6485d] MythArchive consistency fixes.
  * [89c34ef] Fix seeking backwards into a cut region.
  * [6c3b564] Updated British English translation MythFrontend
    translation from Nick Morrott.
  * [5501fff] Fix long-standing bug that always cleared
    record.next_record instead of updating it.
  * [0c5de8e] Add missing menu closed event when closing the menu via
    the mouse. Fixes the menu dialog not working in some screens after
    being dismissed using a right click.
  * [93c228d] Prevent crash when invoking the menu dialog via the right
    mouse button in Watch Recordings. ShowMenu() is a virtual method in
    MythScreenType, it's intended purpose is to load/display the context
    menu but here it is displaying a menu loaded elsewhere with no
    guards against duplicate popups being created. Move the menu display
    code to DisplayPopupMenu(), restore ShowMenu() to behave the same as
    the MENU key binding and re-instate the guards against multiple menu
    dialogs being created. Also fixes #10248 - 'Cannot delete recording
    if file is missing'
  * [b755eca] Attempt to prevent a QString segfault if MythMenu changes
    while a dialog is open.
  * [f3efafe] Fix segfault in MythUIButtonTree when list is empty and we
    attempt to navigate it. Refs #9101
  * [b3e44a2] Rule type was missed from the RecordingRule text map.
    Added so that it appears twice in the map, once under the correct
    title of ruletype but also as rectype to be consistent with the
    ProgramInfo map until after 0.25 when we can rename that instance.
  * [2075458] Remove deprecated attribute from dispatchNow(), we know
    it's deprecated but it's not going anywhere soon.
  * [82fc1af] Add Collection support to developmental tmdb3 grabber.
  * [0f0b0a7] Better backend metaclass, and people search support.
  * [c47940a] Clean up and document background machinery
  * [850fbc2] Replacement PagedList to temporarily work around bug in
    search API
  * [d13addf] Add caching to tmdbv3 requests.
  * [fe97f23] In progress TMDB v3 grabber script.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 05 Mar 2012 21:49:35 -0600

mythtv (2:0.25.0~master.20120223.532cee8-0ubuntu1) precise; urgency=low

  * Reset permissions on all logs in /var/log/mythtv to ensure
    rsyslog is able to append to them.
  * Fix mythtv-setup logging to be local7 not local 7.
  * debian/control.in:
    - B-d on libio-socket-inet6-perl, libdbd-mysql-perl to fix libmyth
      perl missing files.
    - B-d on libxml2-dev to fix libxml2 support.
    - B-d on libass-dev to fix libass subtitle support.
    - B-d on libxvidcore-dev to fix external xvid codec support.
  * New upstream checkout (532cee8)
  * >>Upstream changes since last upload (769dfae):
  * [532cee8] Fix mouse support with groups. The code made bad
    assumptions but just happened to work in the past because focusable
    widgets were always no more than one level down.
  * [8cbd24a] Silence gcc warning about an unused variable in
    myththemedmenu.cpp
  * [5f5e015] Fix bug caught by Daniel, variable 'selected' was set but
    never used.
  * [25fe663] Subtitles: Remove the OSDSubFont setting.
  * [1f464e9] Ensure we use the right OpenGL libs.
  * [e2f74e9] Refs #9277. Adds some closed caption and subtitle caption
    track debugging.
  * [194ad69] Refs #6948. Refs #8211. Fixes channel list bug introduced
    in d14b660c.
  * [003f2a5] Updated British English MythArchive, MythGallery,,
    MythGame, MythMusic, MythNetvision, MythWeather and MythZoneMinder
    translation from Nick Morrott.
  * [ea22304] Allow relative path when using dvd: or bd: URIs
  * [93d3631] Fix bluray playback if mounting path is a symbolic link
  * [2fa00e7] Fix bluray playback when path to bluray mountpoint
    contains a trailing /
  * [765b8e4] Bump the binary verison for SHA1:e860c3f7
  * [e860c3f] Fix a couple of virtual tuner card creation issues.
  * [b304daf] Add some locking around cache access in
    MythDownloadManager. Refs #10337
  * [f6ca545] Guard against null/invalid pointers to the network cache
    in getHeader(). Refs #10337
  * [3e7f41e] GuideGrid was missing statetype corresponding to existing
    text state. Fixes #4504
  * [c5b6e92] Do not attempt to play audio with more than 8 channels if
    not supported natively.
  * [efcfee3] Subtitles: Fix layout to stay within the safe area.
  * [f8cb0f7] Another attempt at regression fix in metadata lookup.
  * [fc9f1cc] Revert "Fix recent regression with metadata lookup."
  * [ebebfd2] Fix recent regression with metadata lookup.
  * [4cdbbc8] Updated German MythFrontend, MythArchive, MythBrowser,
    MythGallery, MythGame, MythMusic, MythNetvision, MythNews,
    MythWeather, MythZoneminder translation.
  * [860b32b] Complete DB fix from 4f549f7b7d.
  * [feb3a94] Fix typo in 3d01ccf3cf936ed1228725a2fa92c11bf5f6191b
  * [00f9a5f] Fix the MythDownloadManager User-Agent
  * [3d01ccf] Fix iterator for bindvalue of cardinput update.
  * [c3b546e] Fix some uint vs int issues in MHEG handling
  * [6f07d1f] HTML Setup: Actually install the 3rdParty dir.
  * [4f549f7] Slightly tweak the videocollection DB schema.
  * [2175b3a] Use GetVideoDispDim rather than GetVideoDim in OSX
  * [0e98fa2] Make the MythDownloadManager use the defined http proxy
  * [ef62f60] Fix minor typo
  * [1ed8ec2] MythUI: Fix scrolling with the mouse in MythUIWebBrowser
  * [d07bf50] Fix the AVC HD icon in PBB. I think this was disabled at
    the beginning because some themers wanted to prefer the states
    showing HD resolution 1080/720 over the state which just indicates
    codec and definition. However the code is written such that leaving
    the state out of the theme means that we fall back to the next
    matching state, so themers shouldn't see any difference if they
    don't define the avchd state.
  * [2c712c8] Updated Greek MythFrontend, MythArchive, MythBrowser,
    MythGallery, MythMusic, MythNetvision, MythNews and MythWeather
    translation from Yianni Vidalis
  * [cd681be] mythccextractor: Recalculate each frame's duration.
  * [d95479d] MythUI: Fix itemVisible issue introduced in 9b7eae2f
  * [a072643] Merge branch 'master' of github.com:MythTV/mythtv
  * [28fda64] Fix PPC build
  * [37076dc] Remove include which was randomly added by Kdevelop
  * [61fe17c] Merge branch 'master' of github.com:MythTV/mythtv
  * [4d3accc] Always display StereoPCM option when digital audio is
    available.
  * [4d7c6d9] Fix visibility of digital options in the audio setup
    screen.
  * [30c0773] Add hdmi audio device type detection
  * [d4dbd11] Fix prefix +for non-primitives (cppcheck)
  * [8b509a0] Correct handling of IP addresses in Python bindings.
  * [6045fa4] Fix copying of recording rule inetref to recordings.
  * [7ad49a2] Better handling of exiting playback of a program in use
    elsewhere.
  * [0cd4ef2] Metadata Classes: Support lookup of series level artwork.
  * [34e75b7] Add Collection support to developmental tmdb3 grabber.
  * [459adc2] Add build dependency to audio headers
  * [0c57031] Fix depends behaviour with button list. Also restrict
    depends scope to siblings and exclude standalone widgets in base
    files from the depends map.
  * [9551bce] Fix recording deletion to always stop recording too.
  * [ca69104] Merge branch 'master' of github.com:/MythTV/mythtv
  * [4dcf12d] Added a -C (collection) option
  * [c5a8933] MythMusic string consistency fixes.
  * [4107b3f] Minor strings consistency fixes in MythWeather.
  * [08cdb3a] MythGame strings consistency fixes.
  * [a186aa0] Fix a small typo in MythGallery.
  * [8db7c05] Leave the start/endyear strings empty if the year matches
    the current. A temporary workaround which provides the behaviour
    people want without risking breakage of existing themes, of course
    it won't fix existing themes either. It only works for ProgramInfo
    templated dates so won't be consistent across the UI. It also
    doesn't work for users with years in the long-date formats, since
    the year will be shown twice.
  * [148314b] Subtitles: Try to ensure CEA-708 subtitles stay within the
    safe area.
  * [e44d341] I either misunderstood Daniel or he changed his mind.
  * [fe42d2d] Add year to all 'long' form date strings from PI. After
    discussing it with Daniel in IRC it was decided not to wait until
    0.26 to fix this properly. As implemented the year will only be
    added to the strings if the date falls outside the current year.
  * [0a57c46] Allow backend video scan to scan for content on slave
    backends.
  * [8d2c41e] Disable HTML Setup pages and /Config/Save URL
  * [982469f] Fix jwplayer.qsp spacing issues and add HLS test .qsp
    page.
  * [c512578] Don't use OpenGL ES if Qt doesn't suport it.
  * [9b6ef6f] A couple JW Player related mythbackend webserver fixes.
  * [9c05ccd] JumpPoints: Reset the menu selection for the Main Menu
    jump point.
  * [f4a1079] Fix default Network Control port in mythfrontend.
  * [1a7c801] Metadata Classes: Parse various additional strings from
    XML.
  * [52df594] Merge branch 'master' of github.com:/MythTV/mythtv
  * [0030709] MythUI: Simplify bounds protection in MythUIText::Layout
  * [d6b0ef8] Merge branch 'master' of github.com:MythTV/mythtv
  * [96c1310] Update the themestrings for 0.25.
  * [9d481e7] Add the upcoming theme "Steppes" to the themestrings
    run.sh script.
  * [2038ba4] Add musicsettings-ui.xml as a new optional MythUI theme
    file in the themestrings run.sh script.
  * [7f80b9c] Merge branch 'master' of github.com:/MythTV/mythtv
  * [830cfe2] Revert d028e4856, split hostname lock into two mutexes.
  * [58164ee] Merge branch 'master' of github.com:/MythTV/mythtv
  * [d028e48] Remove access lock to m_localHostname and see what
    happens.
  * [a29bbc0] Remove assert()s from cc708 decoder.
  * [b67b116] Don't extract translatable strings from the Metallurgy
    theme.
  * [cfdab0b] Increase the page multiples for season spinboxes to 5 and
    episode spinboxes to 10 to make paging through to large values a
    little more bearable.
  * [37157bf] Add new 'startyear' and 'endyear' strings to the available
    recording metadata.
  * [4588c0e] Fix reccount value for the Default group
  * [d71adef] Merge branch 'master' of github.com:/MythTV/mythtv
  * [f7b7f61] Subtitles: Improve the vertical layout of CEA-708
    captions.
  * [a25b8df] Guard against out-of-bounds asserts in
    MythUIText::Layout().
  * [1203e7c] Squelch warning in Python bindings.
  * [bb154a8] Minor Smolt fixes.
  * [8f9a9b1] More elegantly redirect stdout/stderr rather than just
    closing
  * [a0c9d00] Move fix from 7866a616c into MythCoreContext.
  * [7866a61] Correct ProcessRequestQueue leak in VideoScan::SetDirs.
  * [1a2c872] Add missing 'else' in 'if..else if..else' block.
  * [3135176] Commflag: Avoid adding an artificial non-break region at
    the end.
  * [5af1950] Add functions to save and query total frames.
  * [c2cfcb1] Fix minor inconsistencies and misfeatures in deleting
    recordings.
  * [69a3718] MythUI: Handle characters in fonts which exceed the
    "width" and "height" of the font.
  * [1fc5ed1] Reformat the README slightly
  * [9815e65] Add some details to the README file
  * [ae4983f] Add schema check to mythmediaserver.
  * [5d3fa0a] Disable IPv6 configuration if no addresses present. 
  * [1ffb7c7] A bit of log cleanup for IPv6/ServerPool.
  * [a5d8b62] Don't segfault if no textarea was defined
  * [59affb4] Don't segfault if no cursor image was defined
  * [d7f40eb] Fix typo in doxygen comment
  * [a597464] Fix position/duration display when recordings finish while
    watched.
  * [18f09a3] Don't repeatedly query the DeleteMap tracker while paused.
  * [ccee693] Allow OSDSubFont changes to take effect without restarting
    mythfrontend.
  * [b283aa9] Correct placement of MediaRenderer placement in
    mythfrontend.
  * [ed946ab] Fix libmyth makefile.
  * [db12303] Fix editing inetref/season/episode from the PBB.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 23 Feb 2012 14:10:35 -0600

mythtv (2:0.25.0~master.20120216.769dfae-0ubuntu1) precise; urgency=low

  * mythtv-common breaks/replaces on mythvideo.
  * Fix rsyslog logging permissions.
  * Fix log rotation to reload rsyslog for all new logs when necessary.
  * Create rsyslog directory only in mythtv-common package.
  * Install rsyslog conf from mythtv-common package not backend package.
  * Drop special mythtv-frontend and mythwelcome logging functionality
    in favor of local7 rsyslog support.
  * Log mythtv-setup using local7 too.
  * Don't include cache and tv_icons directories for mythweb.  They'll be 
    symlinked to /var/cache for postinst.
  * debian/rules:
    - Remove references to themes that are no longer shipped.
  * New upstream checkout (769dfae)
  * >>Upstream changes since last upload (f853a5b):
  * [769dfae] Close unused stdout/stderr on child processes
  * [774ceca] Fix looking metadata lookup with bad guide data.
  * [2a74313] Add a long-form description string for recording status to
    the ProgramInfo map. This meant a minor modification to
    toDescription() so that we returned something sensible for
    programmes which weren't scheduled to record.
  * [0ac5565] Expose recording rule last/next recorded and deleted dates
    in the UI.
  * [75b8683] Expose category type as a statetype in PBB. Valid states
    are movie, series, tvshow and sports (not especially useful in it's
    current form)
  * [2cb7fc6] Expose the media type as a statetype to the OSD, states
    are recording, video, dvd, bluraydisc, httpstream and rtspstream
  * [c60f331] Do not copy inetrefs from rule -> recording when the rule
    is a search.
  * [ef3fc49] Comply with coding conventions by using NULL instead of 0.
  * [f471817] Fix metadata lookups for generic episodes, with thanks to
    dekarl on IRC for reporting and testing the fix
  * [e354a6d] Silence cppcheck warnings in subtitlescreen.h.
  * [94d27c6] Fix the DeleteMap tracker for in-progress recordings.
  * [c5c73bf] Fix perl bindings to accomodate IPv6
  * [97a9a17] Remove debugging abort.  Sorry
  * [7c1b737] Fix GetBackendServerIP
  * [567278c] Correct automatic selection of address in
    GetBackendServerIP.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 16 Feb 2012 00:18:28 -0600

mythtv (2:0.25.0~master.20120214.f853a5b-0ubuntu1) precise; urgency=low

  [ Mario Limonciello ]
  * Fix armhf FTBFS.
  * Conflicts/Replaces on libmyth-0.24-0 for now until a better place for
    some of the common libraries is found.
  * New upstream checkout (f853a5b)
  * >>Upstream changes since last upload (ab4a02f):
  * [f853a5b] Fix mingw build.
  * [494bc90] Merge branch 'master' of github.com:MythTV/mythtv
  * [bcc9e8c] Minor compatibility changes for VS2010.
  * [b758ea8] Alter the watched flag fix slightly to take into account
    the need to ignore post-roll for recordings, something I forgot
    before.
  * [1f6d42e] Convert some case insensitive QString checks to use
    compare().
  * [f53a00f] Fix videos not being marked as watched. We had some code
    to handle in-progress recordings where we didn't have the total
    number of frames, this used the start/end time of the recording
    which can't be trusted for video because they are based on the
    length from downloaded metadata e.g. An episode of Frasier might
    only be 22 minutes long without adverts but according to the
    metadata it's 30 minutes. We now trust the totalFrames to be
    accurate for anything which isn't an in-progress recording.
  * [ac9ddbe] Revise database schema 1296
  * [584647e] Fix ToggleUpmix return value.
  * [c85b33c] Fix CanUpmix()
  * [0ef4b58] Size in resampling output buffer is in frames, not samples
  * [fe27dfe] Fix another case sensitive title check.
  * [dcfe7b0] Make more title and callsign comparisons case insensitive.

  [ Karl Dietz ]
  * Let the configuration refer to the correct location for mythweb.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 14 Feb 2012 15:23:31 -0600

mythtv (2:0.25.0~master.20120214.ab4a02f-0ubuntu1) precise; urgency=low

  * debian/control.in:
    - BD on libcdio-paranoia-dev
    - Drop mythnetvision libmyth-python dependency.  It's already a dependency
      in mythtv-frontend (which is a dependency of mythnetvision)
  * Drop 0.25_abi patch, upstream now.
  * New upstream checkout (ab4a02f)
  * >>Upstream changes since last upload (b4c909a):
  * [ab4a02f] Bump core libraries version to 0.25
  * [975a9f9] Bump plugin lib version to 0.25
  * [9cdbaeb] Ensure searchtype and searchfor strings are set properly
    no matter how the RecordingRule was loaded.
  * [2611243] Fix 'searchtype' string being set incorrectly by
    eliminating duplicate code. This string is set in
    RecordingRule::ToMap() which is called two lines earlier but there
    it's more intelligent and won't set the string to 'Unknown Search'
    when the rule isn't a search.
  * [c1aadbb] Changed Licensing to GPL v2 or later.
  * [36f1f1d] Added copyright/license info for gCompress

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 13 Feb 2012 15:38:52 -0600

mythtv (2:0.25.0~master.20120213.b4c909a-0ubuntu1) precise; urgency=low

  [ Mario Limonciello ]
  * Update to pre-0.25 snapshot, post upstream feature freeze.
    - See http://www.mythtv.org/wiki/Release_Notes_-_0.25 for changes in
      0.25 (too many to list in debian/changelog).
  * Drop opengl vsync support.
  * Add new Tieresias fonts to mythtv-common.
  * Drop mythvideo readme file.
  * configure_mythplugins_without_mythtv_installed.patch: refresh.
  * Add a new php-mythtv package for the newly developed php bindings.
  * Don't include .gitignore files in the mythweb package.
  * Add a depends on php-mythtv for mythweb.
  * Correct php bindings install path (LP: #696724)
    - add build depends on libcdio-dev for new UDF support.
  * Add a depends on python-lxml (LP: #710709)
  * Drop the disable XvMC flags.  No longer necessary.
  * Install the new hardware profile stuff in the common package.
  * Refresh patches for changes upstream:
    - default_directories
    - allow_no_tuners
    - configure_mythplugins_without_mythtv
  * Install new HTML configuration content with mythbackend.
  * Install new backend configuration content with mythbackend.
  * Add build-deps on python-urlgrabber.
  * Install mythmediaserver into mythtv-common
  * Drop mythvideo package.  Fully integrated into frontend package now.
  * Drop references to mythvideo from debian/control.
  * Move Jamu into backend (no longer tied to mythvideo). (LP: #797003)
  * Fix mythvideo to be breaks/replaces. (LP: #797327)
  * Remove jamu and all references to it.  Now built into myth.
  * Convert to using a rsyslog mechanism for log files.  Thanks Michael
    Dean.
  * Make /var/log/mythtv writable by the syslog user.
  * Install rsyslog conf as 40-mythtv-rsyslog.conf instead of just
    mythtv-rsyslog.conf.
  * Build with vaapi support.
  * Build with --enable-libx264 --enable-libmp3lame --enable-libfaac
  * Build with --enable-libvpx support for VP8 video.
  * Create a new "Streaming" storage group by default on the backend.
  * Build depends on avahi for airtunes/airplay support.
  * Build depends on libssl for crypto support in airtunes.
  * Build depends on libcdio-cdda-dev for mythmusic.
  * Update standards version.
  * Add misc:depends for php-mythtv.
  * Fix stronger-dependency-implies-weaker lintian error.

  [ Pieter Hoekstra (pieter-hoekstra) ]
  * Add missing space to debian/rules preventing some plugin installation.

  [ Thomas Mashos ]
  * Changed backend upstart job to look at NOT lo, instead of lo

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 13 Feb 2012 14:20:58 -0600

mythtv (2:0.24.0+fixes.20120123.e4660d6-0ubuntu2) UNRELEASED; urgency=low

  [ Ryan Davies ]
  * Fix bad quote escaping on mythtv-database postinst.  (LP: #829066)

  [ Mario Limonciello ]
  * Use gnome-session-quit if gnome-session-save isn't found.  (LP: #908315)
  * Don't start mythtv-backend if it wasn't already running unless the user wants
    it started.
  * Don't offer to stop mythtv-backend if it's not running. (LP: #897467)
  * BD & Depends on libjson-perl. (LP: #911864)
  * New upstream checkout (e4660d6)
  * >>Upstream changes since last upload (40f3bae):
  * [e4660d6] Fix "Clear Override" to not create invalid rules.
  * [54c4d39] Fix a compiler warning
  * [af6364b] CEA-708: Fix delayed presentation of some captions.
  * [4627dc9] Bump version string in VERSION
  * [440ad9c] Do not allow channels to be inserted from xmltv for
    unsuitable source types
  * [4e41fb2] Update HTML/PDF/TXT HOWTO for -fixes
  * [6e86202] Update "Removing unwanted channels" instructions
  * [60db2e9] Update references to SVN in -fixes docs
  * [a99ab35] Fix warnings in 1262 DB upgrade.
  * [b151996] Correct timestamps usage in Perl bindings
  * [294968b] Fix %CHANNUM% being displayed in the Terra OSD for videos.
  * [4f6c691] Per request from Devin, include error when FE_GET_INFO
    ioctl fails.
  * [cfcea7a] Fix yrnoxml weather script
  * [9b7d10d] Oops, remove a debugging print from BBC Weather code
    (cherry picked from commit e9417bd100ab976cfa3f206e110124e77edf40be)
  * [623ae27] Redo BBC Weather source
  * [662aa3d] MythVideo: Avoid crashing if child item no longer exists.
  * [4125a40] Enhance UK EIT fixup to support "QuotedSubtitles".
  * [f7b28e5] Fix a potential segfault if MDM::downloadNow() times out.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 23 Jan 2012 21:47:11 -0600

mythtv (2:0.24.0+fixes.20111207.40f3bae-0ubuntu2) precise; urgency=low

  * Make libcrystalhd-dev build-dep only for i386 and amd64 since the
    package is only available there. Test built on powerpc.

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 19 Jan 2012 04:25:57 +0000

mythtv (2:0.24.0+fixes.20111207.40f3bae-0ubuntu1) precise; urgency=low

  [ Mario Limonciello ]
  * debian/rules:
    - Don't modify mythtv/VERSION at all during build.  Only use 
      debian/DESCRIBE and restore mythtv/VERSION at end of build.
  * Enable crystal HD support.
  * Exclude all vcs's when building a tarball.
  * New upstream checkout (40f3bae)
  * >>Upstream changes since last upload (1de0431):
  * [40f3bae] Refs #6516. Fix a regression caused by [21445] aka
    [2fdeb3fc].
  * [c4ee599] Catch first frame corrupting unsigned count
  * [f5fd11f] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [9f9dcf5] Add a UK fixup to remove "All New To 4Music!" which is
    breaking proper creation of subtitles and therefore duplicate
    matching.
  * [07b1cc1] Allows to change the ALSA buffer size
  * [088335b] Fix DVD and Blu Ray seeking.
  * [31e9528] Add @ to valid chars on mythfrontend network control
    command line.
  * [2b55759] OSD: Fix screen ordering again.
  * [4299903] libdvdread: fix compilation for ifo_read.c
  * [b1ff37e] libdvdread: backport upstream changesets r1232 and r1234.
  * [8b2c972] Fix the Danish virtual keyboard by correcting the ISO-code
    in its filename. (cherry picked from commit
    48185237a59b4fd00eb100ebe713873e74a1c479)
  * [5da2367] Fixed error with 'UTC' dates and some code format clean up
  * [19a63d4] Allow bad Metadata tags to be bypassed
  * [fdfc989] Correct copy/paste error in postroll commercial detection
  * [347ff57] MythRenderOpenGL: Add glu.h header.
  * [274470c] Fix AAC/LATM playback for streams with changing config
  * [e89d6a9] Fix potential cash in mythtranscode.
  * [cb01f30] Fix MythPlayer::GetRawVideoFrame() for mythcommflag.
  * [a24ecbf] Add ALSA playback support for 24 bits LSB audio.
  * [35468d7] Fix possible audio corruption.
  * [19b31f3] Update the Danish translation of mythfrontend and
    mythgallery.
  * [5e3c81f] Fixed MiroBridge abort when Miro metadata has no video
    filename
  * [c8c1582] Update a few strings in the Danish translation of
    Mytharchive.
  * [7713fdf] Fix JACK playback, change default JACK output device
  * [f006f90] Better handle frame rate changes during fast-
    forward/rewind.
  * [5510579] Fix JACK/ALSA compilation
  * [d7e974e] Fix a bug introduced in SHA1:ad091eccdd.
  * [e16613a] Revert "Avoid updating the group info if the group hasn't
    changed. Closes #9539"
  * [8f865a6] Updated MythMusic Spanish translation from Antonio Marcos
    Lopez Alonso.
  * [ff9bbb1] Update MythNetvision Spanish translation from David Lara.
  * [8459ad8] Regenerate the qm file for the MythGallery Spanish
    translation.
  * [11d8959] Updated MythGallery Spanish translation from Antonio
    Marcos Lopez Alonso.

  [ Martin Pitt ]
  * debian/control.in: Some ttf-* → fonts-* renames.

  [ Thomas Mashos ]
  * Changed upstart to look for NOT lo instead of lo (LP: #886321)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 07 Dec 2011 10:29:20 -0600

mythtv (2:0.24.0+fixes.20110908.1de0431-0ubuntu1) oneiric; urgency=low

  * Change compile type to profile per discussion in #mythtv again.
  * New upstream checkout (1de0431)
  * >>Upstream changes since last upload (b491236):
  * [1de0431] Fix inefficiency in marking first/last showings without
    programids.
  * [4942639] Fix another invalid-string-format datetime binding.
  * [8b9e5ce] Fix invalid-string-format date passing to MySQL.
  * [4bba807] Use correct exception type for error handling. (cherry
    picked from commit 751a4111b55f629e574970fe5340e1408833180f)
  * [69e3919] Net Utils: Only select distinct grabbers.
  * [2e3105d] Fixed MiroBridge abort when Miro metadata has an invalid
    video filename
  * [d282ee2] Fixed Jamu unnecessary unicode declarations
  * [5655302] Fix a segfault in MythUIHelper::LoadCacheImage()
  * [4bc24ed] RingBuffer: add back inadvertantly removed code that
    allows the readahead thread to sleep when full.
  * [8028a58] MythBrowser: Change the user-agent string reported by the
    browser widget.
  * [c502e0d] Fix scheduler output ordering.
  * [515171d] Fix creation of row with autoincrement fields (cherry
    picked from commit e76745784032591caa79045cdec4e20f68175f89)
  * [39f6a97] Fix LiveTV channel browsing start channel.
  * [3a5f788] Fixes #9885. Fixes deadlock when a slave backend
    disconnect is first seen from within the Scheduler thread. Patch by
    Ian Dall.
  * [1cf65bc] RingBuffer: Optimize readahead buffer to completely fill
    if readblocksize > totfree.
  * [c212ca8] Fix Theme Chooser theme downloading on remote frontends.
  * [45ddada] Re-enable the delay for artwork loading in PlaybackBox
  * [d656310] Fixes #9575. Fix an ambiguous DB query (fixed by
    [d14b660c16] in master).
  * [5161a5f] Revert "Force reload of context and stream properties when
    switching between LiveTV segments."
  * [cccad82] Don't allow remote mythbackends to upgrade database.
  * [d525265] Fix mpeg2fix randomly aborting.  OBEY EAGAIN for
    av_read_frame! :) (cherry picked from commit
    1a41fec06ee2f6746c9ccb944efcf7ee62e52664)
  * [5be3cdf] Fix a QT warning about calling killTimer() with an invalid
    timer id. (cherry picked from commit
    7ad539e3a4ac21188672791b27dd8e5444a09cbb)
  * [760c8db] Fixes #9927. Make sure we always join the pthread in the
    DeviceReadBuffer.
  * [23305b9] Make sure DeviceReadBuffer::videodevice is never
    QString::null, this will cause the logging to segfault.
  * [56350fb] Backports a small portion of the RingBuffer improvements
    from master.
  * [8bc2a66] Fix PPC movrel issue in FFmpeg libs.
  * [be29d21] Fix endian issue in OSD color conversion
  * [b43b015] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [cebd10c] Fix tzinfo handling in custom Python datetime class
  * [9024703] Bypass filesize query on recording if possible. Refs #9539
  * [ced1c78] Avoid updating the group info if the group hasn't changed.
    Closes #9539
  * [4f99949] Under some circumstances, using ALSA due to bad rounding,
    some audio samples would be lost.
  * [7d69703] Fix a deadlock in the socket handling causing the backend
    to stop responding to connections.
  * [051c748] Fix display of MiroBridge command line help
  * [63b8603] MythMusic: Don't append a '/' if the start directory
    hasn't been set yet.
  * [254c9f7] Add escaping of periods at the beginning of a movie title,
    to work around security mechanism in TMDB API. (cherry picked from
    commit 1c34d57bf2b5a862fb12d4e7600a8173cb8bd682)
  * [8f8d662] ttvdb grabber performance improvements Change Log: 1)
    Removed complex element tree searches from the XSLT stylesheet and
    substituted XPATH lxml functions 2) Minor docmentation corrections
  * [6dfda22] Additional patch to pick up changes missed in 944268c20
  * [944268c] Add Miro 4.0.2 support to MiroBridge   Change Log:   1)
    Added support for Miro 4.0.2   2) Silenced verbose output from
    ffmpeg when creating screen shots   3) Fixed oldrecording deletion
    abort when a source issues two videos that have identical publish
    dates and durations. Trapped error so no abort but also added every
    other unique DB field to deletion statment.   4) Minor error message
    corrections
  * [a59fa98] Extend the maximum transition times in mythgallery
  * [a466843] Shortcut the return from the new --fifoinfo mode
  * [488c7c1] Display format information for the fifo data
  * [90ac990] Permit remote transcode in fifodir case

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 08 Sep 2011 10:48:38 -0500

mythtv (2:0.24.0+fixes.20110706.b491236-0ubuntu1) oneiric; urgency=low

  [ Mario Limonciello ]
  * debian/mythtv.make:
    - Only parse the line if it *starts* with Version
  * Don't destroy VERSION in between runs, make sure to restore it to what
    was there before starting each time.
  * Install the icon from http://www.mythtv.org/wiki/Logo (LP: #458686)
    Thanks Daniel Ellis for the pointer!
  * New upstream checkout (b491236)
  * >>Upstream changes since last upload (9ba3ece):
  * [b491236] Tweak the EIT thread startup
  * [d06878a] OK, I'm blind.  Sorry.  Should still be using DVB not DTV
  * [5e67f94] Make EITScanner thread only be started when needed
  * [ef39225] Suspend recording list updates whilst playback is in
    progress as this causes issues for some people. This is likely a
    temporary fix while I work on something better. (cherry picked from
    commit 1bbc9a43eb63f1569f8b510c4588a439019b49dc)
  * [db67f84] Fixes #9716. for (int i... shadowed the int i we had
    declared earlier for that loop so we could check whether the for
    loop exited prematurely.
  * [04334ef] Remove unused directory
  * [fc3ce90] Allow stream_backend_file to accept a myth url (perl
    bindings)
  * [e3953dc] Fix stream_backend_file in the perl bindings
  * [c80795e] Work-around to handle display of high-numbered cards.
  * [4444dc5] Add missing QString argument
  * [30993d6] DVD: Fix crash when displaying dvd menu button.
  * [572b95a] Use settings code to store mythfilldatabase HaveRepeats.
  * [bc746e8] MythCenter-wide: Fix the wonky layout on the 'Schedule
    Priorities' screen. Fixes #9717.
  * [9d428f4] MythCenter-wide: Fix the list overlapping the background
    shape on the status screen. Fixes #9701.
  * [523bc8b] channel icon downloader: Add the missing wide window
    definitions.
  * [e0972c9] MythCenter-wide: Tidy up the 'Channel Editor' screen.
    (cherry picked from commit b29bcaed72257bda17e4b10ef5ba88e00cdb6393)
  * [05e7a23] mythtv-setup: Fix scrolling in the xmltv config terminal
    screen.
  * [7c2c249] HDHomeRun: Make Tuner number editable.
  * [ef79f36] Revert tuner count fix for .24.
  * [6fca6fa] HDHomeRun: Create the right number of tuners for the found
    device.
  * [422a88f] HDHomeRun: Backport fix for IP-defined HDHomeRuns.
  * [958dd8c] Add another known DCX-3200 changer (but don't backport the
    changes to GENERIC).
  * [da58b1d] Backport recently added DCX-3200 models to .24-fixes.
  * [5aa5e48] RingBuffer: Use case insensitive url and extension
    checking.
  * [1be38ea] OSD: Fix subtitle window painting order.
  * [18ab626] DVB Subtitles: Fix display of subs with no display
    segment.
  * [40a3124] Unescape HTML Encoding when parsing text portions of
    metadata.
  * [4dec7cf] DVDRingBuffer: Release the ringbuffer writelock when
    waiting.
  * [3657f31] Update en_gb MythFrontend, MythArcive and MythGallery
    translation from Nick Morrott.
  * [096fca7] Try to fix FreeBSD compile after V4L1 fix.
  * [a163dc8] Enable building 0.24-fixes without system V4L1 support.
  * [8e4a3c3] Change the heuristic to only skip animation for myth://
  * [1605466] Revert "Initialize the MythUIImage filename correctly"
  * [c321ee6] Initialize the MythUIImage filename correctly
  * [9375ffb] Make the free space updates start in PBH
  * [d0648f6] Load the disk free bar in the PBB on each
    UPDATE_FREE_SPACE
  * [347cd24] Change version string in 0.24-fixes to reflect the fact
    that we're post- 0.24.1
  * [b5a3805] Make ffmpeg's version.sh run in the ffmpeg dir
  * [298e343] Add a VERSION file to the repo instead of generating it at
    release time, this provides a sane fallback for users exporting from
    a repo before building.
  * [8dd67eb] Fix 7.1 channel order in CoreAudio (mac).
  * [8119784] Fix occasional audio corruption
  * [5032286] Revert "VideoBuffers: Remove some unused code."
  * [32882b2] VideoBuffers: Remove some unused code. (cherry picked from
    commit 400aba3f27f2c6e0d712ae3a870df0e8c92b292f)
  * [5867bb0] Fix video buffering code to properly play high reference
    frame videos.
  * [b56fc28] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [97118ac] VideoSync: Fix the DummyVideoSync::WaitForFrame return
    type;
  * [ee029d1] PiP: Add a dummy video sync sub-class for Picture in
    Picture.
  * [983e6d7] PiP: Remove the extra thread created for PiP playback.
  * [4062695] Re-enable Picture in Picture and Picture By Picture.
  * [5461754] Prevent 100% CPU usage when in pause mode. Note that the
    following options help preventing the blast of static when using
    pulse: - Use ALSA, including the pulse's ALSA plug (usually
    ALSA:pulse) - Change pulse server sampling rate from the default
    44.1kHz to 48kHz - In Advanced audio settings, disable myth's
    resampler.
  * [475f612] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [cda0ca5] MythCenter-wide: fix the clock position.
  * [7f99d0f] Following SHA1:7b6c78856da1b8785cc856b6e1ef1ccd35d1947b.
    Fix improper merge
  * [5d38c49] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [16775c5] Refs #9761. Check to see if m_checkAvailabilityTimerId=0
    before killing it. Prevents the frontend issuing the following error
    message. "Application asked to unregister timer 0x0 which is not
    registered in this thread. Fix application."
  * [e751ba6] Refs #9672 - Adds support for multi-byte EIT encodings.
  * [7b6c788] - Change digital passthrough auto-configuration:   Open
    device with settings:   AES0=6 AES1=0x82 AES2=0x00 AES3=0x01.
  * [f301945] Fix transcoding of files with multi-channels audio
  * [a0bb5e9] MythPlayer: Pause the audio when the video is lagging.
  * [56c54fa] Adds mention of duration for initial uncached run.
  * [4fe108c] Fix the check to see if we have a valid DB schema.
  * [10af40c] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [8c6ee70] Add flush() noop to FileTransfer class for Python file
    object compatibility. (cherry picked from commit
    8741c3adc2afcd6c4b042b99520a4b029d026121)
  * [4693357] MythPlayer: Fix a Live TV channel change deadlock.
  * [bfa8827] Don't use QDateTime::toString() for prepared queries.
  * [c339887] Fix some invalid-format datetimes in queries.
  * [0bbd75b] Sort recordings for bindings and MythArchive.
  * [b46d964] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [6d864e0] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [5518420] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [d9771ad] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [16cb736] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [e3c81a3] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [b2ac77a] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [86acefa] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [a09bb6b] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [7430c10] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [f4d9213] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [56a70c3] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [4ed827c] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [ab31e1f] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [5c5a34e] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [9a07420] Remove the PlayerTimer class and run the player from
    TV::StartTV

  [ Thomas Mashos ]
  * Removed mythtv_v4l2_fix.patch as this issue has been fixed upstream

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 06 Jul 2011 01:46:41 -0500

mythtv (2:0.24.0+fixes.20110416.9ba3ece-0ubuntu2) UNRELEASED; urgency=low

  * debian/mythtv.make:
    - Only parse the line if it *starts* with Version
  * Don't destroy VERSION in between runs, make sure to restore it to what
    was there before starting each time.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 17 May 2011 15:26:01 -0500

mythtv (2:0.24.0+fixes.20110416.9ba3ece-0ubuntu1) natty; urgency=low

  * New upstream checkout (9ba3ece)
  * >>Upstream changes since last upload (2a9d9f5):
  * [9ba3ece] Fixed update of some recording status transitions.
  * [f6e282f] RSS Parsing: Check player tags to make sure they don't
    have child elements.
  * [c1c7af0] Filter out NULL-characters from EIT before we save the
    data in the database.
  * [1cfcb2b] Internet Content: Correct Blip.tv API URL.
  * [4068639] libmythtv: Use the actual MythPlayer pause state
  * Disable jamu and mirobridge bindings as they're current broke with
    0.24 and won't be fixed in time for release.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 16 Apr 2011 02:14:52 -0500

mythtv (2:0.24.0+fixes.20110410.2a9d9f5-0ubuntu3) natty; urgency=low

  * debian/mythtv.make:
    - Properly generate the VCS fields depending on fixes/master.
  * debian/control.in:
    - Drop recommends on mythtv-themes to fix oversized AMD64 disk.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 12 Apr 2011 23:56:18 -0500

mythtv (2:0.24.0+fixes.20110410.2a9d9f5-0ubuntu2) natty; urgency=low

  * debian/rules: Disable OpenGL for armel builds, to prevent FTBFS.

 -- Jani Monoses <jani@ubuntu.com>  Mon, 11 Apr 2011 19:16:56 +0300

mythtv (2:0.24.0+fixes.20110410.2a9d9f5-0ubuntu1) natty; urgency=low

  * New upstream checkout (2a9d9f5)
  * >>Upstream changes since last upload (c2baf1b):
  * [2a9d9f5] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [27c3ea5] Add a more descriptive error for failed deletes in
    Recorded due to unavailable recording. (cherry picked from commit
    d81e4ef542d6d9e9bd79dc58b70f9b90d04c06b2)
  * [362d834] Check for null frame buffers in commflag
  * [80192ec] mythplayer: Revert back to the old method used for
    duration/position in the OSD slider.
  * [83bc1fa] CrystalHD: Fix compilation with recent CrystalHD library
    versions.
  * [c375a86] TV: Fix unlocking of the player context in the main
    playback loop. (cherry picked from commit
    534945895ead72b147f3d695c8f77c9486a48f46)
  * [464fa28] Fix a bug which caused jamu to crash due to multiple
    unicode conversions.
  * Add a patch to enable V4L2 on 2.6.38.  Thanks mlarsen.
    (LP: #717717)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 10 Apr 2011 21:20:50 -0500

mythtv (2:0.24.0+fixes.20110322.c2baf1b-0ubuntu1) natty; urgency=low

  * Don't restart the frontend on exit code 254 (which is representative of
    being unable to initialize a context)
  * Mention the exit code in the notify-osd message that it's being restarted.
  * New upstream checkout (c2baf1b)
  * >>Upstream changes since last upload (00d86fd):
  * [c2baf1b] Fix initial pulseaudio volume.
  * [782b652] Fix lockTuner() and freeTuner() methods of MythBE.  They
    relied on database access methods that had been removed prior to
    0.23. (cherry picked from commit
    5fd4a102989336841628b9764f2d7fe07162089f)
  * [db3cfd3] libmythui: Revert recent Compiz/fullscreen window fixes.
  * [4ce7cd8] Fix history handling of overridden find recordings.
  * [ccd73be] MythPlayer: Fix decoder locking.
  * [ccc89dd] MythPlayer: Only lock the eof check when run from the
    decoder thread.
  * [5e8685f] MythPlayer:: Remove some unnecessary decoder locking.
  * [8cc2e9a] libmythui: Fix fullscreen windowing with Compiz (and
    Gnome?)
  * [ee6aaa7] Video playback: Don't try and display the OSD when
    embedded. (cherry picked from commit
    6ce20f63502997afe7bffa82ccc47825fcc6f143)
  * [1f532a5] MythUIFileBrowser: Fix a segfault if the 'back' button is
    missing.
  * [ae52b58] Fix mouse usage in popups, thanks to Paul for spotting the
    error. Fixes #9667.     (cherry picked from commit
    afb8995fe52dd3a3f35ab6c256fd556cce68fd68)
  * [cf09840] Ignore the dividers on the Watch Recordings Change Group
    Filter popup. Fixes #9668. (cherry picked from commit
    850dcfb0accb166f47c66e6ee940ca66ee0da148)
  * [71ff7fd] Mythmusic: Suppress some compiler warnings. (cherry picked
    from commit 6e71eda7fab37f8c657d357979ff051ccf324afc)
  * [223142c] Mythmusic: Fix fullscreen spectrum visualisation.
  * [a6decbc] windows: Support opengl, libfftw amd libvisual in
    mythplugins configure
  * [df16df9] OSX: Cross compilation fixes for mythmusic.
  * [f525415] OSX: Cross compilation fixes for libmythui
  * [e28fe98] OSX: Cross compilation fixes for libmythtv
  * [7f15abd] libmythfreemheg: Catch exception for unrecognised content
  * [f691e85] OpenGL: Avoid crashing hard if the OpenGL context is
    invalid.
  * [785ea1b] MythPlayer:: Add some missing null pointer checks for the
    decoder.
  * [40fc454] Change ENVCAN parser to use &deg; rather than 260
  * [13be9c2] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [9d533f3] Do not attempt to increase ALSA buffer size if it's
    already set to the maximum the hardware can handle
  * [b41e218] Change ALSA buffer size and period size

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 22 Mar 2011 08:33:49 -0500

mythtv (2:0.24.0+fixes.20110307.00d86fd-0ubuntu1) natty; urgency=low

  * debian/rules:
    - Give jya more G's.
  * debian/control:
    - Disable largly unused jack support.
  * New upstream checkout (00d86fd)
  * >>Upstream changes since last upload (0d3d3a4):
  * [00d86fd] MythMusic: Fix some overlapping text on the default 4:3
    track info screen. (cherry picked from commit
    3ae9230296078ca72c59c997a45c76b46fb1e8df)
  * [e763cdf] MythMusic: Fix some overlapping text on the default 4:3
    mini player. (cherry picked from commit
    7d4bee30863c820e45f3119d7bb68ce6e4c9ad04)
  * [92443af] MythMusic: Fix some overlapping text on the track info
    screen and make better use of the available space. (cherry picked
    from commit 11232c75735ecea3610851a1376ff8aa8322c97b)
  * [df861e4] MythMusic: Fix some overlapping text on the default-wide
    mini player. (cherry picked from commit
    834a383aa7ec4ec7779956648d9e343f9680872d)
  * [a68266a] MythCenter-wide: Fix some overlapping text on the program
    lister screen. (cherry picked from commit
    8689a20c828e7d8b7364af3cca0854df7b413dea)
  * [e938aa9] MythCenter-wide: Fix some overlapping text on the program
    finder screen. (cherry picked from commit
    10f5b0b695830ca37995c798bf8ddcd038d7b1c5)
  * [a0b5b8f] MythCenter-wide: Fix some overlapping text on the program
    guide screen. (cherry picked from commit
    a43a6aee1340d05e3ae203818db9cd270133d3de)
  * [5367795] Updated MythFrontend, MythArchive and MythGallery
    translation from Ilkka Tengvall.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 07 Mar 2011 19:15:36 -0600

mythtv (2:0.24.0+fixes.20110302.0d3d3a4-0ubuntu3) UNRELEASED; urgency=low

  * debian/rules:
    - Give jya more G's.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 06 Mar 2011 22:35:15 -0600

mythtv (2:0.24.0+fixes.20110302.0d3d3a4-0ubuntu2) natty; urgency=low

  * debian/mythtv.make:
    - If GIT_BRANCH is specified in the env, don't reset it.
    - Set a GIT_BRANCH_FALLBACK in case GIT_BRANCH only exists on a particular
      portion of the checkout.
  * Update default SQL file to the current 0.24 schema.
  * Add a patch to allow mythbackend to run without tuners defined, fixing
    fresh installs that mythtv-setup hasn't yet been ran.
  * New upstream checkout (0d3d3a4)
  * >>Upstream changes since last upload (ad3c81f):
  * [0d3d3a4] Fix some indenting in default-wide/music-ui.xml.
  * [fe8f442] MythMusic: Add a couple missing window definitions to the
    default 4:3 theme.
  * [4af46b1] Fix digital passthrough on Mac CoreAudio.
  * [bbfb6b0] Make MPEG2fixup::ProcessVideo return int
  * [6e5ca62] Slightly improve handling of failed recordings.
  * [057b017] Do no suspend PulseAudio if the ALSA device contains a
    hint with the word 'pulse'.
  * [a2a57df] Remove channel limitation in mythtranscode
  * [9d78d28] Fix memory leaks in pulseaudio code. Closes #9548
  * [f169dd9] Fix timestamp estimates for digital audio passthrough
  * [e0a7720] Prevent Python bindings from loading against Python 2.4 or
    previous.
  * [8ba07a0] Improve timestamp logging and restrict fixup code.
  * [4ce4707] Fix PPC compilation of NuppeDecoder and NuppelRecorder
  * [c66dceb] configure: Fix libs order in check_ld()
  * [fa6564d] Change a few <font> to <fontdef>
  * [dca8767] Remove a stray QMutex::unlock in the TV class.
  * [519b1b1] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [1443c1c] Teletext: Fix a logging typo in AVFormatDecoder (cherry
    picked from commit baf2f3f99ea3b357a0b85c66f923f6ae351b5295)
  * [2b7036f] Add an 'auto-run' setting to mythgallery so that behaviour
    can be disabled (cherry picked from commit
    80d9234a505598942214978cc58145320aba0aa2)
  * [84db96c] Fix a segfault in MusicPlayer::decoderHandlerReady().
  * [90f48c8] Alter path sanity check to allow PATH lookup, rather than
    requiring absolute paths.
  * [e414577] Simplify timestamp selection code which fixes AV-sync for
    AVI video. (cherry picked from commit
    eb3c98c5cb899219ddd7dd66877c97655c40d3c4)
  * [316718a] Faster pausing when switching programs in live tv.
  * [ad1543a] Refactor 'eof' handling in the decoder and player classes.
  * [b2c0afc] TV: Clear the contents of TvPlayWindow when playback is
    starting.
  * [8332e50] TV: Hide and disable the main UI at the last moment.
  * [4055a5e] Ensure the TvPlayWindow is shown before we construct the
    player object. (cherry picked from commit
    01a5c56e3f98291a67a4277431a7c9df30da8433)
  * [72b76bd] Use totalLength and framesPlayed to generate
    duration/position for nuv decoder.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 02 Mar 2011 09:47:50 -0600

mythtv (2:0.24.0+fixes.20110214.ad3c81f-0ubuntu2) UNRELEASED; urgency=low

  * debian/mythtv.make:
    - If GIT_BRANCH is specified in the env, don't reset it.
    - Set a GIT_BRANCH_FALLBACK in case GIT_BRANCH only exists on a particular
      portion of the checkout.
  * Update default SQL file to the current 0.24 schema.
  * Add a patch to allow mythbackend to run without tuners defined, fixing
    fresh installs that mythtv-setup hasn't yet been ran.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 28 Feb 2011 00:24:57 -0600

mythtv (2:0.24.0+fixes.20110214.ad3c81f-0ubuntu1) natty; urgency=low

  * Drop proper shutdown behavior for ubuntu patch.  Applied upstream.
  * New upstream checkout (ad3c81f)
  * >>Upstream changes since last upload (6318d52):
  * [ad3c81f] When shutting down or rebooting keep trying alternate
    methods if the first ones fail.
  * [20929be] Add MythNetVision to the DVR menu theme. Fixes #9440.
    (cherry picked from commit a0fc086f5ac8add273cb1306190472495fdb7d1c)
  * [52f7df5] Remove some no longer needed code now we only support
    Qt4.5 or later. (cherry picked from commit
    548434c2944dcca14abfce4734fb8d09bc3957ae)
  * [809ec68] Ensure teletext images are properly cleared when using
    XVideo (cherry picked from commit
    9980fcf452101d8e3a18cf5640427d9946071854)
  * [18a8200] Fix lockup when keys are pressed while playback is
    starting. (cherry picked from commit
    5ec80d83b3f37f600374ee44c4708047e2e08ea2)
  * [3d55e51] Only need a video track for duration/position info so
    remove MHEG check.
  * [4a8c889] Fix BBC frame detection.
  * [8e3fd5a] Fix windows compiling
  * [a7c8820] Don't check whether there are pending events in the TV
    playback loop.
  * [0ddc3f2] Fix duration/position information for MHEG and audio only
    playback.
  * [dcc9b96] Re-enable setting MythPlayer::noVideoTracks
  * [25ffbc3] Fix clipping issues with the OpenGL painter.
  * [b259732] fixes/0.24: Workaround windows OpenGL current context
    issues.
  * [48d554e] Non LiveTV: Construct the TV object immediately.
  * [dd981aa] Remove the key list queue in the TV class.
  * [54fcb92] Improved handling of 'Show the Program Guide when Start
    Live TV'.
  * [54a300f] LiveTV: Construct the TV object immediately.
  * [d0976da] Disable Picture-In-Picture and Picture-By-Picture
  * Re-enable V4L support by rebuilding against newer libc-dev (LP: #717717)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 14 Feb 2011 10:41:07 -0600

mythtv (2:0.24.0+fixes.20110208.6318d52-0ubuntu1) natty; urgency=low

  [ Pieter Hoekstra ]
  * Automatically restart the frontend if it crashes.  Also notify the user
    using libnotify. (LP: #692697)

  [ Mario Limonciello ]
  * debian/control:
    - Depends on libnotify-bin.
  * New upstream checkout (6318d52)
  * >>Upstream changes since last upload (6dd5e4b):
  * [6318d52] Replace 'xml' version check with one that checks Python
    version, for Python 2.7 compatibility. (LP: #711762)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 08 Feb 2011 11:59:28 -0600

mythtv (2:0.24.0+fixes.20110207.6dd5e4b-0ubuntu1) natty; urgency=low

  * Install mythffmpeg and mythffplay in mythtv-common.
  * While grabbing git source, capture the details of 'git describe'
    for --version output.
  * debian/control:
    - drop openchrome build dependencies.  We no longer support XvMC in
    Ubuntu builds anyway.
  * Add a depends on python-lxml (LP: #710709)
  * New upstream checkout (6dd5e4b)
  * >>Upstream changes since last upload (1405782):
  * [6dd5e4b] Display the Auto commercial skip option for in-progress
    recordings. (cherry picked from commit
    5d94418d0813cf3c6dfb5d29b7fe594c155fb3be)
  * [1a69c92] Several changes to fix the current position and duration
    of the playback OSD  * Start using the currently displayed video
    timecode for the OSD position instead of frame number and total
    frames which is inaccurate.  * Use FFmpeg duration for pre-recorded
    and video playback length. LiveTV is already correct since it uses
    the actual recording times but in-progress recordings still uses
    frames written and fps which is obviously wrong for variable
    framerate and repeat frame material. The problem with in-progress
    duration should be able to be fixed by using recording times like
    livetv does. An update to mythplayer and the recorder class will be
    necessary.  * Refactor and clean-up some timestamp/timecode
    handling.
  * [08a8a65] Force reload of context and stream properties when
    switching between LiveTV segments.
  * [849b5ca] Fix seeking after LiveTV transitions.
  * [7e34a2b] Fix initial bookmark seeking in conjunction with cut
    lists.
  * [0100e77] fixes/0.24: Revert Pause/Unpause changes.
  * [51e3486] Change ThreadPool shutdown to use deleteLater
  * [cd0acb0] Fix silly error in 5aa72ebce (cherry picked from commit
    8195d9c5c7b7654ec988d8dce6641d2665e48528)
  * [8bf1a3a] Don't overwrite default help text if the current widget
    does not provide any of it's own. (cherry picked from commit
    5aa72ebce5661e966b1c5a73a576bc1bf7c3cca1)
  * [9502a6d] OpenGL: Revert 'Don't call QGLContext::doneCurrent() in
    MythRenderOpenGL'
  * [e6e1964] Reset the CEA-708 font stretch property when re-
    initialised. (cherry picked from commit
    399c1bcd31d6ebf4873bf722d235b2789b4f8be8)
  * [1e8e703] Update the subtitle font if the fontstretch has changed.
  * [ae20c48] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [d85343b] Skip past the initial cut area when starting playback.
  * [14bfdc3] Fix recording item disappearing from list when the
    subtitle has been edited. (cherry picked from commit
    9590973b7869c67d68a51cb215f400dcd03f3729)
  * [61ba0b7] Use ExpandArea() instead of custom and flawed code to
    achieve the same in MythUIStateType. Potentially fixes a few drawing
    bugs. (cherry picked from commit
    b25ec2ebee9bfebf7d148b03c70c6912635d91e4)
  * [4a113b0] Fix priority textareas not being updated when priority is
    increased on a list entry. Fixes #9512
  * [8921ded] Add a timeout for RemoteFile sync. downloads in
    MythDownloadManager
  * [38938b3] Don't cache bad result in
    MythCoreContext::GetMasterHostName().
  * [06c8142] AOBASE: SRC was setup with 'source_channels' but if we
    downmix we only get 'channels'
  * [c884505] Fix for recpriorityB textarea in ProgramRecPriority.
  * [7612cde] Fix compilation of MythDownloadManager.
  * [613079e] Add an atexit() handler to delete the MythDownloadManager
    singleton. (cherry picked from commit
    26ab0d1bdddb28d826328576f8c048f0f283f883)
  * [8d1c058] Pause the RingBuffer before pausing the decoder.
  * [9250772] Use the livetv ringbuffer timeout when switching
    channel/program.
  * [bb5e107] Update the seektables when a filename changes on scan in
    MythVideo.
  * [6dbb6e9] Fix a potential segfault in MythDVDPlayer. (cherry picked
    from commit f36b3f020ef3e42c0bb33fc656988a93e599f63b)
  * [b6dbb3e] A couple bugfixes in MythDownloadManager.
  * [95ecfdb] Rename the player eof variable.
  * [efe64a4] OSD: Improved locking in MythPlayer and its subclasses.
  * [57812c6] MythPlayer: Reorder pause/unpause sequence.
  * [e6fa6c2] Add areas so that the shapes added in the last commit are
    correctly proportioned. (cherry picked from commit
    46d0061dd8625795e7cecfa1082650fa2e982e23)
  * [3ab178d] Do not lower case when comparing paths, these are case
    sensitive comparisons and can result in broken paths being used.
    (cherry picked from commit cfdd72e88d39c1d371fcc272ed5756bbb782b142)
  * [1509627] Don't convert these strings to Utf8 before comparison,
    they should already have been converted to Unicode by the QT mysql
    driver. This sort of conversion isn't strictly legal for QString
    anyway, it's not a simple byte array, it expects to be holding a
    unicode encoded string. (cherry picked from commit
    5c8b326f90b971901804c4d2163194022ade9331)
  * [2329c36] Don't mangle filename string when saving the file during
    import or ripping. Refs #9483 (cherry picked from commit
    d581cefad528a193197c4660cf7e1922ead8b7d7)
  * [fa2ae0d] Replace some broken image links with shapes instead.
    (cherry picked from commit 361140bb12fee460a8ee642dfd1519ea68ebd1d5)
  * [61c78f5] Fix a memory leak in mpegts.c (cherry picked from commit
    d6d489f4212ad81793164ad29ac4d28819a2c2ae)
  * [bebb13b] Re-enable settings cache after news schema check.
  * [7af55a6] Remove channels which are no longer in use in us-bcast
    (Backport of 2080ca309)
  * [90fe13c] Use --no-color when checking the git branch.
  * [40df4b6] Disable XvMC when playing DVDs in fixes/0.24
  * [f25787f] Add missing break statement in dvbsubdec.c
  * [3f991fa] Allow braindead old git versions to give version
  * [945c673] Make the worker threads clean up properly
  * [798359f] Ensure the main UI window is always hidden when starting
    playback. (cherry picked from commit
    f33ac2858392cf8a1670261e5d1058a995add80d)
  * [2cf5043] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [a328d99] Remove the PlayerTimer class and run the player from
    TV::StartTV
  * [46a0dda] Fix restore script host name change with generic names.
  * [2394a9d] Added Environment Canada static maps as well
  * [6574b9c] Fix Environment Canada animated maps.
  * [09800d6] Fix frame rate detection for RM video files with patch
    used by XBMC.
  * [c6c50df] Refs #9306. Fixes a memory leak in the EIT scanner.
  * [415b883] Backport fix for bitrate and duration detection.
  * [2d85d70] New readme for 0.24 fixes
  * [e15a45e] Find subdirs before parents when searching for SG relative
    pathname.
  * [3ec48f2] Re-enable ffmpeg binary on Darwin.
  * [f5e6f3d] Propogate INSTALL_ROOT to subdirs on make install
  * [21b99f1] Added windows outputs to gitignore
  * [cdf73ef] Add kdevelop supporting files to gitignore.
  * [2f3a2f8] Fix program finder to not show programs on invisible
    channels.
  * [557f3de] Backport fc8e5ee from master.
  * [f36a849] Exit Watch Recordings if user aborts the initial Rec Group
    popup.
  * [3cf32e8] Fix audio-only playback
  * [1ef81e1] Fix UTF-8 handling on UPnP request URLs
  * [b769303] MythZoneMinder: Remove some no longer needed includes.
  * [370220c] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [edf87f5] MythArchive: Add EAC3 as a valid audio format in the
    script.
  * [bac67dc] MythArchive: Add EAC3 as a valid audio format in the
    script.
  * [30a2515] Backport SHA: 26cb1f7306fe
  * [c81a3d7] Add edit marks to MythCenter-wide OSD editbar
  * [7ed83c3] Backport SHA: a635a7b288d8e1456970 from master to
    fixes/0.24
  * [5aa7665] MythVideo: Backport JAMU unicode fix to .24-fixes.
  * [de60515] Change on how we calculate the required ALSA hardware
    buffer size.
  * [64d9d7c] Add INSTALL_ROOT support for mythffmpeg/play
  * [7cdfb8e] Change the QMutex to QSemaphore in myth_system
  * [c548468] Added mythffplay to the build
  * [137af77] Build ffmpeg as mythffmpeg and install
  * [f6af8c7] Try to increase ALSA bugger by 64kB block
  * [1b25aae] MythArchive: Tweak a please wait message.
  * [2efe497] MythCenter: Make the message text in the busy dialog
    multi-line.
  * [c9e982a] Fix displaying external text subtitles under a rare
    situation.
  * [57059b3] Backport 87db11803 to fixes/0.24.
  * [c6d47f6] Fix compile warnings for the quickdnr filter.
  * [f0ffba1] MythArchive: Fix the background of the change encoding
    profile dialog.
  * [513409c] MythArchive: Fix the name of the button background shape
    used in the button lists. Fixes ticket 9372.
  * [7a644c4] Fix HOWTO references to content no longer in contrib.
  * [5b7beed] Backport to fixes/0.24.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 07 Feb 2011 23:58:38 -0600

mythtv (2:0.24.0+fixes.20101214.1405782-0ubuntu1) natty; urgency=low

  * in the git building rule, make sure to include the proper phrases
    for autobuilds.
  * reverse the rule for do-new-release.sh
  * include a data directory to fix mythweb postinst breaking.
  * New upstream checkout (1405782)
  * >>Upstream changes since last upload (d3d2640):
  * [1405782] Fix ALSA buffer allocation.
  * [588cc6e] Fix potential deadlocks resulting in "Waited 100ms for
    video buffers"
  * [208e2f5] Add some extra NULL pointer protection in the main decoder
    loop.
  * [fc09367] Fix setting the display refresh rate in live tv.
  * [f3ddc58] Backport to fixes/0.24.
  * [52f8df1] Backport to fixes/0.24.
  * [4e4653f] One change got committed by mistake
  * [0d719aa] Following SHA: 9dc22bcc223e753d072dcdb2910ea271d377a5ef.
    Add a little bit of leeway when checking the alsa buffer size, as
    alsa may round down the value.
  * [8115c44] Tidy up the block processing in AddFrames by renaming
    variables. Block size is properly calculated based on the source
    channels. Properly cast all variables involved in 64 bits timecode
    calculation as int64_t, and make all constants long long ones. Make
    the code easier to re-read
  * [1b695d7] Issue we were trying to fix in SHA:
    312ef27cd0d5a8b515cf0ba2587bdc2ba94aac28 were in fact related to the
    alsa hardware buffer size being too low. And the calculation for
    what the correct buffer size should be being incorrect, we never got
    the proper value displayed/set. For 5.1 32 bits LPCM, 48kHz a
    minimum buffer size should be 225kB. Alsa default is 64kB
  * [3a0bc28] Simplify upmixing and fix some issues, in particular
    timestamp that could be incorrect under some circumstances, fix
    writing silence to the audio card when in pause mode (we could under
    some circumstances not write enough data leading to underruns
  * [cfd7b78] Remove the state change QWaitCondition from the TV class.
  * [3e29dab] Left justify CC-608 captions.
  * [6bb60cd] Minor CC-608 caption display optimisation.
  * [7b4f3fb] Don't create an additional thread for media playback.
  * [8155c43] Fix control socket call used for Video._playOnFe().
  * [df2d58b] Fix missing parameter in SG filelist query.  Patch from
    fedora a t ready2think.
  * [aec0097] fix CPU flags in libmythsoundtouch
  * [ee57332] Backport b674e521028d49193c7d from HEAD to branch
    fixes/0.24
  * [3e9463e] Following [98a196], fix same logic error used in the
    settings which prevented selecting 7.1 unless audio advanced was
    selected
  * [5cd75db] Fix logic error that forced to have audio advanced checked
    to get 7.1 LPCM

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 14 Dec 2010 10:32:47 -0600

mythtv (2:0.24.0+fixes.20101207.d3d2640-0ubuntu1) natty; urgency=low

  [ Mario Limonciello ]
  * Modify the get-orig-source rule to use launchpadlib to try to fetch the file
    from the archive instead.
  * Stop on runlevels [016] rather than on the start of shutdown job. (LP: #542627)
  * Move packaging to git based commands.
  * If no themes are included, don't make bad theme stubs in debian/control.
  * Update control files.
  * Add an epoch because of the changing fixes->fixes and trunk->master to allow
    proper upgrades.
  * In ppa git checker helper, if no hash returned, don't error up.
  * If running on a master build, have the update-control-files rule recommends
    mythtv-dbg.
  * Update standards version.
  * Force pic support on as much of the build as possible. (LP: #684941)
  * Move mythweb's set -e into the script invokation to quiet lintian.
  * Add python dependency to mythtv-common.
  * Demote libmythtv-perl depends to recommends on mythtv-backend.
  * Don't run the permissions fix up on python files smaller than 1 block.
  * Fixup the extra docs cleanup for mythweb.
  * >>Upstream changes since last upload (11ee9c5):
  * [d3d2640] MythArchive: Update the script to look for the fonts in
    the new location.
  * [011ffd5] Fix file streaming to stay working past 4G
  * [ecbbcf8] Backport from master to fixes/0.24.
  * [fe9d48e] Move toLower to the correct location
  * [e4ea220] Add gitignores to fixes/0.24 too
  * [dc4868a] Tweak PWD in the Makefile to be more specific

  [ Thomas Mashos ]
  * Make mythplugins replace mythmovies
  * Make mythplugins replace mythmovies in debian/control.in

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 07 Dec 2010 02:42:49 -0600

mythtv (1:0.24.0+fixes27305-0ubuntu1) natty; urgency=low

  [ Mario Limonciello ]
  * New 0.24 checkout (27305)
  * Modify the upstart script to load the LANG first. (LP: #541042)
  * Modify configure_mythplugins_without_mythtv_installed.patch to remove 
    SYSROOT from the mytharchive build process for it's additional support 
    files. (LP: #674626)
  * Remove unused package, mythmovies from build process.
  * Clean up the dependencies of a few packages, and harden them to the binary
    version.
  * Disable XvMC as it's causing crashes.  VDPAU is better off in these 
    situations anyhow (LP: #660833)
  * Remove sparc support.
  * Make sure mysql is pingable before starting the backend (LP: #609402)
  * Fixup some linitians:
    - Extra license files
    - Longer extended descriptions
    - Duplicated synopsis
    - Init.d script
  * Add a new debian/rules rule called 'update-upstream-changelog'.  
    This finds all of the most recent svn commit messages and 
    creates changelog entries.
  * Add a debian/README.Debian for explaining how to work with the package.
  * In the update-upstream-changelog rule, search for the word mythbuntu
    in the version string.  If found, find the latest version on the PPA
    to compare against.
  * Get rid of the newest-revision rule in favor of one that will actually
    update the changelog/checkout to the new version.
  * Add a new helper script debian/do-new-release.sh that will run all of
    these common tasks in preparation for an upload to ubuntu.

  [ Thomas Mashos ]
  * Set backend to not respawn if it dies 2 times in 1 hour (LP: #654846)
  * Move metadata scripts and internetcontent to mythtv-common
  * Fixed Replaces for mythtv-common
  * Added python and perl bindings as recommends for BE/FE
  * Fixes replaces in control.in for mythtv-common (LP: #676791)
  * Added bindings as recommends to FR and BE in control.in
  * Added Breaks mythtv-backend to mythtv-common (LP: #677206)
  * Added conflicts/replaces for mythplugins-dbg to mythtv-dbg
  * Added script to find latest mythtv svn revision in PPA

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 20 Nov 2010 13:19:58 -0600

mythtv (1:0.24.0+fixes27162-0ubuntu1) natty; urgency=low

  [ Mario Limonciello ]
  * Drop 36_setgroups.  Been merged upstream.
  * Add upstart script into the packaging.  It's been dropped upstream.
    ref svn 24280 upstream.
  * Bump version to 0.24 fixes r27162
  * Refresh patches due to upstream changes:
    * Mythfilldatabase logging
    * Force dbus reboot/halt.
    * Default directories.
    * Python 2.6
    * proper shutdown behavior for ubuntu.
  * Drop 40_libudev.  Merged upstream.
  * Drop 09_perl_bindings_prefix.  Merged upstream.
  * debian/rules: cleanup deprecated configure options.
  * Install mythpreviewgen into mythtv-frontend (LP: #616083)
  * Remove faad support, no longer listed in configure, fixes FTBFS.
  * remove circular dependency.
  * Reduce zealousness in files cleaned in clean rule.
  * Remove qmake invocation.
  * Add depends on python-mysqldb
  * Install metadata to /usr/share/mythtv so it can be used by MNV.
    (LP: #624064)
  * Add a --list-missing option to make sure that all packaged files
    get installed, and the build fails otherwise.
  * Correct the missing locales and fonts.
  * Install python and perl directly into their appropriate directories.
  * Remove dummy libmyth-perl package.
  * Modify ubuntu shutdown behavior patch to only use dbus if commands fail.
  * Update shutdown patch for upstream recommendations.
  * Conflicts/Replaces on old libmyth package (LP: #665402)
  * Merge mythtv/mythplugins/myththemes source packages into one.
  * Add a new get-svn-source rule to use with mythbuntu-weekly-build.
  * In the update-control-files rule, update the ABI as well.
  * Conflicts/Replaces for no longer used mythplugins-dbg package.
  * Drop references to mythplugins-dbg in the apport rules.
  * Fix the installation of mythmusic. (LP: #672045)
  * Create a mysql.txt symlink from mythtv-setup as well.

  [ Gerald Barker ]
  * Copy 'internetcontent' scripts to /usr/share/mythtv/ as part of
    mythbackend install so they can be requeted by MythNetvision

  [ Thomas Mashos ]
  * Added missingok for mirobridge log in logrotate (LP: #581283)
  * Updated perl bindings patch for upstream changes (LP: #586293)
  * Added libqt4-webkit-dev dependency to satisify maverick FTBFS
  * Added new python and perl dependencies
  * Moved backup and restore scripts from mythtv-database to mythtv-common
  * Added Replaces for mythtv-common (LP: 622983)

  [ John Baab ]
  * Fixed missing log folder for frontend only install (LP: #642992)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 11 Nov 2010 11:51:35 -0600

mythtv (0.23.1+fixes26437-0ubuntu1) maverick; urgency=low

  * New snapshot, 26437.
  * Drop qt47_support.patch, newer, bigger, better version upstream.
  * Drop configure_missing_check, iz now upstream too.
  * Refresh fuzzy patches.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 23 Sep 2010 22:53:26 -0500

mythtv (0.23.1+fixes26192-0ubuntu1) maverick; urgency=low

  * New snapshot, 26192.
    - Fixes channel scan crashes (LP: #632756)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 09 Sep 2010 23:41:28 -0500

mythtv (0.23.1+fixes26057-0ubuntu1) maverick; urgency=low

  * New snapshot, 26057.
  * Simplify the upstart script.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 04 Sep 2010 20:39:54 -0500

mythtv (0.23.1+fixes25842-0ubuntu2) maverick; urgency=low

  * Rebuild without accidentally added patch 
    debian-changes-0.23.1+fixes25842-0ubuntu1.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 25 Aug 2010 12:10:29 -0500

mythtv (0.23.1+fixes25842-0ubuntu1) maverick; urgency=low

  [ Thomas Mashos ]
  * Added libqt4-webkit-dev dependency to satisify maverick FTBFS
  * Moved backup and restore scripts to mythtv-common from mythtv-database
  * Added Replaces for mythtv-common (LP: 622983)

  [ Mario Limonciello ]
  * Add qt47_support.patch to fix FTBFS on Maverick.
  * Update checkout to r25842
  * Update to 0.23.1 based checkouts.
  * Reverse build depends for libjack to fix virtual packages problems.
  * Source debconf stuff in all scenarios for mythtv-common postinst.
  * Add configure_missing_check.patch to fix FTBFS on Maverick.
  * Only apply qt47_support.patch and missing_check.patch on Maverick
    to prevent potential issues on autobuilds for Lucid.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 25 Aug 2010 09:19:37 -0500

mythtv (0.23.0+fixes25138-0ubuntu1) maverick; urgency=low

  [ Mario Limonciello ]
  * new upstream checkout (25138)

  [ Thomas Mashos ]
  * Added missingok for mirobridge log in logrotate (LP: #581283)
  * Backend now waits for udev to finish (LP: #556204)
  * Added patch to properly detect dbus during compile (LP: #574877)

 -- Thomas Mashos <tgm4883@gmail.com>  Sat, 19 Jun 2010 23:11:04 -0700

mythtv (0.23.0+fixes24158-0ubuntu2) lucid; urgency=low

  * debian/patches/proper_shutdown_behavior_for_ubuntu.patch: 
    - Drop support for a configurable shutdown or reboot command in the GUI
    - Only use DBUS for shutdown and halt

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 23 Apr 2010 10:56:00 -0500

mythtv (0.23.0+fixes24158-0ubuntu1) lucid; urgency=low
  
  * New upstream snapshot (r24158)
    - work around XMLtv bug causing obscenely poor response.
  * debian/control: Build-Depend on libmysqlclient16-dev, as previous 
    depends are being removed from the archive. (LP: #563053)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 16 Apr 2010 16:47:24 +0100

mythtv (0.23.0+fixes24133-0ubuntu1) lucid; urgency=low

  [ Dave Walker (Daviey) ]
  * New upstream snapshot (r24133)
    - Fixes crash of mythfrontend when upconverting audio to 5.1 (LP: #550562)
    - Improve Jamu handling of invalid database data (LP: #549352)
    - Remove mythtranscode's internal copy of the slow-delete code and instead 
      send a request to the backend to delete the file. (LP: #481104)
    - LiveTV & recording with V4L cards on 64-bit backend fixed. (LP: #562690)
  * debian/mcc-mirobridge/*: New icon, UI alignment changes and description 
    text added.  Courtesy of R. Doug Vaughan.
  * debian/rules: Added cxx option "-maltivec" to PowerPC specifc configure 
    option to fix FTBFS for that architecture. (LP: #559614)

  [ Mario Limonciello ]  
  * 40_libudev.path:
    - Add -ludev to the library check.
  * debian/control:
    - Drop linux-libc-dev build-dep.
  * Actually disable halt and reboot commands by default.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Thu, 15 Apr 2010 00:04:14 +0100

mythtv (0.23.0+fixes23820-0ubuntu1) lucid; urgency=low

  * New upstream snapshot (r23820)
  * debian/patches/40_libudev.patch: Use libudev to get the information
    instead of calling udevinfo which has been superseded by udevadm,
    which is not compatiable.  (LP: #479509)
  * debian/control: Added Build-Depends of libudev-dev, linux-libc-dev
    to satisfy 40_libudev.patch.
  * debian/mcc-mirobridge/, debian/mythtv-backend.install:
    Install the Mythbuntu-Control-Centre plugin for mirobridge
    if mythtv-backend is installed. (LP: #520731)
  * Refreshed patches.
  * debian/changelog: Fixed old entry that had a non-valid email address
    causing lintian errors.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Sat, 27 Mar 2010 19:18:15 +0000

mythtv (0.23.0+fixes23789-0ubuntu2) lucid; urgency=low

  * debian/rules:
    - Compile-type=debug for better debugging purposes.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 25 Mar 2010 23:22:48 -0500

mythtv (0.23.0+fixes23789-0ubuntu1) lucid; urgency=low

  [ Jamie Bennett ]
  * Fix FTBFS on armel (LP: #537714)

  [ Mario Limonciello ]
  * mythtv-{common,backend}.{config,templates,postinst}: (LP: #483748)
    - Simplify debconf questions by avoiding showing the generated pw
    - Don't warn about mythtv group.
    - Don't notify about running mythtv-setup.  This is optional (but
      of course encouraged!)
  * Set version to include a "+" delimitter.
  * Restore libfaad-dev dependency. (LP: #546552)

  [ Dave Walker (Daviey) ]
  * New snapshot (r23789), based from 0.23-fixes.
  * debian/control:
    - mythtv-frontend set to Conflict with mythflix, as it's dropped
      upstream. (LP: #544521)
    - Remove unnecessary and potentially problematic use of Pre-Depends.
    - Set the debug package to Priority extra.
    - Change *-perl Section's from libs to perl
    - add ${shlibs:Depends} for mythtv-common Depends field
    - Minor spelling fix.
    - Fixes the long description for one of the packages, ensuring the
      description doesn't exceed 80 characters.
    - Vcs-* set to -fixes, rather than -trunk.
  * debian/rules:
    - Use debconf-updatepo to update translations when required
    - Ensure license files are not included in the binary packages, except 
      for debian/copyright.
    - Fixes the permissions of certain files in the packaging.
  * debian/copyright:
    - updated to reflect that mythtv is GPL-2 only.
    - inserted better licence statement and Copyright reference.
  * debian/mythtv-*.templates
    - Simplified strings; removed verbosity and improved readability.
  * Prevent the maintainer scripts from failing in case any questions 
    can't be displayed.
  * Added holding debian/mythtv-frontend.config, mainly to appease lintian.
  * debian/mythtv-frontend.menu: Changed section to Applications/Graphics.
  * debian/mythtv-backend.postinst: Load debconf libraries.
  * debian/source.lintian-overrides: Removes the unecessary override of the 
    binNMU warnings.
  * Fix perl binding installation.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 23 Mar 2010 19:32:33 +0000

mythtv (0.23.0~trunk23623-0ubuntu1) lucid; urgency=low

  [ Dave Walker ]
  * debian/control:  Added quilt as a build-depends, primarily
    for karmic builds.

  [ Mario Limonciello ]
  * New checkout (r23623).
    - Fixes audio issues w/ ac3 audio.
  * debian/patches/36_setgroups_too:
    - Set the right args for setgroups. (LP: #524822)
  * debian/rules:
    - Explicitly set all shell scripts executable.  Fixes problems on < lucid
      builds.
  * debian/control:
    - Correct the replaces statements. (LP: #527288)

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 27 Feb 2010 14:33:45 -0600

mythtv (0.23.0~trunk23567-0ubuntu4) lucid; urgency=low

  [ Mario Limonciello ]
  * debian/control:
    - Build-depends on libxrandr-dev for xrandr support.
    - Restore Build-depends on libfftw3-dev (not really a top secret option)
  * debian/source_mythtv.py:
    - Don't use bool, apport doesn't like them.
  * debian/patches/36_setgroups_too:
    - Run setgroups() before setgid/setuid (LP: #524822)

  [ Andres Mejia ]
  * Refresh all patches. Use '-p ab' format with no index or timestamps.
  * Add comment for each patch.
  * Update debian/control file for minor cosmetic changes.
  * Don't depend on transcode for mythtv-transcode-utils since it's not needed.
  * Don't Build-Depends-Conflicts on libmyth-dev.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 21 Feb 2010 12:13:59 -0600

mythtv (0.23.0~trunk23567-0ubuntu3) lucid; urgency=low

  * Rebuild for pulseaudio problems caused from an earlier libpulse-dev
    package. (LP: #524191)
  * debian/mythtv-setup.sh:
    - Fix an extra '-' that was included.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 18 Feb 2010 22:54:59 -0600

mythtv (0.23.0~trunk23567-0ubuntu2) lucid; urgency=low

  * debian/mythtv-backend.preinst:
    - Remove old /etc/default/mythtv-backend if not modified.  The upstart job
      still optionally use it, but it will cause the backend to not drop
      permissions with the old contents.
  * debian/mythtv-database.templates:
    - flush out unused templates.
  * debian/rules:
    - Add some confflags from ffmpeg's debian/rules to try a little harder
      on armel and powerpc.
  * debian/mythtv_0.23.0.sql:
    - Update to the current schema in this build.
    - Set default security pin so UPNP will work OOTB.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 18 Feb 2010 01:35:24 -0600

mythtv (0.23.0~trunk23567-0ubuntu1) lucid; urgency=low

  * Bump builds to start with 0.23
  * debian/control: 
    - Fix vcs-bzr
    - Update depends to include ttf-droid, ttf-liberation, and ttf-dejavu.
      (LP: #224114)
    - Drop quilt build-dep, it appears to be included w/ dh7
    - Bump standards version
  * Introduces stable pulseaudio support (In Theory! :)) (LP: #311328)
  * Print message to stdout for MythTV.pm (LP: #327406)
  * debian/patches:
    - Drop 16_hal_shutdown.  No longer necessary after r23518.
  * Allow shutdowns when mythtv is running (LP: #174712)
    - Comes from upstream changeset r23455.
  * Mythbackend now supports the --user flag to drop permissions from
    upstream changeset r23521.
  * Use the upstart script from the upstream contrib directory instead.
    Now uses the --user flag to drop permissions. (LP: #445953)
  * Update 30_python26_transition for changes upstream.
  * mythtv-database.templates:
    - refer to the proper location for backups.
  * Switch to use the upstream backup scripts. (LP: #469792)
  * Helps with HDTV stuttering. (LP: #451394)
  * Drop old debian/myth-*.sh scripts since we now use dbus for shutdown
    and reboot etc.
  * Drop old debian/mythtv-backend.default.  It's just available for upgrades.
  * Drop old debian/mythtv-backend.init initscript.  We're only supporting
    upstart going forward with these builds.
  * Drop unnecessary patch, 02_settings_pro.dpatch
  * Drop unused patch, 23_video_device_symlinks.dpatch
  * Drop unused patch, 25_skiploop_option.dpatch
  * Convert packaging to dh7.
  * Convert packaging to source v3 (w/ quilt).
  * Add debian/README.source as a symlink to the quilt README.source
  * Convert all .files into .install.
  * Refresh patches as quilt format instead
  * Rewrite get-orig-source rules to parse the changelog for version info.
  * Drop any of the Top Secret Options build flags
  * Include a custom snippet for debian/rules mythtv packages in libmyth-dev.
  * Drop old, unused templates from debian/templates.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 16 Feb 2010 21:23:04 -0600

mythtv (0.22.0+fixes23527-0ubuntu1) lucid; urgency=low

  [ Mario Limonciello ]
  * New snapshot (r23527)
  * debian/mythtv-database.postinst:
    - If the mythtv.cnf conffile is missing, don't freak out. (LP: #477926)
  * debian/control:
    - Build depends on libvdpau-dev for armel too.  We don't know if
      tegra2's will be using VDPAU, but if they do, this will help.

  [ Thomas Mashos ]
  * Populate directories to hold videos in prefilled SQL file. (LP: #469583)

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 14 Feb 2010 19:13:55 -0600

mythtv (0.22.0+fixes23193-0ubuntu1) lucid; urgency=low

  * New snapshot (r23193)
  * debian/patches/09_perl:
    - Correct the install path which broke when we renamed the packages.
      (LP: #498355)
  * debian/control:
    - Do the replaces for anything below 22958 to cover other PPA builds
      too. (LP: #498810)
  * debian/source_mythtv.py:
    - Update the hook to indicate whether the user has installed mythtv-dbg
      or mythplugins-dbg at the time of the crash.
  * debian/mythtv-common.links:
    - Create symlinks for the mythplugins and myththemes source packages to
      use the same apport hook as mythtv.
  * debian/rules:
    - Try harder to mark perl and python scripts executable.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 19 Jan 2010 20:43:24 -0600

mythtv (0.22.0+fixes22957-0ubuntu2) lucid; urgency=low

  * debian/control:
    - Actually do the replaces for anything below 22957 instead to cover any
      PPA builds that people upgrade from or the very early lucid builds.
      (LP: #494705)

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 09 Dec 2009 16:14:29 -0600

mythtv (0.22.0+fixes22957-0ubuntu1) lucid; urgency=low

  * Update to a new snapshot. (r22957) (LP: #493405)
  * debian/control:
    - Drop mythstream from suggests.
    - Replaces on mythtv-frontend
    - Make mythtv-common arch all.  All roles can support mythshutdown,
      and this fixes the archive skew from an i386 and amd64 build being
      out of sync.
    - Rename libmyth-perl to libmythtv-perl per debian request. (LP: #XXXXX)
  * Move mythshutdown into mythtv-common.
  * debian/libmyth-perl.files, rename to libmythtv-perl.files
  * debian/rules:
    - Remove references to libmyth-perl
    - Set all perl and python scripts executable (LP: #482585)

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 08 Dec 2009 19:45:24 -0600

mythtv (0.22.0+fixes22899-0ubuntu1) lucid; urgency=low

  * Update to a snapshot post 0.22 release (r22899).
  * Drop 31_vdpau_profiles.dpatch as it's been merged upstream.
  * Install mythconverg_backup and mythconverg_restore scripts
    in the mythtv-database package rather than mythtv package.
  * debian/control:
    - Drop version number in dependencies to myth* to prevent
      version skew from PPA builds.
    - Build depends on open source libvdpau optionally.
    - Build depends on libxvidcore-dev | libxvidcore4-dev for libxvidcore
      transition happening in lucid. (LP: #486169)
  * Generate a -dbg package so that builds from a PPA can actually
    be useful.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 24 Nov 2009 21:43:38 -0600

mythtv (0.22.0+fixes22594-0ubuntu1) karmic; urgency=low

  * New upstream snapshot.  
    - This should be the final one for Karmic.
    - Unfortunately, this will be a commit or two shy of the actual
      0.22 release.
    - Fixes upgrade scenarios from 0.21 where themes that previously
      existed are now gone.
  * debian/patches/31_vdpau_profiles.dpatch:
    - Backport of trunk 22466 to add VDPAU profiles for 0.22 by default.
  * debian/mythtv-backend.upstart:
    - Stop on 016 rather than on "starting shutdown".
      Prevents issues with the backend respawning during reboot.
  * debian/dialog.sh:
    - Use kdesudo rather than kdesu. (LP: #458177)
  * debian/source_mythtv.py:
    - Don't grab jamu or hardware logs.  Launchpad is timing out because
      actual crashes are too big when uploaded, so we'll try to get these
      pieces on a case by case basis instead.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 18 Oct 2009 12:57:26 -0500

mythtv (0.22.0~zrc1-0ubuntu1) karmic; urgency=low

  * Upstream 0.22 rc1 snapshot.
    - Had to name the version funny because we've done builds with trunk in
      the name and trunk is greater than rc. (zrc1 rather than rc1)
  * Legacy init script needs different arguments.  Only affects
    Jaunty & earlier builds. (LP: #450278)

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 14 Oct 2009 21:18:18 -0500

mythtv (0.22.0~trunk22413-0ubuntu1) karmic; urgency=low

  [ Gary Butters ]
  * debian/control:
    - Depends on wmctrl
  * Add support to use wmctrl to bring mythfrontend to the foreground
    if already running. (LP: #352077)

  [ Mario Limonciello ]
  * New upstream snapshot (r22413)
  * Add a bug_pattern_base to the mythbuntu crashdb.
  * Fix mythbuntu crashdb to refer to project not product.
  * Simplify the apport hook so that we can catch on any set of non
    distro packages.
  * debian/rules:
    - Make *sure* /etc/default/mythtv-backend is getting installed.
      It seems that dh_installinit didn't want to install it when we use upstart.

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 12 Oct 2009 17:13:20 -0500

mythtv (0.22.0~trunk22359-0ubuntu1) karmic; urgency=low

  [ Mario Limonciello ]
  * New upstream checkout (r22359)
    - Themes have been shuffled around a bunch.
    - Fixes transcode arguments (LP: #429089)
  * debian/control:
    - Conflicts and replaces for themes that are now part of this package
  * debian/mythtv-setup.desktop:
    - Set to a real icon.
  * Set up some symlinks for the dejavu fonts so they aren't installed several
    times.
  * debian/rules:
    - Remove references to firewire_tester.  We're not building it.
  * Simplify upstart script a bit.
  * Drop old logic for checking that ~mythtv/.mythtv/mysql.txt exists, and move
    it into the postinst.
  * Ship a mythbuntu crashdb for apport to catch crashes and submit against the
    mythbuntu project.
  * Add an apport hook for mythtv packages.
    - PPA builds will be directed at launchpad.net/mythbuntu
    - Normal builds will end up against launchpad.net/ubuntu/+source/mythtv

  [ Dave Walker ]
    * Incremeted to new upstream version to current trunk head.
    * Replaced sysv style init script with Upstart.
      - debian/control: Bump build-dependency on debhelper for Upstart-aware
        dh_installinit (debhelper >=7). 
      - debian/mythtv-backend.upstart added.
    * Standards-Version bumped to 3.8.2.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 11 Oct 2009 13:43:15 -0500

mythtv (0.22.0~trunk22304-0ubuntu1) karmic; urgency=low

  * New upstream checkout (r22304)
    - Fixes crash during image loading of mythfrontend (LP: #445173)
    - Disables pulseaudio harder, fixing sound playback when it's installed.
      (LP: #436792)
  * debian/mythtv_0.22.0.sql:
    - Set Internal as the default player across the board.  Looks like some
      areas were previously missed.  This only affects new installs.
      (LP: #445984)
  * debian/patches/10_mythfilldatabase_log.dpatch:
    - Update to actually log to a file not a directory.
  * debian/patches:
    - Drop any patches that weren't actually being applied.
  * Set default theme to Mythbuntu rather than Mythbuntu-9.10 since upstream
    accepted it without a version number applied.
  * debian/mythtv-database.{postinst,config}:
    - Use the debian system maintainer account to set things up if possible.
    - Drop broken logic for trying to detect when slow writes are needed.

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 07 Oct 2009 23:24:05 -0500

mythtv (0.22.0~trunk22242-0ubuntu1) karmic; urgency=low

  * New upstream checkout (r22242)
    - Fixes protocol mismatch in 22167 (LP: #440807)
  * mythtv_0.22.0.sql:
    - Set correct path for movie directories (LP: #440680)
    - Set mytharchive work directory (LP: #439213)

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 04 Oct 2009 20:43:11 -0500

mythtv (0.22.0~trunk22167-0ubuntu1) karmic; urgency=low

  * New upstream checkout (r22167).
    - Fixes some segfaults.

 -- Mario Limonciello <superm1@ubuntu.com>  Fri, 02 Oct 2009 00:23:18 -0500

mythtv (0.22.0~trunk22101-0ubuntu1) karmic; urgency=low

  [ Mario Limonciello ]
  * New upstream checkout (r22101)
  * Try to guard and make sure that ~mythtv is read from /etc/passwd 
    rather than assuming it's /home/mythtv.

  [ John Baab ]
  * debian/mythtv-common.postinst:
    - Added symlink for /home/mythtv/.mythtv/config.xml

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 29 Sep 2009 01:33:23 -0500

mythtv (0.22.0~trunk21954-0ubuntu1) karmic; urgency=low

  [ Mario Limonciello ]
  * New upstream checkout (r21954)
  * debian/mythtv_0.22.sql:
    - Update to new schema, 1244.
  * debian/mythtv.desktop:
    - Use a real icon.
  * debian/mythtv-frontend.files:
    - Rename mythtv to mythavtest (see upstream 21904 for details)

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 20 Sep 2009 02:13:10 -0500

mythtv (0.22.0~trunk21785-0ubuntu2) karmic; urgency=low

  * debian/control:
    - Conflicts/replaces for mythcenter themes. (LP: #428211)

 -- Mario Limonciello <superm1@ubuntu.com>  Fri, 11 Sep 2009 20:13:57 -0500

mythtv (0.22.0~trunk21785-0ubuntu1) karmic; urgency=low

  [ Mario Limonciello ]
  * New upstream checkout (r21785)
  * debian/mythtv-backend.postinst:
    - Correct a typo in the postinst.
  * debian/mythtv-common.postinst:
    - Don't fail on actions that happen to /root (LP: #399120)

  [ Thomas Mashos ]
  * Removed default media directory db setting

 -- Mario Limonciello <superm1@ubuntu.com>  Fri, 11 Sep 2009 19:17:47 -0500

mythtv (0.22.0~trunk21742-0ubuntu2) karmic; urgency=low

  * debian/control:
    - Conflicts for mythstream on mythtv-frontend (LP: #415922)
  * debian/mythtv-backened.postinst, debian/mythtv-backend.dirs:
    - Create Coverart, Fanart, Screenshots, and Banners directories so jamu
      can have somewhere to store stuff to.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 10 Sep 2009 10:25:37 -0500

mythtv (0.22.0~trunk21742-0ubuntu1) karmic; urgency=low

  * New upstream checkout (21742)
    - Fixes FTBFS on PPC. See changeset 21571 for more details.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 08 Sep 2009 23:08:37 -0500

mythtv (0.22.0~trunk21556-0ubuntu3) karmic; urgency=low

  * debian/mythtv-database.postinst:
    - Don't hardcode the location of SQL database to a particular filename.

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 02 Sep 2009 19:49:25 -0500

mythtv (0.22.0~trunk21556-0ubuntu2) karmic; urgency=low

  * debian/mythtv-database.postinst:
     - Set BlackCuves as default OSD and Mythbuntu-9.10 as default theme.
  * debian/mythtv_0.22.0.sql:
     - Update to the current database schema (1242)

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 02 Sep 2009 10:09:26 -0500

mythtv (0.22.0~trunk21556-0ubuntu1) karmic; urgency=low

  * New upstream checkout. (r21556)
    - Fixes memory leaks with UPNP enabled. (LP: #200761)
  * debian/control:
    - Build depend on nvidia 185 or nvidia 180.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 23 Aug 2009 12:18:48 -0500

mythtv (0.22.0~trunk21333-0ubuntu1) karmic; urgency=low

  * New upstream checkout (21333)
    - Fixes crash with linearblend filter. (LP: #414870)
  * mythtv_0.21.0.sql:
    - Set to default to Mythbuntu-9.10 theme for new installs.
  * rules:
    - Set the /usr/share/mythtv/*.pl file to be
      executable as the backend wants to run it regularly.
    - Update SOURCE_VERSION in version.sh as it's not in version.pro
      anymore.

 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 17 Aug 2009 11:32:56 -0500

mythtv (0.22.0~trunk21328-0ubuntu0) karmic; urgency=low

  [ Thomas Mashos ]
  * Remove arts support
  * Add libqt4-opengl-dev as build dep

  [ Mario Limonciello ]
  * New upstream snapshot.  Switch to 0.22 based builds in preparation
    for upstream's 0.22 release, which should be ready before karmic.
  * debian/control: Build depend on nvidia 180
  * debian/control: Conflicts/Replaces on mythcontrols
  * debian/rules: enable vdpau

 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 17 Aug 2009 01:23:08 -0500

mythtv (0.21.0+fixes21261-0ubuntu1) karmic; urgency=low

  * New upstream -fixes snapshot (21261)
    - Fixes HDHomerun compatibility issues with reboot. (LP: #384556)
    - LCDproc compatibility. (LP: #392362)
  * debian/control:
    - Build depends on libpulse0 so that pulseaudio disabling code works.
  * debian/rules:
    - Don't compress perl and python scripts that are installed. (LP: #380812)
  * debian/mythtv-backend.init:
    - If for some reason $USER_HOME doesn't exist, make it. (LP: #326702)

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 16 Aug 2009 00:26:55 -0500

mythtv (0.21.0+fixes19961-0ubuntu8) jaunty; urgency=low

  * Remove any references to creating V4L devices.  Not necessary
    since Ubuntu is exclusively UDEV.
  * Correct the exit code in another portion of the init script. (LP: #346694)

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 22 Mar 2009 17:53:24 -0500

mythtv (0.21.0+fixes19961-0ubuntu7) jaunty; urgency=low

  * debian/control:
    - Depends on lsb-release.
  * Add 30_python26_transition.dpatch to allow python 2.6 builds to work.
    (LP: #342870)
  * debian/control, debian/rules:
    - Use python-central instead of python-support.

 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 16 Mar 2009 23:22:46 -0500

mythtv (0.21.0+fixes19961-0ubuntu6) jaunty; urgency=low

  * Fixed problem where init script errors on install 

 -- John Baab <john.baab@gmail.com>  Fri, 13 Mar 2009 15:52:09 -0400

mythtv (0.21.0+fixes19961-0ubuntu5) jaunty; urgency=low

  * fixed backend init script to correctly detect if a backend is running. 

 -- John Baab <john.baab@gmail.com>  Thu, 26 Feb 2009 00:54:27 -0500

mythtv (0.21.0+fixes19961-0ubuntu4) jaunty; urgency=low

  * debian/rules:
    - Drop old references to update-notifier that got missed from building
      in an unclean tree.

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 25 Feb 2009 17:07:19 -0600

mythtv (0.21.0+fixes19961-0ubuntu3) jaunty; urgency=low

  * Don't display an update-notifier message about failing to reconfigure
    database.  This doesn't get along well with live disks. (LP: 334547)

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 25 Feb 2009 15:46:22 -0600

mythtv (0.21.0+fixes19961-0ubuntu2) jaunty; urgency=low

  * Fixed symlinking config.xml issue (LP: #327534) 

 -- John Baab <john.baab@gmail.com>  Tue, 10 Feb 2009 17:08:38 -0500

mythtv (0.21.0+fixes19961-0ubuntu1) intrepid; urgency=low

  [ John Baab ]
  * Fixes missing config.xml issue (LP: #220604)

  [ Mario Limonciello ]
  * Check whether $USER_HOME exists in mythtv-backend init
    script before continuing on. Thanks Will Uther. (LP: #326702)
  * Update branch to release-0-21-fixes rev #19961.  Pulls in
    fix related to channel scanning and setting number correctly. (LP: #323769)
 
 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 09 Feb 2009 08:49:29 -0600

mythtv (0.21.0+fixes19556-0ubuntu6) jaunty; urgency=low

  [ Thomas Mashos ]
  * debian/control, debian/rules:
    - Disable arts support as it's no longer part of jaunty. (LP: #320915)

  [ Mario Limonciello ]
  * debian/control, debian/rules:
    - Drop external x264 support.  It's causing a FTBFS.

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 04 Feb 2009 11:09:10 -0600

mythtv (0.21.0+fixes19556-0ubuntu5) jaunty; urgency=low

  * No-change rebuild against libx264-65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Feb 2009 10:04:20 +0000

mythtv (0.21.0+fixes19556-0ubuntu4) jaunty; urgency=low

  * debian/mythtv-database.postinst:
    - Clear out mythtv/mysql_mythtv_password when we've read
      it from /etc/mythtv/mysql.txt.
  * debian/patches/00list:
    - actually apply 29_fix_mythwelcome.dpatch
  * debian/patches/29_fix_mythwelcome.dpatch
    - clean up .orig file and related mess

 -- Michael Haas <laga@laga.ath.cx>  Sun, 01 Feb 2009 13:10:24 +0100

mythtv (0.21.0+fixes19556-0ubuntu3) jaunty; urgency=low

  * debian/rules: Install udev rules into /lib/udev/rules.d
  * debian/mythtv-backend.rules: Remove old rules if unchanged
  * debian/control: Add breaks to ensure the right version of udev is used.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 12 Jan 2009 18:20:17 +0000

mythtv (0.21.0+fixes19556-0ubuntu2) jaunty; urgency=low

  * Re-upload last version with proper pull from bzr.
    For some reason a lot of things got were missing
    due to a broken merge.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 08 Jan 2009 22:31:26 -0600

mythtv (0.21.0+fixes19556-0ubuntu1) jaunty; urgency=low

  * New upstream fixes snapshot.
    - Provides some UPNP fixes.
  * debian/control:
    - Promote pwgen to pre-depends for mythtv-common
      so that it can be used in the .config.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 08 Jan 2009 21:55:34 -0600

mythtv (0.21.0+fixes19136-0ubuntu3) jaunty; urgency=low

  [ Michael Haas ]
  * Drop debian/patches/28_fix_v4l.dpatch because upstream 
    fixed this properly in r19250.

  [ Mario Limonciello ]
  * debian/mythtv-database.postinst:
    - Don't reset the backend IPs unless you
      are loading a database
    - Pre-set mythbuntu theme.  If mythbuntu theme isn't
      around, G.A.N.T. gets loaded instead, so no expected
      regresssions.
  * debian/mythtv-database.config:
    - Try to get answer from mysql-server config if possible
      this avoids asking admin pass question twice.
    - Check if mysql binary is around before repeatedly
      asking questions.
   - Check if localhost that mysqld is running.  If it's
      not, then don't keep asking questions.
    - Pass on failed answer to postinst (don't reset)
  * debian/mythtv-common.config:
    - Display the password that is set, not just "value set"
  * debian/mythtv-common.postinst:
    - Only create a user if it doesn't already exist. (LP: #280974)
  * debian/rules:
    - Unset executable permissions on .sh and .d files in clean
      section. (LP: #311573)
    - Don't restart mythtv-backend on upgrade of packages.
      Unexpected behavior might happen depending on what other packages
      are installed at that time and what will still be installed.
      The common use case for a problem here is dist-upgrades.
      (LP: #298914)
  * Store .sh and .d files as non executable in bzr to better reflect
    flat packaging as seen in the archive.
  * debian/patches/24_fix_h264_frame_counting.dpatch:
    - Remove .orig file from the patch as it's unnecessary (LP: #311549)
  * debian/mythtv-backend.postinst:
    - If we are mounted on NFS, changing permissions will fail.  Don't
      fail the postinst in this case. (LP: #299352)

  [ TJ ]
  * debian/rules:
    - Cleanup files that upstream is forgetting to clean between builds.
      (LP: #311552)

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 02 Jan 2009 14:28:58 -0600

mythtv (0.21.0+fixes19136-0ubuntu2) jaunty; urgency=low

  * Add 30_2.6.28_support.dpatch.  Fixes FTBFS when
    working building against 2.6.28.
  * debian/control:
    - Drop references to ubuntu-mythtv-frontend
    - Reorder build dep on lame so that apt-get build-dep
      resolves correctly.
  * Drop these files as they were only used by
    ubuntu-mythtv-frontend:
    - debian/background.xpm
    - debian/dmrc
    - debian/gdm.conf
    - debian/mplayer-config
    - debian/mythbuntu-gdm.conf
    - debian/mythtv-xsession.desktop
    - debian/openbox-menu.xml
    - debian/startmythtv.sh
    - debian/ubuntu-mythtv-frontend.postinst
    - debian/ubuntu-mythtv-frontend.prerm
  * debian/rules:
    - Drop references to ubuntu-mythtv-frontend
    - Install all sql files rather than a specific one
    - Don't install dirs here.  Do that in specific files
  * debian/session-settings:
    - Drop some references to ubuntu-mythtv-frontend
  * debian/mythtv_0.20.1.sql:
    - Drop, we're at 0.21 now!
  * debian/mythsql:
    - Drop old unused script.
  * debian/mythtv-backend.NEWS:
    - Drop quite old NEWS file.  We're not updating it anyway.
  * debian/debian/README.Debian:
    - Drop.  The comments in here are pretty old and dated.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 14 Dec 2008 00:32:34 -0600

mythtv (0.21.0+fixes19136-0ubuntu1) jaunty; urgency=low

  [ Thomas Mashos ]
  * Updated posters dir to /var/lib/mythtv/posters

  [ Michael Haas ]
  * New upstream snapshot.
  * Added size restriction to frontend and backend logs (10M)
    - (LP: #250776)
  * debian/patches:
    - Add 29_mythwelcome_fix.dpatch to prevent MythWelcome from quitting
      spuriously (backports revision 18671 from trunk)

  [ Dustin Kirkland ]
  * debian/mythtv-database.config: test the validity of the input mysql
    passphrase, up to 5 times (LP: #243504)

  [ Mario Limonciello ]
  * debian/mythtv-database.postinst:
    - Clean up old code calls
    - Adjust for changes to .config
    - Make sure to clear root password
  * debian/mythtv-common.config:
    - Read mysql.txt before starting
  * debian/mythtv-common.postinst:
    - Clean up old file checks that are unnecessary.

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 13 Dec 2008 18:39:01 -0600

mythtv (0.21.0+fixes18722-0ubuntu1) intrepid; urgency=low

  * Sync against release-0-21-fixes branch. Fixes:
    - (LP: #260429)
  * Update 24_fix_h264_frame_counting.dpatch to incorporate changeset
    18542 from trunk <http://svn.mythtv.org/trac/changeset/18542>
  * debian/patches/:
    - drop 27_disable_deinterlacing_in_guide.dpatch because it's been
      committed upstream
    - add 28_fix_v4l.dpatch (LP: #259321)
  * Add debian/mythtv-frontend.dirs back in (LP: #280792)
  * Add kdesudo to list of graphical sudo providers in
    debian/dialog_functions.sh to account for KDE 4 in Intrepid (LP: #274602)

 -- Michael Haas <laga@laga.ath.cx>  Wed, 15 Oct 2008 23:56:53 +0200

mythtv (0.21.0+fixes18379-0ubuntu1) intrepid; urgency=low

  * Sync against release-0-21-fixes branch:
    - Fix inconsistent text in theme xml file (LP: #242000)
  * Correct arguments for mythfrontend launching. (LP: #212604)
  * Backport fix for slow guide (LP: #229949)
  * debian/patches:
    - 26_h264_ffmpeg_merge.dpatch: drop patch as it's been committed upstream

 -- Michael Haas <laga@laga.ath.cx>  Wed, 24 Sep 2008 00:57:01 +0200

mythtv (0.21.0+fixes18207-0ubuntu6) intrepid; urgency=low

  * debian/mythtv-backend.init: Add the 'status' action (LP: #251325).

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 03 Sep 2008 10:16:21 -0500

mythtv (0.21.0+fixes18207-0ubuntu5) intrepid; urgency=low

  [ Michael Haas ]
  * Fix init script (LP: #263127)

  [ Mario Limonciello
  * Don't crash on init script installation. (LP: #261866)

 -- Michael Haas <laga@laga.ath.cx>  Mon, 01 Sep 2008 21:04:13 +0200

mythtv (0.21.0+fixes18207-0ubuntu4) intrepid; urgency=low

  * Update 25_skiploop_option w/ upstream requested changes.
  * debian/control:
    - Modify previous change by a nonmaintainer to re-include adept-notifier 
      as an option.  Dropping it breaks hardy builds, and this package is
      very often backported.
    - Add Vcs-Bzr fields to deter further uploads without commiting back
      to the branch.
    - Add homepage field.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 28 Aug 2008 15:59:11 -0500

mythtv (0.21.0+fixes18207-0ubuntu3) intrepid; urgency=low

  * Recommends update-notifier-kde instead of adept-notifier

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 28 Aug 2008 15:08:03 +0200

mythtv (0.21.0+fixes18207-0ubuntu2) intrepid; urgency=low

  * debian/control:
    - Build depend on liblame-dev | libmp3lame-dev instead
      since liblame-dev is gone for intrepid.

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 27 Aug 2008 17:29:49 -0500

mythtv (0.21.0+fixes18207-0ubuntu1) intrepid; urgency=low

  * New checkout of release-0-21-fixes branch.
  * debian/patches:
    - drop 17_pvr_350_tvout_fix.dpatch, 07_glx-procaddressARB-configure.dpatch
      and 15_hue_fix.dpatch because these changes have been committed
      upstream
    - add 24_fix_h264_frame_counting.dpatch,
      25_skiploop_option.dpatch and 26_h264_ffmpeg_merge.dpatch.

 -- Michael Haas <laga@laga.ath.cx>  Wed, 27 Aug 2008 23:16:52 +0200

mythtv (0.21.0+fixes17416-0ubuntu2) intrepid; urgency=low

  * Build depend on xserver-xorg-video-openchrome or old libchrome*
    packages (to not break building on earlier releases, but still allow
    building on intrepid) (LP: #256540)
  * Start mythfrontend.real from mythfrontend rather than another script
    instance. (LP: #241015)

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 16 Jul 2008 01:22:49 -0500

mythtv (0.21.0+fixes17416-0ubuntu1) intrepid; urgency=low

  * New checkout of release-0-21-fixes branch.
  * debian/mythfrontend.sh:
    - check for /etc/mythtv/session-settings when sourcing it. (LP: #220681)
  * debian/mythtv-backend.postinst:
    - check for directories before overriding (LP: #223988)
  * drop debian/mythtv-database.postrm
    - Wasn't doing anything productive but causing crashes. (LP: #213200)
  * debian/control:
    - Adjust dependencies to only build depend on chrome for i386 and 
      amd64.  This should fix all other archs. (LP: #211125)
  * add debian/patches/17_pvr350_tvout_fix:
    - Fixes PVR-350 tv output's EPG.  (LP: #236498)
      Thanks bal_zac for tracking this down.
  * update debian/patches/07_glx-procaddressARB-configure
    - Certain parts are absorbed upstream.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 01 Jun 2008 17:04:11 -0500

mythtv (0.21.0+fixes16838-0ubuntu3) hardy; urgency=low

  [ Michael Haas ]
  * mythtv-common: add myth-reboot.sh, myth-halt.sh, myth-suspend.sh and
    myth-hibernate.sh into /usr/share/mythtv/. These scripts use HAL to shutdown/reboot/etc
  * Add 16_hal_shutdown.dpatch to adjust some defaults in mythtv to use the
    new scripts. (LP: #148281)

  [ Mario Limonciello ]
  * Don't spawn gnome-screensaver in ubuntu-mythtv-frontend.
    It doesn't work.  ubuntu-mythtv-frontend is going away in Intrepid
    but not this late in the game here.  (LP: #216431)
  * Don't depend on a screensaver for u-m-f, since it's broke.
  * Prevent warnings on first boot about updating the mythconverg DB, by providing
    the updated mythconverg db.

 -- Michael Haas <laga@laga.ath.cx>  Fri, 11 Apr 2008 20:54:14 +0200

mythtv (0.21.0+fixes16838-0ubuntu2) hardy; urgency=low

  * Update 11_add_myth_prime's internal primer
    for fixes on SA cable boxes.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 10 Apr 2008 22:49:01 -0500

mythtv (0.21.0+fixes16838-0ubuntu1) hardy; urgency=low

  [ Michael Haas ]
  * Don't build depend against liba52.
  * New upstream checkout: switch to release-0-21-fixes branch
    - SECURITY FIX:
      + CVE 2007-6036
  * Remove the following patches as they're included now:
    - 12_changeset_16483.dpatch
    - 13_changeset_16577.dpatch
  * Add 14_fix_video_fallback.dpatch so we don't fall back to the opengl
    video renderer if xvmc-blit is not available (LP: #205158)
  * Add 15_hue_fix.dpatch (see <http://svn.mythtv.org/trac/ticket/5039>)

  [ Mario Limonciello ]
  * debian/control:
    - Add xterm to mythtv-backend depends (LP: #202708)

  [ majoridiot ]
  * Update debian/patches/11_add_mythprime:
    - Automatically detect both P2P and broadcast connections
      and prime them now without needing to specify node and device.

 -- Michael Haas <laga@laga.ath.cx>  Fri, 28 Mar 2008 23:47:20 +0100

mythtv (0.21.0-0ubuntu3) hardy; urgency=low

  [ Mario Limonciello ]
  * Add libchromexvmc1 and libchromexvmcpro1 to build depends to allow
    VIA XvMC support. (LP: #200633)
  * Build without faad runtime library loading.  (LP: #202590, #201572)
  * Add 12_firewire_tester.dpatch:
    - Creates directory structure for building with firewire tester.
  * Add 13_changeset_16577.dpatch:
    - Fixes UPnP breakage on PS3.
  * debian/rules:
    - Create symlinks for firewire tester out of contrib (LP: #201876)
  * Fribidi needs version 0.19.x, but only 0.10.9 is in apt right now.
    Disable it from debian/rules until newer version available.

  [ Michael Haas ]
  * Add 07_glx-procaddressARB-configure to fix problem where glXGetProcAddress 
    can't be found in some OpenGL libs. (LP: #201567)
  * Remove liba52-0.7.4-dev from build dependencies
  * debian/rules:
    - Add call to the glx-procaddressARB patch new argument.
    - Do not build with unadvertised liba52 support (LP: #203692)

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 12 Mar 2008 03:37:46 -0500

mythtv (0.21.0-0ubuntu2) hardy; urgency=low

  * Add 12_changeset_16483.dpatch:
    - Fixes DVD menu handling problem found shortly after release.
      See MythTV #4897 and #4567 for more information.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 09 Mar 2008 20:20:48 -0500

mythtv (0.21.0-0ubuntu1) hardy; urgency=low

  * New upstream version. (LP: #192486)
  * Include etc/network/if-up.d/mythtv-backend.if-up.d.  This makes sure
    that if the network is to come up late, myth starts late. (LP: #187348)
  * Start mysql from mythtv-database postinst if we can.
  * Start mythtv-setup with taskset -c 0 (Thanks Daniel Kristjansson)
  * Only --tune to i686 again due to upstream changes in the configure
    script.  This time add MMX though. (LP: #198104) (LP: #198115)

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 08 Mar 2008 01:31:06 -0600

mythtv (0.21.0~fixes16338-0ubuntu3) hardy; urgency=low

  * Install var/log/mythtv into mythtv-frontend package
    to prevent alternate install CDs from failing in the order
    packages get installed. (LP: #198314)

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 04 Mar 2008 01:47:57 -0600

mythtv (0.21.0~fixes16338-0ubuntu2) hardy; urgency=low

  * Add chmod to mythtv-frontend.postinst.

 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 03 Mar 2008 06:37:04 -0600

mythtv (0.21.0~fixes16338-0ubuntu1) hardy; urgency=low

  * New upstream checkout.
  * debian/mythtv-frontend.dirs:
    - Add var/log/mythtv (LP: #185646)
  * debian/patches/10_mythfilldatabase_log:
    - Should allow mythfilldatabase to really log (LP: #196553)
  * debian/patches/11_add_myth_prime:
    - Adds mythprime binary for firewire priming.
  * debian/rules:
    - Turn on fribidi formatting (LP: #195780)
    - Drop XvMC-OpenGL. (LP: #195780)
  * debian/mythtv-backend.files:
    - Install mythprime binary
  * Add 41-mythtv-permissions.rules to override permissions on
    raw1394 devices to folks in the mythtv group. (LP: #197202)
  * Add firewire priming support to mythtv-backend init script.

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 01 Mar 2008 01:54:49 -0600

mythtv (0.21.0~fixes16259-0ubuntu1) hardy; urgency=low

  * New upstream checkout.
  * debian/control:
    - Add libfftw3-dev to build depends for FFT support.
    - Add conflicts/replaces for mythappearance. (LP: #195421)
  * debian/rules:
    - Replace with pentium3 tuning to attempt to get more MMX
      optimizations.
      Should (hopefully) fix (LP: #195306).
    - Add libfftw3 support (undocumented in configure)

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 20 Feb 2008 02:16:46 -0600

mythtv (0.21.0~fixes16174-0ubuntu1) hardy; urgency=low

  * New upstream checkout.
    - Drop 07_alsa_default as it has been absorbed upstream (rev 15995)
  * Depend on libfaad2-dev | libfaad-dev so as to make building
    on gutsy still possible
  * Clean up 09_perl_bindings for changes upstream.

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 16 Feb 2008 17:14:23 -0600

mythtv (0.21.0~fixes15967-0ubuntu2) hardy; urgency=low

  * Replace --tune=i686 and --cpu=i686 as it was a performance loss
    to tune to generic. (LP: #191165)
  * Build with unadvertised faad support.
  * Build with unadvertised faac support.
  * Build with unadvertised libmp3lame support.
  * Build with unadvertised liba52 support.
  * Build with unadvertised libx264 support.
  * Build with unadvertised libxvid support.

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 16 Feb 2008 02:07:39 -0600

mythtv (0.21.0~fixes15967-0ubuntu1) hardy; urgency=low

  * New upstream checkout.
    - Upstream has entered feature freeze and this is built
      against the 0.21-fixes branch now.
  * Update 07_alsa_default due to upstream changes again.
  * debian/control:
    - Add new python bindings package, libmyth-python.
    - Promote all mysql-server depends to pre-depends.
  * debian/rules:
    - Add python-support to build depends
    - Add libnet-upnp-perl to libmyth-perl depends.
  * Drop mythtv-common and mythtv-database experimental
    warnings.
  * debian/startmythtv.sh:
    - Launch via xterm to guarantee order that things happen.
  * Update pre-filled SQL file that is shipped to be 0.21.0 based

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 12 Feb 2008 20:13:15 -0600

mythtv (0.20.99+trunk15849-0ubuntu2) hardy; urgency=low

  * Update 07_alsa_default which was causing FTBFS
    due to changes with ALSA handling upstream.
  * Update 08_default_directory which was causing
    FTBFS since storage groups got moved.

 -- Mario Limonciello <superm1@ubuntu.com>  Fri, 08 Feb 2008 13:54:31 -0600

mythtv (0.20.99+trunk15849-0ubuntu1) hardy; urgency=low

  * New upstream checkout.
    - Fixes FTBFS on powerpc.
  * Drop 14_newlibraries since upstream does this now.
  * debian/rules:
    - Build with ffmpeg pthread support.
  * debian/control:
    - Depend on ttf-liberation | msttcorefonts since ttf-liberation
      provides fonts with the correct metrics.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 03 Feb 2008 23:10:21 -0600

mythtv (0.20.99+trunk15689-0ubuntu3) hardy; urgency=low

  * debian/control:
    - Change soname of library package to libmyth-0.21-0
  * Update 09_perl_bindings_prefix, debian/libmyth-perl.files
    - Make libmyth-perl install into /usr/share/perl5 

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 02 Feb 2008 14:22:00 -0600

mythtv (0.20.99+trunk15689-0ubuntu2) hardy; urgency=low

  * debian/control:
    - Make libmyth-perl arch all rather than any
  * Drop 11_idle_countdown_reset-fix and 13_interlaced_refresh_rate.

 -- Mario Limonciello <superm1@ubuntu.com>  Fri, 01 Feb 2008 03:05:05 -0600

mythtv (0.20.99+trunk15689-0ubuntu1) hardy; urgency=low

  " it's about time we switched "

  [ Mario Limonciello ]
  * Switch to trunk in preparation of upcoming 0.21 release.
    - Feature freeze is Feb 14, all changes between this and the 0.21
      release will be bug fixes, but not necessarily tracked on LP.
  * Merge with ubuntu-mythtv's trunk bzr branch.
    - Drop perl items from mythtv-common package.
    - Update debian/rules get-orig-source target to base from -fixes.
    - Drop 01_debian, 06_gnome_screensaver, 10_alpha-build-fix, 20_backend_crash
      21_openmedia_mheg5, 22_openmedia_livetv, 26_edit_display, 27_pulseaudio,
      29_perl_bindings, 31_pvr350_ivtv, 33_israeli_freq, 34_utf8_fixes,
      35_upnp_length patches.
  * Update standards version to 3.7.3, no source changes.
  * debian/rules:
    - Don't optimize to a particular cpu as that's deprecated in new gcc.
      Default configure behavior now tunes to generic and arch's to i686.
  * Add 14_set_newlibraries to force sonames to 0.21 until upstream changes this
    with their impending freeze.
  * debian/control:
    - Adjust packages to 0.21 soname.
  * Move libmyth-0.20.files to libmyth-0.21.files.
  * Adjust lintian override for 0.21 soname

  [ Michael Haas ]
  * Until builds are actually at 0.21, include warnings via preinstall
    files about the stability.
  * Add perl bindings to libmyth-perl package.
  * Drop old debian default directory patch in favor of a storage
    groups patch, 08_default_direcotry
  * Add 11_perl_bindings_prefix patch that doesn't work off /usr/local.
  * Add local patches from tickey 3597 in 11_idle_countdown_reset-fix,
    13_interlaced_fresh_rate.
  * debian/rules:
    - Build with xvmc/opengl and opengl/video
    - Install examples to proper location
  * Update default session-settings to give a better warning.
  * debian/control:
    - Update for dropped mythdvd package
    - Add libmyth-perl package.

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 30 Jan 2008 11:24:34 -0600

mythtv (0.20.2+fixes15513-0ubuntu4) hardy; urgency=low

  * Rebuild against newer kdelibs to resolve stat64 symbol
    problems. (LP: #185033, 185108)

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 23 Jan 2008 01:06:21 -0600

mythtv (0.20.2+fixes15513-0ubuntu3) hardy; urgency=low

  * New upstream checkout (minor fixes).
  * mythtv-backend.int:
    - Bump the default starting runlevel to 50.
  * Add UTF-8 support for UPnP server. (LP: #156689)
  * Add fixes for 0 length recordings. (LP: #156691)
  * mythtv-setup.sh:
    - Fill database *after* starting backend.
  * debian/control:
    - Change ntp requirements from suggests to recommends.
    - Make mythtv-database a suggest rather than recommend.
    - Drop gdm from depends on ubuntu-mythtv-frontend.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 18 Dec 2007 03:25:37 -0600

mythtv (0.20.2+fixes15096-0ubuntu2) hardy; urgency=low

  [ Mario Limonciello ]
  * mythtv-backend.init:
    - Require networking and remote file systems to be started before
      running. (LP: #149268)
    - Find the home directory of our USER and then create a symbolic
      link in that user's home directory for mysql.txt.
    - Add LSB support.

  [ Paul McEnery ]
  * More resilient init script PID handling (LP: #118538)

 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 17 Dec 2007 00:15:52 -0600

mythtv (0.20.2+fixes15096-0ubuntu1) hardy; urgency=low

  * New upstream checkout. (LP: #172291)
  * Drop 32_gcc_4.2_changes.  No longer necessary.
  * debian/rules:
    - Disable symbol visibility again.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 09 Dec 2007 15:40:01 -0600

mythtv (0.20.2+fixes14789-0ubuntu2) hardy; urgency=low

  * Add 32_gcc_4.2_changes to prevent FTBFS when using
    gcc 4.2 in hardy.
  * Update 31_pvr350_ivtv to remove old ivtv ".orig" file.
  * debian/rules:
    - Explicitly turn on symbol visibility
  * Add 33_israeli_frequencies to include israeli frequencies.

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 14 Nov 2007 19:45:11 -0600

mythtv (0.20.2+fixes14789-0ubuntu1) hardy; urgency=low

  * New upstream checkout (svn changeset 14789)
    - Drop 23_schedulesdirect.dpatch (included upstream).
    - Drop 24_mythstream_typo.dpatch (included upstream).
    - Drop 25_firewire.dpatch (included upstream).
    - Drop 28_profilebuild.dpatch (included upstream).
    - Drop 30_xinerama_fix.dpatch (included upstream).
  * Create a symbolic link to /etc/mythtv/mysql.txt in ~/.mythtv/
    if you don't already have a mysql.txt.
  * debian/control: depend on gnome-screensaver | xscreensaver rather
    than just gnome-screensaver.
  * Update 06_gnomescreensaver.dpatch with changeset 10090, 14023,
    and 14755 from trunk. (LP: #147905)
  * debian/control:
    - Move all references of mythtv-doc to suggests
    - Remove mysql-server from recommends
    - Move reference of xmltv-util to suggests
  * Add 31_pvr350_ivtv.dpatch to fix pvr-350 ivtv output. (LP: #158562)

 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 29 Oct 2007 16:56:16 -0400

mythtv (0.20.2-0ubuntu10) gutsy; urgency=low

  [ Michael Haas ]
  * Move logging support.  It's now setup to log for any
    methods other than a terminal launch. (LP: #130925)

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 11 Oct 2007 09:02:36 -0500

mythtv (0.20.2-0ubuntu9) gutsy; urgency=low

  [ Mario Limonciello ]
  * Change compile type to profile per upstream recommendations.
  * Include 28_patch_build.dpatch from upstream # 14587 to improve
    profile builds.
  * Import debconf translations from rosetta.
  * Build with perl bindings.  For now include them in mythtv-common,
    but later they will be included in their own binary package.
    - Add 29_perl_bindings.dpatch to update settings.pro
    - Add to mythtv-common package in debian/control
    - Remove pack list from debian/rules
    - Add dh_perl  to debian/rules
    - Build --with-bindings=perl in debian/rules

  [ Michael Haas ]
  * Add 30_xinerama_fix.dpatch from upstream trunk rev 14520 (LP: #136533)


 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 01 Oct 2007 18:47:06 -0500

mythtv (0.20.2-0ubuntu8) gutsy; urgency=low

  [ Mario Limonciello ]
  * debian/startmythtv.sh:
    - Switch ~ to $HOME
    - Only run mtd if not running.
  * debian/control:
    - Refresh dependencies for ubuntu-mythtv-frontend
      to gutsy appropriate package names.
  * debian/ubuntu-mythtv-frontend.postinst:
    - Take ownership of ~/.mythtv if necessary. (LP: #145714)

  [ Michael Haas ]
  * debian/startmythtv.sh:
    - Correct minor typo in ${MYTHWELCOME}. (LP: #144541)

  [ Jo Shields ]
  * Start mythtv-setup in a terminal. (LP: #147701)

  [ Brian J. Murrell ]
  * Clarify text in mythtv-database.postinst (LP: #146328)

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 27 Sep 2007 02:00:01 -0500

mythtv (0.20.2-0ubuntu7) gutsy; urgency=low

  [ Mario Limonciello ]
  * debian/control:
    - Mark a 'replaces' for mythtv-backend-0.20.2-0ubuntu1 (LP: #140841)
    - Make all instances of ntp, ntp | time-daemon (LP: #144268)
  * Add debian/patches/26_edit_display.dpatch (LP: #139821)
  * Add debian/patches/27_pulseaudio.dpatch (LP: #138810)

  [ Joel Ebel ]
  * debian/startmythtv.sh:
    - Add support to start mtd -d
    - Add support to check for not executing irexec -d

  [ Michael Haas ]
  * debian/startmythtv.sh:
    - Create a frontend and welcome log file in /var/lib/mythtv.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 23 Sep 2007 19:34:56 -0500

mythtv (0.20.2-0ubuntu6) gutsy; urgency=low

  * Add X-AppInstall-Package= to both .desktop files to ensure that
    they install the 'mythtv' metapackage rather than mythtv-backend
    or mythtv-frontend when selected in Add/Remove programs.

 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 10 Sep 2007 00:23:26 -0500

mythtv (0.20.2-0ubuntu5) gutsy; urgency=low

  * Update 23_schedulesdirect.dpatch:
    - Include [14430] & [14427] to drop TMS all together.
  * Add 25_firewire.dpatch:
    - Backports firewire fixes to prevent the need for currently
      necessary workarounds.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 06 Sep 2007 12:06:33 -0500

mythtv (0.20.2-0ubuntu4) gutsy; urgency=low

  * debian/control:
    - Make update-notifier | adept-notifier recommends so
      gnome/kde users benefit without harming non users. (LP: #135431)
  * debian/mythtv-database.postinst:
    - Check for $unud and only copy if it exists.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 04 Sep 2007 22:17:13 -0500

mythtv (0.20.2-0ubuntu3) gutsy; urgency=low

  * Add 24_mythstream_typo.dpatch:
    - Fixes mythstream load errors. (LP: #136483)
  * debian/control:
    - Depend on update-notifier | adept-notifier to not pull in
      unnecessary dependencies for kubuntu users.  (LP: #135431)
    - Depend on usplash-theme-ubuntu | usplash to make backporting to
      Dapper easier.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 02 Sep 2007 04:52:33 -0500

mythtv (0.20.2-0ubuntu2) gutsy; urgency=low

  * Add 23_schedulesdirect.dpatch:
    - Cherry pick [14307] [14324] [14348] to fix a few items
      found related to schedules direct after 0.20.2 release.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 28 Aug 2007 16:16:24 -0500

mythtv (0.20.2-0ubuntu1) gutsy; urgency=low

  [ Mario Limonciello ]
  * New Upstream Checkout:
    - Tagged release to 0.20.2.
    - Removes deprecated datadirect support in favor of Schedules
      Direct for North American users.
    - Cleans up UPNP support.
    - Checks for DTS libraries properly
  * debian/control:
    - Adjust Suggests for mythtv-frontend.
    - Adjust recommends for ubuntu-mythtv-frontend
  * debian/rules:
    - Add support to show svn version number in mythfrontend --version.
    - Add support for tagged releases that don't need +fixes appended.
  * Cleanup source.lintian-overrides for additional warnings.
  * Drop unnecessary libdts patch as dts has changed upstream to
    detect when dts_pic is necessary.
  * Use proper files for upnp support from backported -fixes on
    mythtv-backend.
  * Change section to multiverse/graphics so this can build on PPAs.

  [ Nick Hemsley ]
  * Add support to check for ~/.mythtv/session upon startup for
    ubuntu-mythtv-frontend meta. (LP: #134028)

 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 20 Aug 2007 16:40:59 -0500

mythtv (0.20.1+fixes14194-0.0ubuntu1) gutsy; urgency=low

  * New upstream checkout:
    - Includes support for mythstream in the menu system.
  * Change background color to black in gdm configurations.
  * debian/control:
    - Move ntp | ntp-simple into metas only.
    - Make ntp | ntp-simple Suggests on mythtv-frontend or mythtv-backend.
  * debian/mythfrontend.sh:
    - Make sure that exec mythfrontend to start
  * Remove 20_backend_crash_without_tuner.dpatch.  It's included
    in the current 0.20-fixes branch.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue,  14 Aug 2007 09:54:21 -0500

mythtv (0.20.1+fixes13837-0.0ubuntu2) gutsy; urgency=low

  * debian/control:
    - Update to ${source:version}. (LP: #125685)
  * Add additional function to ubuntu-mythtv-frontend's prerm.
  * Source xmodmap configuration if the user has it.

 -- Mario Limonciello <superm1@ubuntu.com>  Mon,  9 Jul 2007 20:37:52 -0500

mythtv (0.20.1+fixes13837-0.0ubuntu1) gutsy; urgency=low

  * New svn fixes co, 13837.
  * Correct minor typo in debian/control.
  * Add the rest of mythbuntu-gdm.conf
  * Myth mythtv-transcode-utils conflict older backends.
  * Modify README.debian to clarify a contrib script.
  * Prefill the database with populated information.
    No longer is it "necessary" to run mythtv-setup before
    starting mythfrontend.
  * Provide debconf questions that can be used to change
    bind settings for MySQL and MythTV.

 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 25 Jun 2007 10:04:06 -0500

mythtv (0.20.1+fixes13737-0.0ubuntu1) gutsy; urgency=low

  * Update to new SVN Fixes co, 13737.
  * Adapt new package naming structure.
  * Add 21_openmedia_mheg5.dpatch importing many MHEG5
    fixes from trunk. (LP: 119984).
  * Add 22_openmedia_livetv.dpatch importing many Livetv
    fixes from trunk. (LP: 119884).
  * debian/rules:
    - Add support to grab the latest .orig.tar.gz.
    - Add debconf-updatepo to the clean: target.
  * Clean up all fields mismarked as translatable (LP: 118952)
  * Add source.lintian-overrides to handle a few warnings
    about binary NMU's.
  * Add a mythbuntu gdm.conf that will use the mythbuntu-gdm-theme
    if available at package installation.
  * Update debian/ubuntu-mythtv-frontend.postinst to use the appropriate
    gdm theme.
  * Add mythbuntu-gdm-theme | feisty-gdm-themes to debian/control.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 17 Jun 2007 11:53:58 -0500

mythtv (0.20-svn20070523-0.0ubuntu1) gutsy; urgency=low

  [ Mario Limonciello ]
  * Merge with debian multimedia:
    o New SVN release. (last change is 13496)
    o Rename libmyth0.20-dev to libmyth-dev .
  * Remaining changes:
    o Drop 21_changeset12782_hd_homerun as its included in 13496.
    o Make ubuntu-mythtv-frontend depend on mythbuntu-artwork-usplash
      rather than the ubuntu artwork if available.
    o Create mythtv-transcode-utils (LP: #92703)
    o FE & BE depend on either fake-msttcorefonts or msttcorefonts. (LP: #110068)
    o Bump debian/compat to 5.
    o Add an option to /etc/mythtv/session-settings for controlling
      if mythwelcome is used or mythfrontend.
    o Add "ntp |" to all ntp-simple depends. (LP: 118705)
    o Add update-notifier to mythtv-database depends (LP: # 109950)

  [ Nick Fox ]
  * Add gnome-power-manager to startmythtv.sh script if installed
    to properly control DPMS.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 05 June 2007 12:26:31 -0500

mythtv (0.20-svn20070122-0.0ubuntu6) feisty; urgency=low

  [ Mario Limonciello ]
  * debian/mythtv-database.postinst:
    - Move "exit 0" after notifier install. (LP: #105948)
  * debian/mythtv-reconfigure-required.update-notifier:
    - Update text to more closely reflect packaging changes.
  * debian/startmythtv.sh:
    - Add checks to see if backend has been ran yet. (LP: #96737)
  * debian/mythtv-setup.sh:
    - Start/Stop mythbackend & offer to fill database for user.
  * Add mythtv-setup.desktop. (LP: #106002)

  [ Tom Metro ]
  * Fix minor typo in init mythtv-backend.init. (LP: #106012)

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 12 Apr 2007 14:17:14 -0500

mythtv (0.20-svn20070122-0.0ubuntu5) feisty; urgency=low

  * debian/mythtv-database.config:
    - Change priority of questions.  User will only get questions
      when reconfiguring the package. (LP: #99916)
  * debian/mythtv-common.templates & mythtv-common.postinst
    - Tell the user about their MySQL password. (LP: #96739)
  * debian/ubuntu-mythtv-frontend.postinst & mplayer-config
    - Add mplayer config to make sure screensaver off. (LP: #103191)
  * Add 07_alsa_default.dpatch to make ALSA default. (LP: #93341)
  * debian/mythtv-backend.init:
    - unset DISPLAY & SESSION_MANAGER to prevent ominous QT
      authentication warnings. (LP: #55827)
  * Clarify text of debian/dialog_functions.sh.
  * Add 21_changeset12782_hd_homerun.dpatch (LP: #104965)

 -- Mario Limonciello <superm1@ubuntu.com>  Tue,  10 Apr 2007 03:50:16 -0500

mythtv (0.20-svn20070122-0.0ubuntu4) feisty; urgency=low

  * debian/control:
    - msttcorefonts to mythtv-frontend and mythtv-backend.
      Appears several themes DO use it. (LP: #93986, #96734, #96768)
  * Update templates for correct wording about mythtv
    users/groups (LP: #96739)

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 24 Mar 2007 19:30:53 -0500

mythtv (0.20-svn20070122-0.0ubuntu3) feisty; urgency=low

  [ Mario Limonciello ]
  * Add new wrapper script for mythfrontend and mythtv-setup
    to guarantee user is in the mythtv group. (LP: #93476).
  * debian/control: Add zenity | kdebase-bin, gksu | kdebase-bin
    for wrapper scripts to mythtv-backend and mythtv-frontend.
  * debian/rules: Install wrapper scripts functions.
  * debian/control: Add XSBC-Original-Maintainer field.
  * debian/control: Drop msttcorefonts requirement
  * debian/control: Add mythtv user to dialout group (LP: #95074).

  [ Kees Cook ]
  * debian/patches/20_backend_crash_without_tuner.dpatch: stop backend
    crashes when missing tuner info (LP: #93250).

 -- Kees Cook <kees@ubuntu.com>  Fri, 23 Mar 2007 22:59:29 -0700

mythtv (0.20-svn20070122-0.0ubuntu2) feisty; urgency=low

  * debian/control: Trim down metapackages.
  * debian/rules: adjusted config file locations.
  * debian/*myth*.{pre,post}{inst,rm}: moved gdm link, built symlinks to
    startup configs.  Fixed insecure temp file.
  * debian/patches/01_debian_patch: Use /var/lib/mythtv/recordings,
    drop mythtv cron.
  * Removed debian/mythtv-backend.cron.daily; the database fill must
    happen from backend scheduler to take advantage of next-run hints.

 -- Kees Cook <kees@ubuntu.com>  Mon, 19 Feb 2007 08:49:46 -0800

mythtv (0.20-svn20070122-0.0ubuntu1) feisty; urgency=low

  * Merge with debian multimedia:
    o New svn release (12617).
    o Install desktop file in the right package.
  * Remaining Changes:
    o Update debian/rules to more closely match debian multimedia.

 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 22 Jan 2007 08:59:52 -0600

mythtv (0.20-svn20061209-0.3ubuntu1) feisty; urgency=low

  * Merge with debian multimedia:
    o To re-enable dvb support in some archs (amd64, powerpc) :
       - Build-depends on linux-kernel-headers instead of linux-headers-2.6
       - and don't set --dvb-path (not necessary).
    o Call su with - in cron.daily for mythtv-backend package.
    o Update --dvb-path option to use linux-headers-`uname -r` path.
    o Build-Conflicts: libmyth-0.20-dev, build with --enable-opengl-vsync.
    o Add mythtv user to the cdrom group.
    o Add desktop file for GNOME.
    o Call update-notifier if mysql-server isn't running
    o Source /etc/mythtv/mysql.txt in cron.weekly for mythtv-database.
  * Remaining changes:
    o Add source.lintian-overrides to cover two lintian warnings
      with explanations why they are safe to ignore.
    o Switch to alternative's system for gdm.conf.
    o Install openbox menu.xml only to /home/mythtv instead of /etc/mythtv.
    o Remove openbox from PreDepends.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 28 Dec 2006 15:20:21  -0600

mythtv (0.20-svn20061209-0.1ubuntu1) feisty; urgency=low

  * Merge with debian multimedia:
    o Add all files in the contrib directory to the mythtv-backend package.
    o New svn from 0.20 fixes branch (12227).
    o Source /etc/mythtv/mysql.txt in cron.weekly for the mythtv-database package.
  * Remaining Changes:
    o Add a ubuntu-mythtv-frontend.postinst to set permissions on /home/mythtv
      if it already exists.
    o Add feisty-gdm-themes | edgy-gdm-themes to ubuntu-mythtv-frontend
      depends.
    o Add libgl1-mesa-glx to  ubuntu-mythtv-frontend depends.
    o Make sure gdm.conf-custom and openbox-menu.xml are placed in /etc/mythtv.
      Create symlinks for them in /etc/gdm and /etc/xdg/openbox.
    o Properly set up diversions for /etc/gdm/gdm.conf-custom &
      /etc/xdg/openbox/menu.xml.
    o Add a pre-depends to ubuntu-mythtv-frontend to make sure that
      gdm.conf-custom and menu.xml are generated *before* the diversions.
    o Add ubuntu-mythtv-secondary-backend metapackage for consistency.
    o Add ntp-simple to several metapackages.
    o Change default recordings directory to /media/mythtv/recordings.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 10 Dec 2006 01:36:46 -0600

mythtv (0.20-0.5ubuntu2) feisty; urgency=low

  * Remove unnecessary mythtv-frontend.files.old.
  * Make startmythtv.sh executable on installation.
  * Fix depends on ubuntu-mythtv-secondary-backend-frontend.
  * Update description for ubuntu-mythtv-secondary-backend-frontend.
  * Add .dmrc to set default session for mythtv user in ubuntu-mythtv-frontend.
  * Add feh to dependencies to set a nice background for ubuntu-mythtv-frontend.
  * Provide background.xpm for ubuntu-mythtv-frontend.
  * Provide menu.xml for openbox in ubuntu-mythtv-frontend.
  * Provide gdm.conf-custom in ubuntu-mythtv-frontend.
  * Add ubuntu-mythtv-frontend.preinst and .postrm for menu.xml, gdm.conf-custom diversions.
  * Add mythtv-themes to Recommends for ubuntu-mythtv-frontend.

 -- Mario Limonciello <superm1@ubuntu.com>  Fri,  8 Dec 2006 20:13:36 -0600

mythtv (0.20-0.5ubuntu1) feisty; urgency=low

  * Merge with debian multimedia:
    o Check in cron script if mythfilldatabase is here and executable.
    o Updated 0.20 fixes patch (latest is 11627).
    o Added patch from svn to fix hue when using XV. Mythtv bug 2241.
    o Added support for make -j
    o Make sure that mythtv is stopped before mysql in init script.
    o Added /etc/cron/weekly/mythtv-database to backup mythconverg database.
    o Added mythtv-backend.configfiles to preserve user changes.
    o Move CDS_scpd.xml, CMGR_scpd.xml and upnpavcd.xml into
      mythtv-backend. (Thanks Scott Davilla)
    o Add ccache to build depends.
  * Remaining Changes:
    o Revert the --disable-ccache in debian/rules
    o Be sure that debian/mythtv-database.prerm includes a DEBHELPER tag
    o Remove patch #11365 for mythreplex bug.
      Included in new 0.20-fixes patch from debian multimedia.
    o Update maintainer, "MythTV Ubuntu Maintainers <ubuntu-mythtv@lists.ubuntu.com>"
    o Add mysql-server to 'mythtv' metapackage, so that this package
      can again be used for a quick install on top of a desktop to
      properly get all necessary dependencies.
    o Begin to introduce the idea of "profile metapackages" to be used for
      standalone Ubuntu machines intended soley for mythtv usage.
      - ubuntu-mythtv-master-backend
      - ubuntu-mythtv-frontend
      - ubuntu-mythtv-master-backend-frontend
      - ubuntu-mythtv-secondary-backend-frontend
    o Create GDM xsession to be used in frontend profiles
    o Create openbox startup script to be used in frontend profiles
      - Include support for irexec, nvidia-settings, gnome-screensaver
    o Be sure that "mythtv" is added to the cdrom group.  This will make
      sure that mtd will be able to rip dvds. (Closes: #69651)
    o Rename 05_gnomescreensaver.dpatch to 06_gnomescreensaver.dpatch
      to make room for upstream patch 05_11372.dpatch
    o Update author on 06_gnomescreensaver.dpatch.

 -- Mario Limonciello <superm1@ubuntu.com>  Mon,  04 Dec 2006 02:52:20 -0600

mythtv (0.20-0.2ubuntu3) edgy; urgency=low

  * Silently fail more gracefully during dist-upgrades if mysql-server isn't
    running.  Instead provide a update-notifier notification to the user to
    reconfigure the database.  (Closes Ubuntu: #67696, 41339, 58155, 68400)

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 28 Oct 2006 11:38:27 -0500

mythtv (0.20-0.2ubuntu2) edgy; urgency=low

  * Import changeset #11365 from mythtv SVN to resolve mythreplex bug
    (Closes Ubuntu: #65790)
  * Update maintainer to be MOTU-Media

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 15 Oct 2006 13:18:12 -0500

mythtv (0.20-0.2ubuntu1) edgy; urgency=low

  * Merge with debian multimedia.  Remaining changes:
  * Keep --enable-opengl-vsync enabled
  * Remove mythtv-debug from suggests in debian/control
  * Rename 04_gnomescreensaver.dpatch to 05_gnomescreensaver.dpatch
    to make room for 04_0.20-fixes.dpatch from debian multimedia.
  * Compile with --compile-type=debug to adhere to requirements
    for pkg-create-dbgsym.  All debugging symbols are still stripped,
    but placed in a .ddeb by pkg-create-dbgsym.

 -- Mario Limonciello <superm1@gmail.com>  Thu,  5 Oct 2006 12:47:25 -0500

mythtv (0.20-0.0ubuntu4) edgy; urgency=low

  * Adds a menu file for mythfrontend (Closes Ubuntu: #737).

 -- Mario Limonciello <superm1@gmail.com>  Tue,  3 Oct 2006 12:45:37 -0500

mythtv (0.20-0.0ubuntu3) edgy; urgency=low

  * Fix gnome-screensaver patch to properly disable screensaver
  * Explicitly enable MMX for i386

 -- Mario Limonciello <superm1@gmail.com>  Fri, 29 Sep 2006 01:31:16 -0500

mythtv (0.20-0.0ubuntu2) edgy; urgency=low

  * Added --disable-ccache to debain/rules so it doesnt try to use
    ccache on the buildd's

 -- Brandon Holtsclaw <imbrandon@kubuntu.org>  Thu, 28 Sep 2006 00:22:27 -0500

mythtv (0.20-0.0ubuntu1) edgy; urgency=low

  [ Mario Limonciello ]
  * Syncronize with debian-multimedia
  * Add 04_gnomescreensaver.dpatch to disable gnome-screensaver instead of xscreensaver

 -- Brandon Holtsclaw <imbrandon@kubuntu.org>  Thu, 14 Sep 2006 23:42:09 -0500

mythtv (0.20-0.0) unstable; urgency=low

  * New upstream release
  * Removed sparc patch.
  * Removed --enable-dvb-eit who has been removed.
  * Replace debconf dependency by ${misc:Depends}.
  * mythtv-database should depends on mysql-client instead of mysql-server.

 -- Christian Marillat <marillat@debian.org>  Tue, 12 Sep 2006 08:46:02 +0200

mythtv (0.19-0.10) unstable; urgency=low

  * Add 02_0.19-fixes patch. This patch add all the changes from the
    0.19-fixes svn branch.
  * New patch to fix build on alpha.
  * Delete the mythtv user on purge.

 -- Christian Marillat <marillat@debian.org>  Sat,  1 Jul 2006 15:24:40 +0200

mythtv (0.19-0.9) unstable; urgency=low

  * Really apply the libdts patch.

 -- Christian Marillat <marillat@debian.org>  Wed, 28 Jun 2006 10:55:30 +0200

mythtv (0.19-0.8) unstable; urgency=low

  * The dts patch should be applied for all archs.
  * Build with -fPIC

 -- Christian Marillat <marillat@debian.org>  Tue, 27 Jun 2006 15:01:58 +0200

mythtv (0.19-0.7) unstable; urgency=low

  * Fix typo (a space character) in 01_debian patch. Thanks to Andrew Ruthven.
  * Set QMAKE_PROJECT_DEPTH to 1 in settings.pro

 -- Christian Marillat <marillat@debian.org>  Mon, 12 Jun 2006 15:16:53 +0200

mythtv (0.19-0.6) unstable; urgency=low

  * Oooops, update-rc.d was called with wrong arguments.

 -- Christian Marillat <marillat@debian.org>  Fri, 24 Mar 2006 14:40:58 +0100

mythtv (0.19-0.5) unstable; urgency=low

  * Create /etc/mythtv directories in mythtv-common package.
  * Start the backend more later than the mysql serveur (24 instead of 20).

 -- Christian Marillat <marillat@debian.org>  Wed, 22 Mar 2006 13:58:46 +0100

mythtv (0.19-0.4) unstable; urgency=low

  * Added a patch from svn to fix a problem with mysql 5 (mythtv lose
    "Recording Schedule").

 -- Christian Marillat <marillat@debian.org>  Wed,  8 Mar 2006 10:04:49 +0100

mythtv (0.19-0.3) unstable; urgency=low

  * Doesn't use CFLAGS but instead --extra-cflags for special gcc flags (sparc).
  * Remove the pid file when stop is invoked in the mythbackend init.d
    script so start can work has expected. Thanks to Sebastian Bremicker.
  * debian/control replace libmysqlclient-dev by libmysqlclient12-dev.
  * Fix for ppc from Magnus Ihse Bursie to link against libdts.
  * XvMC is also disabled for ppc.

 -- Christian Marillat <marillat@debian.org>  Sat, 18 Feb 2006 14:46:03 +0100

mythtv (0.19-0.2) unstable; urgency=low

  * libmyth-0.19-dev and mythtv-debug should depends on libmyth-0.19 instead
    of libmyth-0.18.1
  * Build with "--compile-type=debug" for the debug package (Thanks to Brad Fritz).
  * Revert "Move debug libraries in the right place." introduced in 0.18.1-11

 -- Christian Marillat <marillat@debian.org>  Thu, 16 Feb 2006 09:57:35 +0100

mythtv (0.19-0.1) unstable; urgency=low

  * Forgot to add Guido's changes.
  * Add libjack-dev and libdts-dev in Build-Depends.
  * Doesn't build XvMC support for amd64 (doesn't compile).
  * New amd64 patch to fix link problem with libdts.

 -- Christian Marillat <marillat@debian.org>  Wed, 15 Feb 2006 14:40:14 +0100

mythtv (0.19-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 14 Feb 2006 18:52:34 +0100

mythtv (0.18.1-11) unstable; urgency=low

  * Move debug libraries in the right place.

 -- Christian Marillat <marillat@debian.org>  Thu, 26 Jan 2006 11:14:44 +0100

mythtv (0.18.1-10) unstable; urgency=low

  * Doh ! Forget to write the test command in my test.

 -- Christian Marillat <marillat@debian.org>  Wed, 11 Jan 2006 08:57:12 +0100

mythtv (0.18.1-9) unstable; urgency=low

  * Doesn't restart the backend if already running in postinst.
  * Patch from Peter Kahle no not use repeat who is a keyword in mysql 5.0
  * mythtv-database.postinst If hostname is blank set to localhost.

 -- Christian Marillat <marillat@debian.org>  Tue, 10 Jan 2006 16:01:07 +0100

mythtv (0.18.1-8) unstable; urgency=low

  * Changes from Micah F. Galizia
    o Use --tune=i486 instead of pentium4.
    o Enable vld XvMC and XvMC.

 -- Christian Marillat <marillat@debian.org>  Tue,  3 Jan 2006 15:59:56 +0100

mythtv (0.18.1-7) unstable; urgency=low

  * Move patches in the diff to dpatch.
  * gettextize debconf templates files.

 -- Christian Marillat <marillat@debian.org>  Fri, 23 Dec 2005 15:49:52 +0100

mythtv (0.18.1-6) unstable; urgency=low

  * Rebuild after removing the fglrx-driver package.
  * Add a versioned libiec61883-dev in Build-Depends.
  * Add libavc1394-dev in Build-Depends.

 -- Christian Marillat <marillat@debian.org>  Tue, 20 Dec 2005 16:40:07 +0100

mythtv (0.18.1-5) unstable; urgency=low

  * Prefer libmysqlclient15-dev in Build-Depends.
  * Build with --enable-dvb-eit and --enable-dvb

 -- Christian Marillat <marillat@debian.org>  Sat, 17 Dec 2005 16:32:28 +0100

mythtv (0.18.1-4) unstable; urgency=low

  * Prefer libmysqlclient14-dev

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 29 Aug 2005 15:16:34 -0700

mythtv (0.18.1-3) unstable; urgency=low

  * Fix menu entry to refer to mythtv-frontend, rather than mythtv (thanks
    to Paul Andreassen)
  * Disable silly xinit test entirely

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 11 Jun 2005 12:51:58 -0700

mythtv (0.18.1-2) unstable; urgency=low

  * Fix configure test for xinit to work on Debian as well

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 11 Jun 2005 12:07:11 -0700

mythtv (0.18.1-1) unstable; urgency=low

  * New upstream release
  * Changes from Micah Galizia <mfgalizi@csd.uwo.ca>
   - Patch configure to allow xvmc-vld
  * Use gcc-3.4 rather than -3.3 (ABI transition for libmyth-0.18.1)
  * Fix configure xinit test to be compatible with Ubuntu breezy (where
    xinit has moved to /usr/bin)
  * Adjust dependencies on libqt3-mt-mysql to accomodate systems both
    before and after the gcc-4.0 transition
  * Include static libraries in libmyth-0.18.1-dev where available

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 10 Jun 2005 12:53:11 -0700

mythtv (0.18-3) unstable; urgency=low

  * Add /usr/X11R6/include to INCLUDEPATH for libmyth

 -- Matt Zimmerman <mdz@ubuntu.com>  Sun, 29 May 2005 18:57:30 -0700

mythtv (0.18-2) breezy; urgency=low

  * mythtv Recommends: mythtv-themes
  * Build-Depends: libxext-dev
  * Update README.Debian to reflect that running as alternate users
    doesn't quite work anymore (patches welcome)
  * Configure with --cpu=i486 --tune=pentium4 --enable-mmx

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 26 May 2005 14:27:54 -0700

mythtv (0.18-1) breezy; urgency=low

  * New upstream release
    - Use gcc-3.3 explicitly, and build-depend on it, so as to continue to
      build on Breezy (at least libavcodec doesn't compile with 4.0)
    - mythtv-setup is now installed for us, no need to do it in debian/rules
    - Set QMAKE_LIBDIR_X11 in settings.pro
    - Comment out code in configure which disables x11 support based on
      presence of xinit(?!)
  * Explicitly enable lirc, alsa, oss, jack, arts, xvmc, opengl-vsync, dvb,
    firewire, ivtv and joystick-menu
    - Add build-depends: libdvb-dev
  * Build-Depends: libdvb-dev, gcc-3.3

 -- Matt Zimmerman <mdz@ubuntu.com>  Sun,  1 May 2005 21:22:54 -0700

mythtv (0.17-3) hoary; urgency=low

  * Fix bad merge of backendsettings.cpp

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 14 Feb 2005 09:50:35 -0800

mythtv (0.17-2) hoary; urgency=low

  * Fix CXXFLAGS to -O2 -g all around (fixes FTBFS on amd64)

 -- Matt Zimmerman <mdz@ubuntu.com>  Sun, 13 Feb 2005 23:24:53 -0800

mythtv (0.17-1) unstable; urgency=low

  * New upstream release
  * Add build-depends: libxinerama-dev | xlibs-static-dev (<< 6.8.1-1), libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1)
  * Add debian/mysql.txt.dist as template; upstream no longer ships one

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 12 Feb 2005 23:10:39 -0800

mythtv (0.16-2) unstable; urgency=low

  * Drop alternative dependency on libqt3-mt-mysql, since woody isn't
    really supported anymore anyway, and it was causing confusion

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 11 Feb 2005 19:33:06 -0800

mythtv (0.16-1) unstable; urgency=low

  * New upstream release
  * Add an explanation to the package description of mythtv-debug
    explaining its use
  * Build without -march=i686
  * Add a Depends: line to mythtv-debug to appease linda

 -- Matt Zimmerman <mdz@debian.org>  Fri, 10 Sep 2004 17:46:18 -0700

mythtv (0.15.1-1) unstable; urgency=low

  * New upstream release
  * Add mythtv-backend.NEWS file with pointer to datadirect upgrade
    instructions

 -- Matt Zimmerman <mdz@debian.org>  Tue,  1 Jun 2004 12:12:09 -0700

mythtv (0.15-1) unstable; urgency=low

  * New upstream release
    - Includes support for Zap2It Data Direct service (you'll need to
      switch to this if you used tv_grab_na with 0.14)
  * Downgrade xmltv-util dependency to a Recommends, since it's now
    optional for North American users

 -- Matt Zimmerman <mdz@debian.org>  Wed, 26 May 2004 22:53:35 -0700

mythtv (0.14-6) unstable; urgency=low

  * Use copytruncate in logrotate config, so that mythbackend is always
    writing to mythbackend.log, as a workaround until such time as I get
    around to adding a signal handler to mythtv to reopen the logfile
    (thanks to Brad Fritz)
  * Remove build-depends: linux-kernel-headers
  * Provide concrete alternative libmysqlclient10-dev for virtual package
    libmysqlclient-dev

 -- Matt Zimmerman <mdz@debian.org>  Mon, 29 Mar 2004 19:43:31 -0800

mythtv (0.14-5) unstable; urgency=low

  * Include ALSA and ARTS support
  * Preserve permissions on /etc/mythtv/mysql.txt if they are changed

 -- Matt Zimmerman <mdz@debian.org>  Fri, 20 Feb 2004 15:32:58 -0800

mythtv (0.14-4) unstable; urgency=low

  * Add missing ttf-freefont dependency

 -- Matt Zimmerman <mdz@debian.org>  Wed, 18 Feb 2004 23:36:29 -0800

mythtv (0.14-3) unstable; urgency=low

  * Replace FreeMono.ttf, FreeSans.ttf with a symlink to the one in ttf-freefont
  * Move setup.xml and font symlinks into mythtv-common, since they're
    needed by mythtv-setup

 -- Matt Zimmerman <mdz@debian.org>  Wed, 18 Feb 2004 11:09:21 -0800

mythtv (0.14-2) unstable; urgency=low

  * Move themes into mythtv-common, as they're needed for the backend
    setup as well
  * mythtv-common Replaces mythtv-frontend (<< 0.14-2)
  * New binary package mythtv-debug, which has debugging symbols for
    mythtv-frontend, mythtv-backend and libmyth.  No more recompiling just
    to get backtraces.
  * Build with -O2 -g -march=pentiumpro (rather than -O3 -fomit-frame-pointer)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 31 Jan 2004 20:35:36 -0800

mythtv (0.14-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Sat, 31 Jan 2004 14:43:48 -0800

mythtv (0.13-6) unstable; urgency=low

  * Add a check to ensure that the package isn't being built under /usr,
    due to #180240 (which shows no signs of being fixed)
  * Remove debconf prompts from mythtv-frontend which used to be used to
    configure the backend location; this is now done inside the UI

 -- Matt Zimmerman <mdz@debian.org>  Sat, 24 Jan 2004 12:29:06 -0800

mythtv (0.13-5) unstable; urgency=low

  * Don't compress the mythbackend log when rotating it (it doesn't get
    reopened yet)
  * Install configfiles/* as examples

 -- Matt Zimmerman <mdz@debian.org>  Mon, 12 Jan 2004 09:54:06 -0800

mythtv (0.13-4) unstable; urgency=low

  * Enable DVB and LIRC support

 -- Matt Zimmerman <mdz@debian.org>  Sun, 14 Dec 2003 11:57:23 -0800

mythtv (0.13-3) unstable; urgency=low

  * Apply tvformat.fix.0.13.diff to fix problem where tvformat column was
    not properly initialized

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Dec 2003 23:43:53 -0800

mythtv (0.13-2) unstable; urgency=low

  * Include mythtvosd in mythtv-frontend until such time as I decide where
    it really belongs

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Dec 2003 16:00:49 -0800

mythtv (0.13-1) unstable; urgency=low

  * New upstream release (packaged at last)
  * No more database upgrade scripts (hurrah)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 12 Dec 2003 15:14:01 -0800

mythtv (0.11-6) unstable; urgency=low

  * Rebuild with gcc 3.3.2-0pre2.  Building with 3.3.2-0pre3 is broken due to
    #210848

 -- Matt Zimmerman <mdz@debian.org>  Thu, 18 Sep 2003 10:47:50 -0400

mythtv (0.11-5) unstable; urgency=low

  * Make sure that debian/mythsql is executable (it is created by the
    Debian diff)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 16 Sep 2003 09:06:10 -0400

mythtv (0.11-4) unstable; urgency=low

  * Fix another problem initializing the database on fresh installs

 -- Matt Zimmerman <mdz@debian.org>  Wed, 20 Aug 2003 22:29:48 -0400

mythtv (0.11-3) unstable; urgency=low

  * Add Suggests for the various add-ons
  * Fix a strange problem in the mythtv-database postinst which broke
    fresh installs

 -- Matt Zimmerman <mdz@debian.org>  Wed, 20 Aug 2003 21:30:51 -0400

mythtv (0.11-2) unstable; urgency=low

  * Clean up database handling a bunch, adding a script (mythsql) which
    can be used by the add-ons to initialize their database without messy
    postinst tricks
  * mythtv-common Depends: mysql-client
  * Fix description for libmyth-0.11-dev

 -- Matt Zimmerman <mdz@debian.org>  Fri, 15 Aug 2003 23:28:39 -0400

mythtv (0.11-1) unstable; urgency=low

  * New upstream release
  * Run qmake before make, because qmake puts broken dependencies into the
    Makefile

 -- Matt Zimmerman <mdz@debian.org>  Fri, 15 Aug 2003 15:24:48 -0400

mythtv (0.10-4) unstable; urgency=low

  * Don't attempt to drop the database in postrm.  Too many people screw up
    the username/password configuration and then can't purge it

 -- Matt Zimmerman <mdz@debian.org>  Wed, 30 Jul 2003 09:03:17 -0400

mythtv (0.10-3) unstable; urgency=low

  * Include mythcommflag in mythtv-backend.  Thanks to Jim <jim@jtan.com>
    for pointing this out.
  * Include i18n files for mythfrontend
  * Include mythtranscode binary in mythtv-backend
  * Build-Depend on libfreetype6-dev rather than libttf-dev.  Thanks to
    Eduardo P?rez Ureta <eperez@it.uc3m.es>

 -- Matt Zimmerman <mdz@debian.org>  Tue, 22 Jul 2003 20:03:46 -0400

mythtv (0.10-2) unstable; urgency=low

  * Add /etc/default/mythtv-backend with some handy options for controlling
    the startup of the backend
  * Include patch from upstream CVS to work correctly with xmltv 0.5.15
  * Use exact versioned dependencies for the mythtv metapackage to make it
    easy to keep everything in sync

 -- Matt Zimmerman <mdz@debian.org>  Thu, 10 Jul 2003 00:02:57 -0400

mythtv (0.10-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Tue,  1 Jul 2003 21:22:40 -0400

mythtv (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Add keys.txt to documentation

 -- Matt Zimmerman <mdz@debian.org>  Tue, 10 Jun 2003 16:51:45 -0400

mythtv (0.9-2) unstable; urgency=low

  * Fix permissions on /var/lib/mythtv and /var/cache/mythtv

 -- Matt Zimmerman <mdz@debian.org>  Tue, 10 Jun 2003 14:33:02 -0400

mythtv (0.9-1) unstable; urgency=low

  * New upstream release
  * Recommend mythtv-doc in a few places
  * Fix default paths in backend setup; apparently this was lost in the 0.8
    merge.  The correct defaults are /var/lib/mythtv and /var/cache/mythtv for
    recordings and live tv, respectively.  Permissions are automatically set
    appropriately on these directories by default.

 -- Matt Zimmerman <mdz@debian.org>  Wed,  4 Jun 2003 23:12:05 -0400

mythtv (0.8-11) unstable; urgency=low

  * Print a warning if any old myth stuff is found in /usr/local
    (too many complaints about "broken" packages caused by old libraries and
     binaries)

 -- Matt Zimmerman <mdz@debian.org>  Fri,  4 Apr 2003 15:10:00 -0500

mythtv (0.8-10) unstable; urgency=low

  * Clean /var/log/mythtv on purge of mythtv-backend
  * Clarify the debconf note which explains about running setup, so that
    it includes a note about X and explains how to start the backend
    afterward.
  * Clarify package descriptions to explain their relationships
  * Raise the priority of the question about the mysql admin password to
    'high', and add some additional info to it.  There is a dilemma here
    between confusing users by asking this question (when they have not
    set a password), and confusing them by skipping it (when the user has
    set a password)
  * Move the dependency on the Qt mysql module to libmyth-0.8 where it is
    shared by all packages which depend on it

 -- Matt Zimmerman <mdz@debian.org>  Thu, 20 Mar 2003 09:34:41 -0500

mythtv (0.8-9) unstable; urgency=low

  * Fix display of hostname in informational message in postinst
  * Fix log rotation (mythfilldatabase.log no longer exists, rotate
    mythbackend.log)
  * Fix permissions on /var/log/mythtv in mythtv-backend postinst
  * Move database drop from mythtv-common to mythtv-database
  * Fix removal of /etc/mythtv in mythtv-common on purge
  * Create mythbackend.log with proper permissions
  * Generate the random database password in mythtv-common, not
    mythtv-database (would end up with a blank password in
    /etc/mythtv/mysql.txt)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 19 Mar 2003 10:40:37 -0500

mythtv (0.8-8) unstable; urgency=low

  * Fix error introduced in 0.8-7

 -- Matt Zimmerman <mdz@debian.org>  Mon, 17 Mar 2003 00:09:43 -0500

mythtv (0.8-7) unstable; urgency=low

  * Close all file descriptors when daemonizing the backend, to avoid a
    hang when using debconf in mythtv-backend postinst

 -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 23:41:33 -0500

mythtv (0.8-6) unstable; urgency=low

  * Oops, load confmodule in mythtv-backend.postinst
  * mythtv-backend Depends: debconf

 -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 23:30:26 -0500

mythtv (0.8-5) unstable; urgency=low

  * Finish moving creation of v4l devices to mythtv-backend from
    mythtv-common

 -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 23:19:05 -0500

mythtv (0.8-4) unstable; urgency=low

  * Make 'mythtv' Architecture: all, since it is just a metapackage now
  * Do automated database upgrade from 0.7
  * Fix cron.daily pathname in informational message in setup
  * Fix quoting in cron.daily/mythtv-backend

 -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 23:04:16 -0500

mythtv (0.8-3) unstable; urgency=low

  * Return proper exit status from DoSQL in postinst (broke initial
    creation of the database and error detection)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 22:43:25 -0500

mythtv (0.8-2) unstable; urgency=low

  * Split database configuration into a separate package, mythtv-database,
    which should be installed where the mysql server is
  * Make config file substitution in postinst scripts a bit more robust
  * Add mythtv-doc package with HOWTO

 -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 17:14:46 -0500

mythtv (0.8-1) unstable; urgency=low

  * New upstream release
  * Split up backend and frontend into separate packages
  * Add some error checking in postinst to give more meaningful error
    messages when database operations fail
  * Attempt to migrate cron and logrotate config from mythtv to
    mythtv-backend
  * Install new program mythprogfind
  * Fix up copyright file
  * Use --quiet in mythfilldatabase cron job, and report errors via cron,
    rather than writing a logfile
  * mythtv-backend Depends: libqt3c102-mt-mysql | libqt3-mt-mysql, to
    support unstable
  * Clean up dependencies a bit, so they should work correctly for
    distributed setups (though I have none to test at present)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 12:52:31 -0500

mythtv (0.7-12) unstable; urgency=low

  * Add missing '-c' option in example for running mythtv-setup

 -- Matt Zimmerman <mdz@debian.org>  Thu, 21 Nov 2002 16:27:25 -0500

mythtv (0.7-11) unstable; urgency=low

  * Improve the run_setup template to omit the now-unnecessary --shell
    option to su, and to give some instruction on how to properly start
    mythtv for those who don't read README.Debian.
  * Add workaround for pwgen bug #118181, which exists in woody and was
    causing the strange failures with exit code 160.

 -- Matt Zimmerman <mdz@debian.org>  Tue, 19 Nov 2002 11:24:23 -0500

mythtv (0.7-10) unstable; urgency=low

  * Add Bugs: header to control file.  Please use reportbug to report
    problems with these packages
  * Include keys.txt in documentation (describes key bindings)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 17 Nov 2002 17:22:11 -0500

mythtv (0.7-9) unstable; urgency=low

  * When generating a random password, store it in the debconf database for
    next time

 -- Matt Zimmerman <mdz@debian.org>  Fri, 15 Nov 2002 18:16:06 -0500

mythtv (0.7-8) unstable; urgency=low

  * Fix sections
  * Redirect mythfilldatabase stderr to the logfile, as well as stdout
    (filed Debian bug #169157 against xmltv to get this fixed right)
  * Add missing dependency on pwgen

 -- Matt Zimmerman <mdz@debian.org>  Thu, 14 Nov 2002 21:24:31 -0500

mythtv (0.7-7) unstable; urgency=low

  * Depend on pwgen, and generate a random password if none is specified
  * Fix setup text to not recommend "su --shell" since the mythtv user now
    has a real shell

 -- Matt Zimmerman <mdz@debian.org>  Wed, 13 Nov 2002 23:47:55 -0500

mythtv (0.7-6) unstable; urgency=low

  * Depend on adduser
  * Ensure that we are doing an upgrade before comparing the version
    number

 -- Matt Zimmerman <mdz@debian.org>  Wed, 13 Nov 2002 23:19:12 -0500

mythtv (0.7-5) unstable; urgency=low

  * Split libmyth into its own package(s) in order to facilitate packaging
    of add-ons such as mythmusic and mythweb

 -- Matt Zimmerman <mdz@debian.org>  Wed, 13 Nov 2002 19:45:51 -0500

mythtv (0.7-4) unstable; urgency=low

  * Add a real package description
  * Add a README.Debian
  * Create the mythtv user with shell /bin/sh, and change the shell on
    upgrade from a previous version
  * Flesh out some of the debconf questions with more explanations

 -- Matt Zimmerman <mdz@debian.org>  Tue, 12 Nov 2002 23:17:58 -0500

mythtv (0.7-3) unstable; urgency=low

  * Revert to the RingBuffer in 0.7-1 for now
  * Build against woody libc6

 -- Matt Zimmerman <mdz@debian.org>  Sun, 10 Nov 2002 18:44:49 -0500

mythtv (0.7-2) unstable; urgency=low

  * Revert RingBuffer changes, which caused a drastic performance decrease on
    my installation
  * Improve clean target

 -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Nov 2002 22:19:17 -0500

mythtv (0.7-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Nov 2002 17:38:51 -0500

mythtv (0.6+cvs.20021109-1) unstable; urgency=low

  * Synched with upstream CVS
  * Make a shlibs file and corresponding virtual package for libmyth
  * Add dependency on wget, used for fetching channel logos
  * Fix permissions on configuration files

 -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Nov 2002 15:56:47 -0500

mythtv (0.6+cvs.20021106-3) unstable; urgency=low

  * Grant privileges to user@localhost as well as user@'%' so that stuff
    should work with a local database
  * Add documentation
  * Call MAKEDEV to create v4l devices with appropriate permissions
  * Create database tables using mc.sql
  * Add lots more configuration options
  * Patch setup to explain how to run mythfilldatabase as the mythtv user

 -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Nov 2002 15:20:32 -0500

mythtv (0.6+cvs.20021106-2) unstable; urgency=low

  * First attempt at database setup at install time

 -- Matt Zimmerman <mdz@debian.org>  Wed,  6 Nov 2002 23:28:39 -0500

mythtv (0.6+cvs.20021106-1) unstable; urgency=low

  * Synched with upstream CVS

 -- Matt Zimmerman <mdz@debian.org>  Wed,  6 Nov 2002 19:38:20 -0500

mythtv (0.6+cvs.20021105-1) unstable; urgency=low

  * Synched with upstream CVS

 -- Matt Zimmerman <mdz@debian.org>  Tue,  5 Nov 2002 22:51:35 -0500

mythtv (0.6+cvs.20021031-1) unstable; urgency=low

  * Synched with upstream CVS
  * Move config files to /etc/mythtv
  * postinst: Create mythtv user and set permissions

 -- Matt Zimmerman <mdz@debian.org>  Thu, 31 Oct 2002 22:28:33 -0500

mythtv (0.6-1) unstable; urgency=low

  * Initial Release.

 -- Matt Zimmerman <mdz@debian.org>  Wed, 16 Oct 2002 23:20:56 -0400

